# مستجدات برنامج NVDA

## 2024.4

يتضمّن هذا الإصدار عددًا من التحسينات في Microsoft Office، وعرض برايل، وتنسيق المستندات.

في Word أو Excel، يمكن الآن الضغط مرتين على مفتاح الاختصار الخاص بقراءة التعليق لقراءة التعليق أو الملاحظة في مربع حوار قابل للتصفُّح.
يمكنك الآن استخدام أمر تحديد النص الخاص بمؤشّر الاستعراض في PowerPoint.
لن يعرض NVDA أحرف غير مرغوبة على برايل عند إظهار نص رأس الصف أو العمود في الجداول في Word عند استخدام عرض الكائن.

يمكن الآن ضبط عرض خصائص الخط عبر النُطق وبرايل بشكل منفصل.

أُضيف إعدادٌ لضبط المهلة الزمنية لتنفيذ الضغطتين المتتاليتين مثل: (أمر قراءة الوقت والتاريخ)

يمكنك الآن ضبط طريقة عرض معلومات تنسيق النص بطريقة برايل، وكذلك ضبط عرض علامات بداية الفقرة ببرايل.
يمكن ل NVDA الآن نطق الحرف عند تحريك المؤشّر إليه عبر مافاتيح توجيه مؤشّر برايل.
حُسِّنت دقة توجيه مؤشر برايل، وأُضيف دعم لمفاتيح توجيه برايل في PowerPoint.
ستُستخدم الآن جميع أسطر الخلايا عند استخدام شاشة برايل متعددة الأسطر عبر برايل HID.
لن يشهد NVDA عدم استقرار عند إعادة تشغيله أثناء حدوث الفحص التلقائي لوجود أسطر برايل متصلة عبر بلوتوث.

أقدم إصدار من محرر Po سيعمل مع NVDA هو الإصدار 3.5.

تحديث eSpeak NG، وقد تضمَّن دعمًا للغتي الفارويز والإكسكستان.

تحديث LibLouis بإضافة جداول برايل جديدة للغتين التايلاندية واليونانية العالمية ذات أحرف من خلية واحدة.

هناك أيضًا عدد من الإصلاحات، تشمل تتبُّع الفأرة في Firefox، ووضع النُطق عند الطلب.

### المستجدات

* مستجدات متعلقة ببرايل:
  * يمكن الآن تغيير الطريقة التي يعرض بها NVDA بعض خصائص تنسيق النص بطريقة برايل.
    الخيارات المتاحة هي:
    * Liblouis (الافتراضي): يستخدم علامات التنسيق المعرَّفة في جدول برايل المحدد.
    * العلامات: يستخدم علامتي البداية والنهاية للإشارة إلى مكان بداية ونهاية سمات خط معينة. (#16864)
  * عند تفعيل خيار "القراءة وِفقًا للفقرة"، يمكن الآن ضبط NVDA للإشارة إلى بداية الفقرات بطريقة برايل. (#16895, @nvdaes)
  * عند توجيه مؤشر برايل، سينطق NVDA الآن الحرف الموجود عند المؤشّر تلقائيًا. (#8072, @LeonarddeR)
    * هذا الخيار معطَّلٌ افتراضيا.
      يمكنك تفعيل خيار "نُطق الحرف عند نقل مؤشّر برايل إليه" عبر إعدادات برايل الخاصة ب NVDA.
* يمكن الآن الضغط على أمر قراءة التعليق في Microsoft Word وأمر قراءة الملاحظات في Microsoft Excel مرتين لإظهار التعليق أو الملاحظة في رسالة قابلة للتصفُّح. (#16800, #16878, @Cary-Rowen)
* يمكن الآن ضبطُ NVDA لعرض خصائص الخط نُطقًا وبرايل كلٌّ على حِدة. (#16755)
* يمكن الآن ضبط زمن المهلة المتاحة لضغط المفاتيح المتعددة. قد يكون هذا مفيدًا بشكل خاص للأشخاص الذين يعانون من ضعف مهارة استخدام لوحة المفاتيح. (#11929، @CyrilleB79)

### التعديلات

* سيؤخَذُ ما ضُبِطَ من إعدادات عبر خيارات سطر الأوامر `-c`/`--config-path` و `--disable-addons` بعين الاعتبار عند التحديث من داخل NVDA. (#16937)
* تحديثاتٌ للمكوِّنات:
  * تحديث مترجم LibLouis Braille إلى [3.31.0](https://github.com/liblouis/liblouis/releases/tag/v3.31.0). (#17080، @LeonarddeR, @codeofdusk)
    * إصلاح ترجمة الأرقام في جدول برايل الإسباني.
    * جداول برايل جديدة:
      * تايلاندي الدرجة الأولى
      * يوناني عالمي (أحرف ذات خلية واحدة)
    * جداول غُيِّرت أسماؤها:
      * غُيِّر اسم الجدول "تايلاندي ست نقاط" إلى "تايلاندي الدرجة 0) لدواعي التناسُق.
      * غُيِّر اسم جدول برايل "اليوناني الدولي" إلى "يوناني دولي (أحرف ذات خليتين) لإبراز الفرق بين الجدولين اليونانيَينِ.
  * تحديث آلة eSpeak NG إلى 1.52-dev `961454ff`. (#16775)
    * أُضيفت لغات جديدة: جزر فارو وإكسكستان.
* عند استخدام شاشة برايل متعددة الأسطر عبر معرِّف برايل HID القياسي، ستُستخدم جميع أسطر الخلايا. (#16993، @alexmoon)
* تحسين ثبات دعم NVDA لمحرر الترجمات Poedit، وقد أصبح الإصدار الأدنى المطلوب من المحرر هو 3.5. (#16889, @LeonarddeR)

### الإصلاحات

* إصلاحات متعلقة ببرايل:
  * يمكن الآن استخدام مفاتيح توجيه مفاتيح مؤشِّر برايل لتحريك مؤشر النص في Microsoft PowerPoint. (#9101)
  * عند استخدام برنامج Microsoft Word مع تعطيل استخدام أتمتة واجهة المستخدم UI Automation، لم يخرج NVDA  أحرف غير صحيحة في رؤوس الجداول المحددة باستخدام أوامر تعيين رؤوس الصفوف والأعمدة. (#7212)
  * سيعمل معرِّف مفكرات Seika Notetaker الآن على تنفيذ إدخال مفاتيح الاختصار المتمثلة في المسافة أو المسافة للخلف، أو النقاط المقترنة بأحدهما بشكل صحيح. (#16642, @school510587)
  * يعمل توجيه مؤشر برايل الآن بدقة أكثر عندما يحتوي السطر على واحد أو أكثر من أحرف Unicode أو الأحرف القابلة للفصل. (#10960، @mltony، @LeonarddeR)
  * لن يعرض NVDA خطأً عند تحريك شاشة برايل للأمام في بعض حقول التحرير الفارغة. (#12885)
  * لن يشهد NVDA عدم استقرار إذا أُعيد تشغيله أثناء حدوث الفحص التلقائي لوجود أسطر برايل متصلة عبر بلوتوث. (#16933)
* يمكن الآن استخدام أوامر تحديد مؤشر الاستعراض لتحديد النص في Microsoft PowerPoint. (#17004)
* عند تفعيل وضع "النُطق عند الطلب"، لم يعد NVDA يقررأ تلقائيا عند فتح رسالة في Outlook، أو عند فتح صفحة جديدة في المتصفح، أو عرض شريحة جديدة في عارض شرائح PowerPoint. (#16825، @CyrilleB79)
* في Mozilla Firefox، سيُقرأ النص عند تحريك المؤشّر فوق النص قبل الرابط أو بعده بدقة. (#15990، @jcsteh)
* لن يخفق NVDA -كما كان يحدث أحيانًا- في فتح الرسائل القابلة للتصفح (مثل الضغط على `NVDA+f` مرتين). (#16806, @LeonarddeR)
* لن يؤدي تحديث NVDA أثناء وجود إضافات قيد التحديث إلى إزالة تلك الإضافات. (#16837)
* يمكن الآن التفاعل مع القوائم المنسدلة الخاصة بالتحقق من صحة البيانات في Microsoft Excel 365. (#15138)
* لن يعمل NVDA ببطء عند التحرك لأعلى ولأسفل عبر الملفات الكبيرة في محرر VS Code. (#17039)
* لن يتوقف NVDA عن الاستجابة بعد الضغط باستمرار على أحد مفاتيح الأسهم لفترة طويلة أثناء وجوده في وضع التصفح، خاصة في Microsoft Word وMicrosoft Outlook. (#16812)
* لن يقرأ NVDA السطر قبل الأخير عند وجود المؤشر في آخر سطر من حيز التحرير في تطبيقات Java. (#17027)

### تعديلاتٌ للمطوّرين

يُرجى الرجوع إلى [دليل المطورين](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) للحصول على معلومات حول ما أُهمِلَ وأُزيل من واجهة برمجة التطبيقات الخاصة بـ NVDA.

* Component updates:
  * Updated py2exe to 0.13.0.2 (#16907, @dpy013)
  * Updated setuptools to 72.0 (#16907, @dpy013)
  * Updated Ruff to 0.5.6. (#16868, @LeonarddeR)
  * Updated nh3 to 0.2.18 (#17020, @dpy013)
* Added a `.editorconfig` file to NVDA's repository in order for several IDEs to pick up basic NVDA code style rules by default. (#16795, @LeonarddeR)
* Added support for custom speech symbol dictionaries. (#16739, #16823, @LeonarddeR)
  * Dictionaries can be provided in locale specific folders in an add-on package, e.g. `locale\en`.
  * Dictionary metadata can be added to an optional `symbolDictionaries` section in the add-on manifest.
  * Please consult the [Custom speech symbol dictionaries section in the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#AddonSymbolDictionaries) for more details.
* It is now possible to redirect objects retrieved from on-screen coordinates, by using the `NVDAObject.objectFromPointRedirect` method. (#16788, @Emil-18)
* Running SCons with the parameter `--all-cores` will automatically pick the maximum number of available CPU cores. (#16943, #16868, @LeonarddeR)
* Developer info now includes information on app architecture (such as AMD64) for the navigator object. (#16488, @josephsl)

#### Deprecations

* The `bool` configuration key `[documentFormatting][reportFontAttributes]` is deprecated for removal in 2025.1, instead use `[fontAttributeReporting]`. (#16748)
  * The new key has an `int` value matching an `OutputMode` `enum` with options for speech, braille, speech and braille and off.
  * API consumers can use the `bool` value as previously, or check the `OutputMode` if handling speech or braille specifically.
  * These keys are currently synchronized until 2025.1.
* `NVDAObjects.UIA.InaccurateTextChangeEventEmittingEditableText` is deprecated with no replacement. (#16817, @LeonarddeR)

## 2024.3.1

This is a patch release to fix a bug with the automatic add-on update notification.

### Bug Fixes

* When automatically checking for add-on updates, NVDA no longer freezes on poor connections. (#17036)

## 2024.3

عند بدء تشغيل NVDA، سينبِّهك مستودع الإضافات في حال وجود تحديثات متوفرة لأي من الإضافات.

توجد الآن خيارات لتطبيق تسوية Unicode على مخرجات النُطق وبطريقة برايل.
يمكن أن يكون ذلك مفيدًا عند قراءة الأحرف غير المعروفة لآلة نُطق أو جدول برايل، والتي لها بديل متوافق، مثل الأحرف العريضة والمائلة المستخدمة بشكل شائع على وسائل التواصل الاجتماعي.
كما يُتيح هذا قراءة المعادلات في محرر المعادلات في Microsoft Word.

أُضيف دعمٌ لأسطر برايل الإلكترونية Activator Pro من Help Tech.

أُضيفت أوامر لم تُحدَّد لها مفاتيح اختصار، لتمرير عجلة الفأرة عموديًا وأُفقيًا.

هناك العديد من الإصلاحات، خاصةً على لوحة رموز المشاعر والوجوه التعبيرية Emoji وسجلّ الحافظة في Windows 11.
بالنسبة لمتصفحات شبكة الإنترنت، توجد إصلاحات تتعلق بقراءة رسائل الخطأ والأشكال والتسميات التوضيحية وتسميات الجداول وعناصر القائمة من مربعات التحديد وأزرار الاختيار.

حُدِّثت مكتبة LibLouis حيث أُضيفت جداول برايل جديدة للغة السيريلية الصربية واليديشية والعديد من اللغات القديمة والتركية والأبجدية الصوتية الدولية.
حصلت آلةُ النطق ESpeak على تحديث، حيث أُضيف إليها دعم لغة كاراكالباك.
كما حُدِّثت مكتبة الرموز والوجوه التعبيرية Unicode CLDR.

### المستجدات

* مفاتيح أوامر جديدة:
  * إضافةُ أوامر لم يُعيَّن لها مفاتيح اختصار افتراضيا لتمرير عجلة الفأرة عموديا وأفقيا، لتحسين التنقُّل في صفحات شبكة الإنترنت وفي التطبيقات ذات المحتوى النَشِطْ الذي يُحدَّث باستمرار، مثل Dism++. (#16462, @Cary-Rowen)
* إضافةُ دعم تطبيع Unicode لكل من مخرجات النُطق ومخرجات برايل. (#11570، #16466 @ ليونارددي آر).
  * يمكن أن يكون ذلك مفيدًا عند قراءة الأحرف غير المعروفة لآلة نُطق أو جدول برايل، والتي لها بديل متوافق، مثل الأحرف العريضة والمائلة المستخدمة بشكل شائع على وسائل التواصل الاجتماعي.
  * كما يُتيح هذا قراءة المعادلات في محرر المعادلات في Microsoft Word.
  * يمكن تفعيل هذه الخاصية لكل من النُطق وبرايل عبر الإعدادات الخاصة بهما في مربع حوار إعدادات NVDA.
* عند بدء تشغيل NVDA، سينبّهُك افتراضيا عند وجود تحديثات لأي من الإضافات. (#15035)
  * يمكن تعطيل هذا التنبيه عبر تصنيف "مستودع الإضافات" ضمن الإعدادات.
  * يتحقق NVDA يوميا من وجود تحديثات للإضافات.
  * ستجري عملية التحقق على ذات المسار الذي تنتمي إليه الإضافة (على سبيل المثال: إن كانت الإضافة المثبّ!تة بإصدار تجريبي، فسيبحث عن تحديث ضمن قناة الإصدارات التجريبية).
* دعمُ أسطر برايل الإلكترونية Activator Pro من شركة Help Tech. (#16668)

### التغييرات

* تحديثات على المكوِّنات
  * تحديث محرّك النُطق eSpeak NG إلى 1.52-dev commit `54ee11a79`. (#16495)
    * أُضيفت لغة كاراكالباك.
  * تحديث مكتبة Unicode CLDR إلى الإصدار 45.0. (#16507, @OzancanKaratas)
  * تحديث fast_diff_match_patch (المستخدَم لاكتشاف التغييرات في وحدات التحكُّم الطرفية لتوجيه الأوامر والمحتوى النَشِط في غيرها) 2.1.0. (#16508, @codeofdusk)
  * تحديث مترجم برايل LibLouis إلى الإصدار [3.30.0](https://github.com/liblouis/liblouis/releases/tag/v3.30.0). (#16652, @codeofdusk)
    * احتوى على جداول برايل جديدة:
      * صربي سيريلية.
      * يديشي.
      * العديد من جداول للغات قديمة: العبرية التوراتية، الأكادية، السريانية، الأوغاريتية، والنص المسماري المترجم.
      * تركي الدرجة الثانية (باختصارات). (#16735)
      * أبجدي صوتي عالمي. (#16773)
  * تحديث NSIS إلى 3.10 (#16674, @dpy013)
  * تحديث markdown إلى 3.6 (#16725, @dpy013)
  * تحديث nh3 إلى 0.2.17 (#16725, @dpy013)
* أصبح الجدول الافتراضي لإدخال برايل (جدول الكتابة) مماثلًا للجدول الافتراضي للإخراج (جدول العرض) وه جدول شفرة برايل الإنجليزي الموحدة بدون اختصارات. (#9863, @JulienCochuyt, @LeonarddeR)
* سيُعلن NVDA الآن عن الأشكال التي يتفرع عنها عناصر غير قابلة للوصول، في حين يوجد لها تسمية أو وصف. (#14514)
* عند التنقُّل وِفقًا للسطر في نمط التصفُّح، لن يكرر NVDA الإشارة ب "تسمية توضيحية" مع كل سطر ضمن الشكل، أو من الجدول المتضمن لتسمية توضيحية. (#14874)
* في بوابة لغة البرمجة Python, عند التنقُّل ضمن شاشة المدخلات، لن يُفقد الأمر الأخير الذي لم يُنفَّذ. (#16653, @CyrilleB79)
* في عملية جمع إحصائيات استخدام NVDA الاختيارية، ستُرسَلُ هويةٌ مجهولة مختلفة كجزء من البيانات المرسَلة. (#16266)
* عند إنشاء نسخة محمولة، سيُنشَأ مجلد جديد افتراضيا لها.
في حال محاولة الكتابة على مجلد غير فارغ، ستظهر لك ترسالة تنبيه. (#16684)

### الإصلاحات

* إصلاحات خاصة ب Windows 11:
  * لن يتوقف NVDA كما لو كان متجمدا عند إغلاق لوحة الرموز الوجوه التعبيرية وسجل الحافظة. (#16346, #16347, @josephsl)
  * سيقرأ NVDA -كما في السابق- الترشيحات التي تظهر عند فتح واجهة IME. (#14023، @جوزيفسل)
  * لم يعُدْ NVDA يردد الإعلان عن "سجل الحافظة" مرتين عند التنقُّل ضمن عناصر قائمة لوحة رموز المشاعر. (#16532, @josephsl)
  * عند استعراض الرموز و kaomojis في لوحة الرموز التعبيرية، لن يتوقف NVDA عن النُطق وعرض برايل. (#16533, @josephsl)
* إصلاحات متعلقة بمتصفحات الشبكة:
  * سيُعلَن الآن عن رسائل الخطأ المعرَّفة على أنها `aria-errormessage` في Google Chrome وMozilla Firefox. (#8318)
  * سيستعين NVDA الآن بخاصية `aria-labelledby` إن وُجدت، لتزويد المستخدم بتسميات بديلة قابلة للقراءة للجداول في Mozilla Firefox. (#5183)
  * سيقرأ NVDA عناصر القائمة من أزرار اختيار ومربعات تحديد بشكل صحيح، عند الدخول لأول مرة إلى القوائم الفرعية في Google Chrome وMozilla Firefox. (#14550)
  * ستعمل خاصية البحث في نمط التصفُّح الآن بدقة إذا وُجدت في الصفحة رموز تعبرية (Emoji). (#16317, @LeonarddeR)
  * في Mozilla Firefox، سيقرأ NVDA الحرف والكلمة والسطر الحالي بشكل صحيح، إن كان مؤشر التحرير عند  نقطة الإدراج في نهاية السطر. (#3156، @jcsteh)
  * لم يعُدْ هناك سبب يؤدي لانهيار Google Chrome عند عند إغلاق مستند أو الخروج من البرنامج كليا. (#16893)
* سيعلن NVDA بشكل صحيح عن اقتراحات الإكمال التلقائي في Eclipse والبيئات الأخرى المبنية عليه في Windows 11. (#16416, @thgcode)
* تحسين دقة القراءة التلقائية للنص، خاصةً في تطبيقات الوحدة الطرفية (موجهات الأوامر). (#15850, #16027, @Danstiv)
* يمكن الآن استرجاع الإعدادات الافتراضية دون مشاكل كما كان سابقا. (#16755, @Emil-18)
* سيُعلن NVDA الآن بشكل صحيح عن التغييرات الطارئة على التحديد عند تحرير نص خلية في Microsoft Excel. (#15843)
* في التطبيقات التي تستخدم Java Access Bridge، سيقرأ NVDA الآن آخر سطر فارغ من النص بدلاً من تكرار السطر السابق. (	، @dmitrii-drobotov)
* في LibreOffice Writer (الإصدار 24.8 والأحدث)، عند تبديل حالة تنسيق النص (عريض، مائل، تسطير، منخفض/مرتفع، محاذاة) باستخدام اختصار لوحة المفاتيح الممخصص لذلك، يعلن NVDA عن خاصية التنسيق الجديدة عند تحديثها (على سبيل المثال، "تفعيل الخط العريض"، "تعطيل الخط العريض"). (#4248، @مايكلويغورن)
* في التطبيقات التي تستخدم أتمتة واجهة المستخدم (UI Automation)، عند التنقل باستخدام مفاتيح نقل المؤشر في مربعات النص، لن يُعلن NVDA -كما كان يفعل أحيانًا- عن الحرف أو الكلمة الخاطئة. (#16711, @jcsteh)
* عند لصق رقم هاتف في حاسبة Windows 10/11، سيقرأ NVDA الرقم كاملًا. (#16573, @TristanBurchett)
* لن يتوقف النُطق بعد قطع الاتصال وإعادته في جلسة سطح المكتب البعيد. (#16722, @jcsteh)
* دعمُ أوامر استعراض النص لاسم الكائن في Visual Studio Code. (#16248, @Cary-Rowen)
* لن يخفق تشغيل أصوات NVDA على أجهزة صوت أحادية القناة. (#16770, @jcsteh)
* سيعلن NVDA عن العناوين عند التنقل باستخدام الأسهم عبر الحقول الخاصة بالمرسَل إليهم: إلى/نسخة إلى/نسخة مخفية في موقع Outlook.com أو في تطبيق Outlook الجديد. (#16856)
* يتعامل NVDA الآن مع حالات فشل تثبيت الإضافات بشكل أفضل. (#16704)

### تعديلاتٌ للمطورين

* NVDA now uses Ruff instead of flake8 for linting. (#14817)
* Fixed NVDA's build system to work properly when using Visual Studio 2022 version 17.10 and above. (#16480, @LeonarddeR)
* A fixed width font is now used in Log Viewer and in the NVDA Python Console so that the cursor remains in the same column during vertical navigation.
It is especially useful to read the error location markers in tracebacks. (#16321, @CyrilleB79)
* Support for custom braille tables has been added. (#3304, #16208, @JulienCochuyt, @LeonarddeR)
  * Tables can be provided in the `brailleTables` folder in an add-on package.
  * Table metadata can be added to an optional `brailleTables` section in the add-on manifest or to a `.ini` file with the same format found in the brailleTables subdirectory of the scratchpad directory.
  * Please consult the [braille translation tables section in the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#BrailleTables) for more details.
* When a `gainFocus` event is queued with an object that has a valid `focusRedirect` property, the object pointed to by the `focusRedirect` property is now held by `eventHandler.lastQueuedFocusObject`, rather than the originally queued object. (#15843)
* NVDA will log its executable architecture (x86) at startup. (#16432, @josephsl)
* `wx.CallAfter`, which is wrapped in `monkeyPatches/wxMonkeyPatches.py`, now includes proper `functools.wraps` indication. (#16520, @XLTechie)
* There is a new module for scheduling tasks `utils.schedule`, using the pip module `schedule`. (#16636)
  * You can use `scheduleThread.scheduleDailyJobAtStartUp` to automatically schedule a job that happens after NVDA starts, and every 24 hours after that.
  Jobs are scheduled with a delay to avoid conflicts.
  * `scheduleThread.scheduleDailyJob` and `scheduleJob` can be used to schedule jobs at custom times, where a `JobClashError` will be raised on a known job scheduling clash.
* It is now possible to create app modules for apps hosting Edge WebView2 (msedgewebview2.exe) controls. (#16705, @josephsl)

## 2024.2

يحتوي هذا الإصدار على خاصية جديدة تُدعى تقسيم الصوت.
وهي تؤدي لخروج أصوات NVDA عبر قناة واحدة (على سبيل المثال: الجهة اليسرى)، بينما تصدُرُ أصوات جميع التطبيقات الأخرى عبر القناة الأخرى (على سبيل المثال: الجهة اليمنى).

هناك أيضا أوامر جديدة ضمن دائرة إعدادات النُطق، تتيح للمستخدم القفز للخيار الأول أو الأخير، وزيادة أو تقليل نسبة الإعداد الحالي بمقدار خطوات أكثر.
هناك أيضا أوامر جديدة للحركة السريعة في نمط التصفُّح، تتيح للمستخدمين تعيين مفاتيح اختصار للقفز السريع بين: الفقرات، النصوص ذات الخصائص المتطابقة، النصوص مختلفة الخصائص، عناصر القائمة، أزرار التبديل، أشرطة التقدُّم، الأشكال، والصيغ الرياضية.

يحتوي الإصدار أيضا على العديد من الميزات الجديدة والإصلاحات المتعلقة ببرايل.
أيضًا، أُضيف نمط برايل جديد يُدعى: "عرض مخرجات النُطق".
عند تفعيله، سيعرض NVDA على أسطر برايل ما سينطقه بالضبط.
إضافةً لدعم أجهزة برايل: BrailleEdgeS2, BrailleEdgeS3.
كما حصل مترجم برايل LibLouis على تحديث، تضمَّن إظهار تفاصيل جديدة (الإشارة للحروف الكبيرة) في جداول برايل البيلاروسية والأوكرانية،، إضافةً لجدول برايل إسباني لقراءة النصوص اليونانية.

حصلت آلةُ النُطق Espeak على تحديث، حيث أُضيف إليها دعم اللغة التغرينية.

إضافةً لإصلاح العديد من الأخطاء الثانوية في تطبيقات مثل: Thunderbird، Adobe Reader، متصفحات الإنترنت، Nudi وGeekbench.

### المستجدات

* إضافةُ مفاتيح أوامر جديدة:
  * أمر التنقُّل السريع `p`، للانتقال بين الفقرات النصية السابقة واللاحقة في نمط التصفُّح. (#15998, @mltony)
  * إضافةُ أوامر جديدة للتنقُّل السريع في نمط التصفُّح لم يُعيَّن لها مفاتيح اختصار افتراضية، يمكن استخدامها للانتقال بين العناصر السابقة واللاحقة الآتية:
    * الأشكال. (#10826)
    * الفقرات عمودية المحاذاة (#15999, @mltony)
    * عناصر القائمة (#16001, @mltony)
    * أزرار التبديل (#16001, @mltony)
    * أشرطة التقدم (#16001, @mltony)
    * المعادلات الرياضية (#16001, @mltony)
    * النصوص ذات التنسيق المماثل (#16000, @mltony)
    * النصوص ذات التنسيق المختلف (#16000, @mltony)
  * إضافةُ أوامر للانتقال للقيمة الأولى والأخيرة، والانتقال للأمام وللخلف ضمن دائرة إعدادات النُطق. (#13768, #16095, @rmcpantoja)
    * ضبط الإعداد للقيمة الأولى أو الأخيرة في دائرة إعدادات النُطق (ليس له مفتاح اختصار افتراضي). (#13768)
    * تقليل أو زيادة نسبة الإعداد الحالي ضمن دائرة إعدادات النُطق بمقدار أكبر (#13768):
      * للحاسوب المكتبي: `NVDA+control+pageUp` أو `NVDA+control+pageDown`.
      * للحاسوب المحمول: `NVDA+control+shift+pageUp` أو `NVDA+control+shift+pageDown`.
  * إضافة مفتاح اختصار (غير معيَّن افتراضيا) للتبديل بين تفعيل وتعطيل الإعلان عن الأشكال والتسميات التوضيحية. (#10826, #14349)
* مستجدات برايل:
  * دعمُ أجهزة برايل: BrailleEdgeS2, و BrailleEdgeS3. (#16033, #16279, @EdKweon)
  * إضافة نمط برايل جديد يُسمى "عرض مخرجات النُطق". (#15898, @Emil-18)
    * عند تفعيله، سيُعرَضُ على شاشة برايل ما سينطقه NVDA كما هو تماما.
    * يمكن تفعيله أو تعطيله بالضغط على `NVDA+alt+t`، أو عبر شاشة إعدادات الخط البارز Braille.
* تقسيم خروج الصوت: (#12985, @mltony)
  * يُتيح توزيع إخراج الصوت بحيث تخرج أصوات NVDA عبر جهة (اليسرى مثلا)، بينما تخرج أصوات سائر التطبيقات الأخرى عبر الجهة الأخرى (اليمنى مثلا).
  * يمكن التبديل بين خيارات هذه الخاصية بالضغط على `NVDA+alt+s`.
* دعمُ الإعلان عن رؤوس الصفوف والأعمدة ضمن عناصر جداول HTML القابلة للتحرير. (#14113)
* إضافةُ خيار إلى إعدادات تنسيق المستند لتعطيل الإعلان عن الأشكال والتسميات التوضيحية. (#10826, #14349)
* في Windows 11، سيُعلن NVDA عن التنبيهات الخاصة بالإدخال الصوتي وعن الإجراءات المقترحة بما في ذلك أهم الاقتراحات عند نسخ بيانات مثل أرقام الهواتف إلى الحافظة (Windows 11 تحديث 2022 وما بعده).  (#16009, @josephsl)
* سيُبقي NVDA جهاز إخراج الصوت نَشِطًا بعد توقُّف النُطق، منعا لفوات بداية النص المنطوق التالي مع بعض سماعات الرأس العاملة بتقنية Bluetooth. (#14386, @jcsteh, @mltony)
* دعم متصفح HP الآمن. (#16377)

### التغييرات

* في مستودع الإضافات:
  * ستظهر المعلومات المتعلقة بأحدث إصدار اختُبِر من NVDA مع الإضافة، وإصدار NVDA المطلوب كحد أدنى لعملها ضمن حقل التفاصيل. (#15776, @Nael-Sayegh)
  * سيتوفر إجراء عرض مراجعات المستخدمين، وسيظهر رابط صفحة المراجعات ضمن حقل التفاصيل في كافة تبويبات مستودع الإضافات.
* تحديثات للمكونات:
  * تحديث مترجم برايل LibLouis إلى الإصدار [3.29.0](https://github.com/liblouis/liblouis/releases/tag/v3.29.0). (#16259, @codeofdusk)
    * أُضيفت جداول برايل جديدة بيلاروسية وأوكرانية مفصَّلة (بالإشارة للأحرف الكبيرة) إلى جانب جدول برايل إسباني لقراءة النصوص اليونانية.
    * جدول إسباني جديد لقراءة النص اليوناني.
    * أُضيف جدول لاوي جديد غير مختصر (الدرجة الأولى)
  * تحديث آلةُ النُطق Espeak NG إلى الإصدار 1.52-dev `cb62d93fd7`. (#15913)
    * أُضيفت اللغة التيغرانية.
* تغيير العديد من مفاتيح الاختصار الخاصة بأجهزة BrailleSense تجنُّبًا لتعارضها مع أحرف الجدول الفرنسي. (#15306)
  * غُيِّر `alt+السهم الأيسر` إلى `النقطة2+النقطة7+مسافة`
  * غُيِّر `alt+السهم الأيمن` إلى `النقطة5+النقطة7+مسافة`
  * غُيِّر `alt+السهم العلوي` إلى `النقاط2+3+7+مسافة`
  * غُيِّر `alt+السهم السفلي` إلى `النقاط5+6+7+مسافة`
* لن يُعلَن عن نقاط الملء التي تُستخدَم كثيرا في فهرس المحتويات، إذا ضُبِطَ مستوى الإعلان عن علامات الترقيم للمستويات الأقل. (#15845, @CyrilleB79)

### الإصلاحات

* إصلاحات في Windows 11:
  * سيُعلن NVDA -كما كان سابقا- عن النص المقترح أثناء الكتابة على لوحات المفاتيح الفعلية. (#16283, @josephsl)
  * في إصدار 24H2 (تحديث 2024 و Windows الخاص بالخوادم 2025)، يمكن الآن استخدام الفأرة أو التفاعُل باللمس في نافذة الإعدادات السريعة. (#16348, @josephsl)
* في مستودع الإضافات:
  * عند الضغط على `ctrl+tab` للانتقال بين التبويبات، سينتقل مؤشّر النظام إلى عنوان الصفحة النشطة حاليا. (#14986, @ABuffEr)
  * لن يؤدي وجود خلل في ملفات الذاكرة المؤقتة إلى إعادة تشغيل NVDA. (#16362, @nvdaes)
* إصلاحات متعلقة بمتصفحات Chromium عند استخدامها مع أتمتة واجهة المستخدم UIA:
  * إصلاح مشكلة تتسبب في وَقْب عمل NVDA. (#16393, #16394)
  * يعمل مفتاح التراجُع Backspace الآن بشكل صحيح في حقول تسجيل الدخول إلى Gmail. (#16395)
* عند استخدام برنامج Nudi 6.1 مع NVDA، سيعمل الآن مفتاح التراجُع بشكل صحيح إذا كان خيار "التعامل مع المفاتيح المخصصة للتطبيقات الأخرى" مفعَّلًا. (#15822, @jcsteh)
* إصلاح مشكلة صدور الصوت الذي يُشير لموضع الفأرة أثناء تفعيل الوضع الصامت للتطبيق، عندما يكون خيار "إصدار صفارة عند تنقل مؤشر الفأرة" مفعَّلًا. (#8059, @hwf1324)
* في Adobe Reader، لن يتجاهل NVDA النص البديل المضاف للمعادلات الرياضية في ملفات PDF. (#12715)
* إصلاح خطأ يتسبب في تعثُّر NVDA في قراءة الأشرطة والخيارات في أداةGeekbench. (#16251, @mzanm)
* إصلاح مشكلة نادرة الحدوث تتمثل في تعثُّر حفظ كافة الأوضاع عند حفظ الإعدادات. (#16343, @CyrilleB79)
* في متصفح Firefox والمتصفحات المبنية على Chromium، سينتقل NVDA إلى النمط التفاعلي عند ضغط مفتاح الدخول على عنصر قائمة منقطة أو مرقمة داخل منطقة محتوى قابل للتحرير. (#16325)
* في قائمة الرسائل في Thunderbird، سيُعلَن تلقائيا عن حالة العمود عند تغييرها عبر قائمة اختيار الأعمدة التي ستُعرَض. (#16323)
* سيعمل خيار سطر الأوامر `-h`/`--help` على الوجه الصحيح كما كان سابقا. (#16522, @XLTechie)
* تحسين دعم NVDA للإصدار 3.4 أو أعلى من برنامج محرر ملفات الترجمة Poedit، حيث سيعمل كما ينبغي عند الترجمة للغات توفّر صيغة جمع واحدة أو أكثر (مثل الصينية والبولندية). (#16318)

### تعديلاتٌ للمطورين

Please refer to [the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* Instantiating `winVersion.WinVersion` objects with unknown Windows versions above 10.0.22000 such as 10.0.25398 returns "Windows 11 unknown" instead of "Windows 10 unknown" for release name. (#15992, @josephsl)
* Make the AppVeyor build process easier for NVDA forks, by adding configurable variables in appveyor.yml to disable or modify NV Access specific portions of the build scripts. (#16216, @XLTechie)
* Added a how-to document, explaining the process of building NVDA forks on AppVeyor. (#16293, @XLTechie)

## 2024.1

أُضيف نمطٌ جديد لأنماط النُطق: "النُطق عند الطلب".
عند اختيار نمط النُطق "عند الطلب"، لن ينطق NVDA تلقائيا (على سبيل المثال: عند تحريك مؤشّر النظام)، لكنه سينطق عند استدعاء أمر من الأوامر المخصصة لنُطق شيء معين (مثل قراءة عنوان النافذة).
ضمن تصنيف "النُطق" الموجود في إعدادات NVDA، يمكن استبعاد أنماط النُطق غير المرغوب فيها من قائمة أنماط النُطق المتاحة عند تنفيذ أمر التبديل بين أنماط النُطق باستخدام الاختصار (`NVDA+s`).

أُضيف نمطُ تحديد  جديد يُسمى "نمط التحديد الأصلي" إلى نمط التصفُّح الخاص ب NVDA، في Mozilla Firefox، يمكن التبديل بين تفعيله وتعطيله بالضغط على `NVDA+shift+f10`).
عند تفعيله، تحديد النص في نمط التصفُّح سيعمل كالتحديد الأصلي في المتصفح.
بناءً على هذا، سيؤدي نسخ النص باستخدام `control+c` للتعامل مع النص مباشرةً كما هو معروض في المتصفح، بحيث ينسخُ النص بخصائصه الغنية وتنسيقاته، وليس كنص عادي مجرد من أية تنسيقات، كما يحصل عند تحديد النص ونسخه في نمط التصفُّح الخاص ب NVDA.

في مستودع الإضافات، يمكن الآن تنفيذ الإجراءات على مجموعة من الإضافات في آن واحد (مثل: تثبيت أو تفعيل الإضافات).
يوجد الآن أيضا خيار جديد لفتح صفحة مراجعات المستخدمين للإضافة المحددة.

نُقل خيارا "جهاز إخراج الصوت" و"نمط خفض الأصوات" من مربع حوار اختيار آلة النُطق.
يمكن إيجادهما الآن في شاشة الصوت ضمن إعدادات NVDA، والتي يمكن فتحها مباشرة بالضغط على `NVDA+control+u`.

حصل كل من آلة النُطق eSpeak-NG، ومترجم LibLouis braille, ومكتبة الرموز والوجوه التعبيرية Unicode CLDR على تحديثات جديدة.
أُضيفت جداول برايل جديدة: تايلاندي، فلبيني، وروماني.

عولجت العديد من الأخطاء، خاصةً في مستودع الإضافات، دعم برايل، تطبيقات Libre Office, وتطبيقات Microsoft Office، وأخطاء تخص الصوت.

### ملاحظاتٌ مهمة

* لن يكون هذا الإصدار متوافقا مع الإضافات بإصداراتها الحالية.
* هذا الإصدار وما بعده لن يعمل على Windows 7 و Windows 8.
الإصدار الأدنى المطلوب من نظام التشغيل لعمل هذا الإصدار هو Windows 8.1.

### المستجدات

* في مستودع الإضافات:
  * يُتيح مستودع الإضافات الآن إمكانية تنفيذ الإجراءات على مجموعة من الإضافات في آن واحد، (مثل: تثبيت أو تفعيل الإضافات) وذلك بتمكين تحديد أكثر من إضافة. (#15350, #15623, @CyrilleB79)
  * إضافة إجراء جديد لفتح صفحة مخصصة لمراجعات المستخدمين حول الإضافة، أو كتابة راجعة أو تعليق بشأنها. (#15576, @nvdaes)
* دعم لشاشات عرض برايل منخفذة الطاقة ذات تقنية HID العاملة بتقنية Bluetooth. (#15470)
* إضافةُ نمط التحديد الأصلي إلى نمط التصفُّح الخاص ب NVDA، في Mozilla Firefox، يمكن التبديل بين تفعيله وتعطيله بالضغط على `NVDA+shift+f10`).
عند تفعيله، تحديد النص في نمط التصفُّح سيعمل كالتحديد الأصلي في المتصفح.
بناءً على هذا، سيؤدي نسخ النص باستخدام `control+c` للتعامل مع النص مباشرةً كما هو معروض في المتصفح، بحيث ينسخُ النص بخصائصه الغنية وتنسيقاته، وليس كنص عادي مجرد من أية تنسيقات، كما يحصل عند تحديد النص ونسخه في نمط التصفُّح الخاص ب NVDA.
ونظرا لأن Firefox يتعامل مباشرةً مع النص الفعلي في هذا النمط؛ فإن NVDA لن يُصدرَ رسالة "نسخ إلى الحافظة" عند تفعيل هذا النمط. (#15830)
* عند نسخ نص في Microsoft Word، أثناء تفعيل نمط التصفُّح، سيشمل النسخ التنسيق أيضًا.
وتبعًا لهذا، لن يُصدر NVDA رسالة "نسخ إلى الحافظة"، عند ضغط `control+c` في Microsoft Word و Outlook أثناء تفعيل نمط التصفُّح، بما أن البرنامج هو الذي يتعامل مع النص وليس NVDA. (#16129)
* إضافةُ نمط "النُطق عند الطلب" لأنماط النُطق.
عند تفعيل هذا الوضع؛ لن ينطق NVDA تلقائيا (على سبيل المثال: عند تحريك المؤشّر)، لكنه سينطق عند تنفيذ أمر من الأوامر المخصصة لنُطق شيء بعينه (مثل أمر قراءة عنوان النافذة). (#481, @CyrilleB79)
* عبر تصنيف "النُطق" ضمن إعدادات NVDA، يمكن الآن استبعاد أنماط النُطق غير المرغوبة من قائمة أنماط النُطق المتاحة عند التبديل بينها باستخدام مفتاح الاختصار: (`NVDA+s`). (#15806, @lukaszgo1)
  * إن كنتَ تستخدم حاليا إضافة تعطيل نمط الصفير NoBeepsSpeechMode؛ يمكنك إزالتها وتعطيل نمطي "الصفير" و"عند الطلب" من الإعدادات.

### التغييرات

* وَقْف دعم NVDA ل Windows 7 و Windows 8.
سيتطلّب NVDA Windows 8.1 على الأقل ليعمل. (#15544)
* تحديثات على المكونات المُضمَّنة:
  * تحديث مترجم برايل LibLouis إلى الإصدار [3.28.0](https://github.com/liblouis/liblouis/releases/tag/v3.28.0). (#15435, #15876, @codeofdusk)
    * أُضيفت جداول برايل جديدة: تايلاندي، روماني، وفلبيني.
  * تحديث آلة النُطق eSpeak NG  إلى الإصدار 1.52-dev  `530bf0abf`. (#15036)
  * تحديث مكتبة الرموز والوجوه التعبيرية Emoji CLDR إلى الإصدار 44.0. (#15712, @OzancanKaratas)
  * تحديث Java Access Bridge إلى الإصدار 17.0.9+8Zulu (17.46.19). (#15744)
* مفاتيح الاختصار للأوامر:
  * أصبح الضغط مرتين وثلاثًا مدعومًا مع مفاتيح الاختصار الخاصة بالأوامر الآتية لتهجّي المعلومات، وقراءة تهجئتها بأوصاف الأحرف الصوتية: قراءة النص المحدد، قراءة النص الموجود في الحافظة، وقراءة الكائن المحدد. (#15449, @CyrilleB79)
  * عُيّنَ مفتاح اختصار افتراضي لأمر التبديل بين تفعيل وتعطيل ستار الشاشة: `NVDA+control+escape` (NVDA+مفتاح التحكُّم+مفتاح الهروب). (#10560, @CyrilleB79)
  * عند ضغط مفتاح الاختصار المخصص لقراءة النص المحدد أربع مرات، سيُعرَضُ النص المحدد كرسالة قابلة للاستعراض. (#15858, @Emil-18)
* في Microsoft Office:
  * عند الاستعلام عن معلومات تنسيق النص في خلايا Excel، سيُعلَنُ عن تنسيق حدود وخلفية الخلية فقط إن وُجِدا (#15560, @CyrilleB79)
  * لن يعلن NVDA عن التجميعات غير المسماة كما في القوائم في الإصدارات الأحدث من Microsoft Office 365. (#15638)
* نقل خياري "جهاز إخراج الصوت" و"نمط خفض الأصوات" من مربع حوار "اختيار آلة النُطق".
يمكن الوصول إليهما الآن عبر شاشة إعدادات الصوت، والتي يمكن فتحُها مباشرة عبر مفتاح الاختصار: `NVDA+control+u`. (#15512, @codeofdusk)
* تغيير تسمية الخيار "الإعلان عن نوع الكائن عند وقوع مؤشر الفأرة عليه" الموجود ضمن إعدادات الفأرة الخاصة ب NVDA إلى "الإعلان عن الكائن عند انتقال الفأرة إليه".
سيُعلن هذا الخيار عن مزيد من التفاصيل والمعلومات حول الكائن عند انتقال الفأرة إليه، مثل: الحالة (محدَّد/مضغوط)، أو موقع الخلية في الجدول. (#15420, @LeonarddeR)
* إضافةُ العنصرين الجديدين: "الحصول على المساعدة والدعم" و"متجر NV Access" إلى قائمة المساعدة الخاصة ب NVDA. (#14631)
* تحسينات على دعم NVDA لمحرّر ملفات الترجمة [Poedit](https://poedit.net) الإصدار 3 وما بعده.
ويُشجَّعُ مستخدمو الإصدار 1 من Poedit، على التحديث للإصدار الثالث، إن رغبوا في الاستفادة من تحسينات إمكانية الوصول المُضافة إليه، مثل مفاتيح الاختصار المخصصة لقراءة التعليقات والملاحظات المتعلقة بالترجمة. (#15313, #7303, @LeonarddeR)
* تعطيل عارض الخط البارز برايل وعارض النُطق في الوضع الآمن. (#15680)
* عند استخدام نمط استعراض الكائنات، لن تُتجاهل الكائنات غير القابلة للتفاعُل. (#15477, @CyrilleB79)
* إضافةُ فهرس للمحتويات إلى ملف "المرجع السريع للاختصارات". (#16106)

### الإصلاحات

* في مستودع الإضافات:
  * عند تغيُّر حالة الإضافة أثناء وجود مؤشّر النظام عندها، على سبيل المثال: إذا تغيّرتِ الحالة من "قيد التنزيل" إلى "منزَّلة"، سيُعلَن عن العنصر الذي طرأ عليه التحديث بشكل صحيح. (#15859, @LeonarddeR)
  * عند تثبيت الإضافات، لن يزاحم مربّع حوار إعادة التشغيل رسالة التأكد من التثبيت. (#15613, @lukaszgo1)
  * عند إعادة تثبيت إضافة غير متوافقة، لن تُطَّل إلزامًا. (#15584, @lukaszgo1)
  * يمكن الآن تحديث الإضافات المعطَّلة وغير المتوافقة. (#15568, #15029)
  * سيعرضُ NVDA رسالة خطأ عند تعذُّر تنزيل إضافة بشكل صحيح. (#15796)
  * لن تتعثّر عملية إعادة تشغيل NVDA بعد فتح وإغلاق مستودع الإضافات. (#16019, @lukaszgo1)
* إصلاحات متعلقة بالصوت:
  * لن يتجمد NVDA فترة يسيرة عند تشغيل أصوات متعددة بتتابُع سريع. (#15311, #15757, @jcsteh)
  * إذا عُيِّنَ خيارُ جهاز إخراج الصوت لخيار غير الافتراضي، وتوفّر جهاز الصوت المختار بعد أن لم يكن كذلك، سيعود NVDA لإخراج الصوت عبره بدلا من استخدام جهاز إخراج الصوت الافتراضي. (#15759, @jcsteh)
  * سيستمر NVDA في إخراج الصوت إذا طرأ تغيير على خيار جهاز إخراج الصوت، أو في حال تشغيل برنامج له صلاحية تحكُّم في جهاز إخراج الصوت. (#15758, #15775, @jcsteh)
* إصلاحات تتعلق ببرايل:
  * لن تتسبب شاشات برايل ذات الأسطر المتعددة في انهيار مشغّل BRLTTY، وستُعامل على أنها شاشة كبيرة ممتدة. (#15386)
  * سيُكتشف الآن المزيد من الكائنات التي تحتوي على نص مفيد ويُعرَض محتواها على أسطر برايل. (#15605)
  * سيعمل إدخال برايل باختصارات جيدا كما كان سابقا. (#15773, @aaclause)
  * سيُحدَّثُ محتوى برايل عند تحريك مؤشّر استعراض الكائنات بين خلايا الجدول في المزيد من الحالات. (#15755, @Emil-18)
  * المعلومات التي تُستدعى بأوامر قراءة الكائن المحدد، وقراءة النص المحدد، وقراءة الموضع الحالي لمؤشّر NVDA، وقراءة النص المحدد في حيزات التحرير؛ ستُعرَضُ الآن على برايل أيضا. (#15844, @Emil-18)
  * لن يتعامل برنامج تعريف أسطر برايل Albatross مع أجهزة Esp32 microcontroller كما لو أنها أسطر Albatross. (#15671)
* في LibreOffice:
  * عند حذف كلمة متبوعة بمسافات بيضاء (مثل: المسافة أو علامات الإزاحة) باستخدام مفتاح الاختصار `control+backspace`؛ ستُقرأ الكلمة بشكل صحيح.  (#15436, @michaelweghorn)
  * في إصدارات LibreOffice  24.2 وما بعده؛ سيُقرأ شريط الحالة في مربّعات الحوار عند استخدام مفتاح الاختصار `NVDA+end`. (#15591, @michaelweghorn)
  * دعم كافة خصائص الخط في إصدار LibreOffice 24.2 فأعلى.
  بناءً على هذا، سيعمل الإعلان عن الأخطاء الهجائية عند قراءة السطر في Writer. (#15648, @michaelweghorn)
  * الإعلان عن مستويات العناوين (رؤوس الموضوعات) يعمل الآن أيضًا في LibreOffice الإصدار 24.2 وما بعده. (#15881, @michaelweghorn)
* في Microsoft Office:
  * في Excel، حال تعطيل أتمتة واجهة المستخدم (UIA)؛ سيُنطَقُ محتوى الخلية النشطة ويُحدّثُ على أسطر برايل عند الضغط على `control+y`, أو `control+z` أو `alt+backspace`. (#15547)
  * في Word، حال تعطيل أتمتة واجهة المستخدم (UIA)؛ سيُحدّثُ المحتوى على أسطر برايل عند الضغط على `control+v`, أو `control+x`, أو `control+y`, أو `control+z`, أو `alt+backspace`, أو `backspace` أو `control+backspace`.
  سيُحدَّثُ المحتوى أيضًا حال تفعيل UIA، إذا كُتِب نصٌ وكان مؤشّر برايل تابعا لمؤشّر الاستعراض ومؤشّر الاستعراض يتبع مؤشّر التحرير. (#3276)
  * في Word، ستُقرأ الخلية المُنتقَل إليها بشكل صحيح، عند استخدام أوامر Word الخاصة بالتنقل في الجدول `alt+home`، `alt+end`، `alt+pageUp` و`alt+pageDown`. (#15805, @CyrilleB79)
* تحسين الإعلان عن مفاتيح الاختصار الخاصة بالكائن. (#10807, #15816, @CyrilleB79)
* دعم آلة النُطق SAPI4 الآن لخيارات: مستوى وحدة وسرعة الصوت الموجودة ضمن إعدادات النُطق الخاصة ب NVDA على الوجه المطلوب. (#15271, @LeonarddeR)
* في التطبيقات التي تستخدم Java Access Bridge؛ سيُقرأ حيز التحرير متعدد الأسطر بشكل صحيح. (#14609)
* سيقرأ NVDA الآن محتوى مربّعات الحوار في عدد أكبر من مربعات الحوار في - سيعلن NVDA عن محتوى الحوار لمزيد من مربعات الحوار في Windows 10 و11. (#15729، @جوزيفسل)
* في متصفح Microsoft Edge، لن يخفق NVDA في قراءة الصفحة المحملة حديثًا عند تفعيل أتمتة واجهة المستخدم UI Automation. (#15736)
* عند استخدام أمر قراءة الكل أو الأوامر التي تتهجى النص، لم تعد فترات التوقف المؤقت بين الجمل أو الأحرف تتضاءل تدريجيًا بمرور الوقت. (#15739، @jcsteh)
* لم يعُدْ NVDA يدخل في حالة جمود في بعض الأوقات عند قراءة نص طويل. (#15752, @jcsteh)
* عند استخدام Microsoft Edge، حال تفعيل أتمتة واجهة المستخدم، يمكن ل NVDA الآن تفعيل المزيد من عناصر التحكم في نمط التصفُّح. (#14612)
* لن يخفق NVDA في البدء بعد الآن إذا وُجِدَ تلف في ملف الإعدادات، بل سيستعيد الإعدادات الافتراضية كما كان يفعل سابقا.  (#15690، @CyrilleB79)
* إصلاح دعم عناصر التحكم في قائمة عرض النظام (`SysListView32`) في تطبيقات Windows Forms. (#15283, @LeonarddeR)
* لم يعُدْ من الممكن التعديل أو محو شيء من سجل بوابة لغة Python الخاصة ب NVDA. (#15792, @CyrilleB79)
* ينبغي أن يستمر NVDA في الاستجابة عند تزاحم العديد من أحداث أتمتة واجهة المستخدم، كما في حال ظهور نص طويل على شاشة مخرجات سطر الأوامر، أو عند الاستماع لرسائل صوتية في WhatsApp messenger. (#14888, #15169)
  * يمكن تعطيل هذا السلوك الجديد باستخدام الإعداد الجديد "استخدام المعالجة المحسنة للأحداث" في إعدادات NVDA المتقدمة.
* يمكن ل NVDA الآن تتبُّع مؤشّر النظام في التطبيقات العاملة مع Windows Defender Application Guard (WDAG). كما كان سابقا. (#15164)
* لن يُحدَّث النص المنطوق في عارض النُطق باستمرار عند تحريك المؤشّر. (#15952, @hwf1324)
* سيعود NVDA لنمط التصفُّح عند إغلاق صناديق الخيارات بالضغط على `مفتاح الهروب escape` أو `alt+السهم العلوي` في Firefox أو Chrome. (#15653)
* لن يؤدي التحرُّك بالسهمين العلوي والسفلي في صناديق الخيارات في iTunes إلى العودة لنمط التصفُّح على نحو غير ملائم. (#15653)

### تعديلاتٌ للمطورين

Please refer to [the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* Note: this is an Add-on API compatibility breaking release.
Add-ons will need to be re-tested and have their manifest updated.
* Building NVDA now requires Visual Studio 2022.
Please refer to the [NVDA docs](https://github.com/nvaccess/nvda/blob/release-2024.1/projectDocs/dev/createDevEnvironment.md) for the specific list of Visual Studio components. (#14313)
* Added the following extension points:
  * `treeInterceptorHandler.post_browseModeStateChange`. (#14969, @nvdaes)
  * `speech.speechCanceled`. (#15700, @LeonarddeR)
  * `_onErrorSoundRequested` (should be retrieved calling `logHandler.getOnErrorSoundRequested()`) (#15691, @CyrilleB79)
* It is now possible to use plural forms in an add-on's translations. (#15661, @beqabeqa473)
* Included python3.dll in the binary distribution for use by add-ons with external libraries utilizing the [stable ABI](https://docs.python.org/3.11/c-api/stable.html). (#15674, @mzanm)
* The `BrailleDisplayDriver` base class now has `numRows` and `numCols` properties to provide information about multi line braille displays.
Setting `numCells` is still supported for single line braille displays and `numCells` will return the total number of cells for multi line braille displays. (#15386)
* Updated BrlAPI for BRLTTY to version 0.8.5, and its corresponding python module to a Python 3.11 compatible build. (#15652, @LeonarddeR)
* Added the `speech.speakSsml` function, which allows you to write NVDA speech sequences using [SSML](https://www.w3.org/TR/speech-synthesis11/). (#15699, @LeonarddeR)
  * The following tags are currently supported and translated to appropriate NVDA speech commands:
    * `Prosody` (`pitch`, `rate` and `volume`). Only multiplication (e.g. `200%` are supported.
    * `say-as` with the `interpret` attribute set to `characters`
    * `voice` with the `xml:lang` set to an XML language
    * `break` with the `time` attribute set to a value in milliseconds, e.g. `200ms`
    * `mark` with the `name` attribute set to a mark name, e.g. `mark1`, requires providing a callback
  * Example: `speech.speakSsml('<speak><prosody pitch="200%">hello</prosody><break time="500ms" /><prosody rate="50%">John</prosody></speak>')`
  * The SSML parsing capabilities are backed by the `SsmlParser` class in the `speechXml` module.
* Changes to the NVDA Controller Client library:
  * The file names of the library no longer contain a suffix denoting the architecture, i.e. `nvdaControllerClient32/64.dll` are now called `nvdaControllerClient.dll`. (#15718, #15717, @LeonarddeR)
  * Added an example to demonstrate using nvdaControllerClient.dll from Rust. (#15771, @LeonarddeR)
  * Added the following functions to the controller client: (#15734, #11028, #5638, @LeonarddeR)
    * `nvdaController_getProcessId`: To get the process id (PID) of the current instance of NVDA the controller client is using.
    * `nvdaController_speakSsml`: To instruct NVDA to speak according to the given SSML. This function also supports:
      * Providing the symbol level.
      * Providing the priority of speech to be spoken.
      * Speaking both synchronously (blocking) and asynchronously (instant return).
    * `nvdaController_setOnSsmlMarkReachedCallback`: To register a callback of type `onSsmlMarkReachedFuncType` that is called in synchronous mode for every `<mark />` tag encountered in the SSML sequence provided to `nvdaController_speakSsml`.
  * Note: the new functions in the controller client only support NVDA 2024.1 and above.
* Updated `include` dependencies:
  * detours to `4b8c659f549b0ab21cf649377c7a84eb708f5e68`. (#15695)
  * ia2 to `3d8c7f0b833453f761ded6b12d8be431507bfe0b`. (#15695)
  * sonic to `8694c596378c24e340c09ff2cd47c065494233f1`. (#15695)
  * w3c-aria-practices to `9a5e55ccbeb0f1bf92b6127c9865da8426d1c864`. (#15695)
  * wil to `5e9be7b2d2fe3834a7107f430f7d4c0631f69833`. (#15695)
* Device info yielded by `hwPortUtils.listUsbDevices` now contain the bus reported description of the USB device (key `busReportedDeviceDescription`). (#15764, @LeonarddeR)
* For USB serial devices, `bdDetect.getConnectedUsbDevicesForDriver` and `bdDetect.getDriversForConnectedUsbDevices` now yield device matches containing a `deviceInfo` dictionary enriched with data about the USB device, such as `busReportedDeviceDescription`. (#15764, @LeonarddeR)
* When the configuration file `nvda.ini` is corrupted, a backup copy is saved before it is reinitialized. (#15779, @CyrilleB79)
* When defining a script with the script decorator, the `speakOnDemand` boolean argument can be specified to control if a script should speak while in "on-demand" speech mode. (#481, @CyrilleB79)
  * Scripts that provide information (e.g. say window title, report time/date) should speak in the "on-demand" mode.
  * Scripts that perform an action (e.g. move the cursor, change a parameter) should not speak in the "on-demand" mode.
* Fixed bug where deleting git-tracked files during `scons -c` resulted in missing UIA COM interfaces on rebuild. (#7070, #10833, @hwf1324)
* Fix a bug where some code changes were not detected when building `dist`, that prevented a new build from being triggered.
Now `dist` always rebuilds. (#13372, @hwf1324)
* A `gui.nvdaControls.MessageDialog` with default type of standard, no longer throws a None conversion exception because no sound is assigned. (#16223, @XLTechie)

#### API Breaking Changes

These are breaking API changes.
Please open a GitHub issue if your Add-on has an issue with updating to the new API.

* NVDA is now built with Python 3.11. (#12064)
* Updated pip dependencies:
  * configobj to 5.1.0dev commit `e2ba4457c4651fa54f8d59d8dcdd3da950e956b8`. (#15544)
  * Comtypes to 1.2.0. (#15513, @codeofdusk)
  * Flake8 to 4.0.1. (#15636, @lukaszgo1)
  * py2exe to 0.13.0.1dev commit `4e7b2b2c60face592e67cb1bc935172a20fa371d`. (#15544)
  * robotframework to 6.1.1. (#15544)
  * SCons to 4.5.2. (#15529, @LeonarddeR)
  * sphinx to 7.2.6. (#15544)
  * wxPython to 4.2.2a commit `0205c7c1b9022a5de3e3543f9304cfe53a32b488`. (#12551, #16257)
* Removed pip dependencies:
  * typing_extensions, these should be supported natively in Python 3.11 (#15544)
  * nose, instead unittest-xml-reporting is used to generate XML reports. (#15544)
* `IAccessibleHandler.SecureDesktopNVDAObject` has been removed.
Instead, when NVDA is running on the user profile, track the existence of the secure desktop with the extension point: `winAPI.secureDesktop.post_secureDesktopStateChange`. (#14488)
* `braille.BrailleHandler.handlePendingCaretUpdate` has been removed with no public replacement. (#15163, @LeonarddeR)
* `bdDetect.addUsbDevices and bdDetect.addBluetoothDevices` have been removed.
Braille display drivers should implement the `registerAutomaticDetection` class method instead.
That method receives a `DriverRegistrar` object on which the `addUsbDevices` and `addBluetoothDevices` methods can be used. (#15200, @LeonarddeR)
* The default implementation of the check method on `BrailleDisplayDriver` now requires both the `threadSafe` and `supportsAutomaticDetection` attributes to be set to `True`. (#15200, @LeonarddeR)
* Passing lambda functions to `hwIo.ioThread.IoThread.queueAsApc` is no longer possible, as functions should be weakly referenceable. (#14627, @LeonarddeR)
* `IoThread.autoDeleteApcReference` has been removed. (#14924, @LeonarddeR)
* To support capital pitch changes, synthesizers must now explicitly declare their support for the `PitchCommand` in the `supportedCommands` attribute on the driver. (#15433, @LeonarddeR)
* `speechDictHandler.speechDictVars` has been removed. Use `NVDAState.WritePaths.speechDictsDir` instead of `speechDictHandler.speechDictVars.speechDictsPath`. (#15614, @lukaszgo1)
* `languageHandler.makeNpgettext` and `languageHandler.makePgettext` have been removed.
`npgettext` and `pgettext` are supported natively now. (#15546)
* The app module for [Poedit](https://poedit.net) has been changed significantly. The `fetchObject` function has been removed. (#15313, #7303, @LeonarddeR)
* The following redundant types and constants have been removed from `hwPortUtils`: (#15764, @LeonarddeR)
  * `PCWSTR`
  * `HWND` (replaced by `ctypes.wintypes.HWND`)
  * `ULONG_PTR`
  * `ULONGLONG`
  * `NULL`
  * `GUID` (replaced by `comtypes.GUID`)
* `gui.addonGui.AddonsDialog` has been removed. (#15834)
* `touchHandler.TouchInputGesture.multiFingerActionLabel` has been removed with no replacement. (#15864, @CyrilleB79)
* `NVDAObjects.IAccessible.winword.WordDocument.script_reportCurrentHeaders` has been removed with no replacement. (#15904, @CyrilleB79)
* The following app modules are removed.
Code which imports from one of them, should instead import from the replacement module. (#15618, @lukaszgo1)

| Removed module name |Replacement module|
|---|---|
|`azardi-2.0` |`azardi20`|
|`azuredatastudio` |`code`|
|`azuredatastudio-insiders` |`code`|
|`calculatorapp` |`calculator`|
|`code - insiders` |`code`|
|`commsapps` |`hxmail`|
|`dbeaver` |`eclipse`|
|`digitaleditionspreview` |`digitaleditions`|
|`esybraille` |`esysuite`|
|`hxoutlook` |`hxmail`|
|`miranda64` |`miranda32`|
|`mpc-hc` |`mplayerc`|
|`mpc-hc64` |`mplayerc`|
|`notepad++` |`notepadPlusPlus`|
|`searchapp` |`searchui`|
|`searchhost` |`searchui`|
|`springtoolsuite4` |`eclipse`|
|`sts` |`eclipse`|
|`teamtalk3` |`teamtalk4classic`|
|`textinputhost` |`windowsinternal_composableshell_experiences_textinput_inputapp`|
|`totalcmd64` |`totalcmd`|
|`win32calc` |`calc`|
|`winmail` |`msimn`|
|`zend-eclipse-php` |`eclipse`|
|`zendstudio` |`eclipse`|

#### Deprecations

* Using `watchdog.getFormattedStacksForAllThreads` is deprecated - please use `logHandler.getFormattedStacksForAllThreads` instead. (#15616, @lukaszgo1)
* `easeOfAccess.canConfigTerminateOnDesktopSwitch` has been deprecated, as it became obsolete since Windows 7 is no longer supported. (#15644, @LeonarddeR)
* `winVersion.isFullScreenMagnificationAvailable` has been deprecated - use `visionEnhancementProviders.screenCurtain.ScreenCurtainProvider.canStart` instead. (#15664, @josephsl)
* The following Windows release constants has been deprecated from winVersion module (#15647, @josephsl):
  * `winVersion.WIN7`
  * `winVersion.WIN7_SP1`
  * `winVersion.WIN8`
* The `bdDetect.KEY_*` constants have been deprecated.
Use `bdDetect.DeviceType.*` instead. (#15772, @LeonarddeR).
* The `bdDetect.DETECT_USB` and `bdDetect.DETECT_BLUETOOTH` constants have been deprecated with no public replacement. (#15772, @LeonarddeR).
* Using `gui.ExecAndPump` is deprecated - please use `systemUtils.ExecAndPump` instead. (#15852, @lukaszgo1)

## 2023.3.4

هذا إصدار ثانوي لإصلاح مشكلة الأمان ومشكلة التثبيت.
يرجى الإبلاغ بحذر عن المشكلات الأمنية باتباع [سياسة الأمان] الخاصة بـ NVDA(https://github.com/nvaccess/nvda/blob/master/security.md).

### Security Fixes

* Prevents loading custom configuration while secure mode is forced.
([GHSA-727q-h8j2-6p45](https://github.com/nvaccess/nvda/security/advisories/GHSA-727q-h8j2-6p45))

### Bug Fixes

* Fixed bug which caused the NVDA process to fail to exit correctly. (#16123)
* Fixed bug where if the previous NVDA process failed to exit correctly, an NVDA installation could fail to an unrecoverable state. (#16122)

## 2023.3.3

This is a patch release to fix a security issue.
Please responsibly disclose security issues following NVDA's [security policy](https://github.com/nvaccess/nvda/blob/master/security.md).

### Security Fixes

* Prevents possible reflected XSS attack from crafted content to cause arbitrary code execution.
([GHSA-xg6w-23rw-39r8](https://github.com/nvaccess/nvda/security/advisories/GHSA-xg6w-23rw-39r8))

## 2023.3.2

This is a patch release to fix a security issue.
The security patch in 2023.3.1 was not resolved correctly.
Please responsibly disclose security issues following NVDA's [security policy](https://github.com/nvaccess/nvda/blob/master/security.md).

### إصلاحات أمنية

* The security patch in 2023.3.1 was not resolved correctly.
Prevents possible system access and arbitrary code execution with system privileges for unauthenticated users.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3.1

This is a patch release to fix a security issue.
Please responsibly disclose security issues following NVDA's [security policy](https://github.com/nvaccess/nvda/blob/master/security.md).

### إصلاحات أمنية

* Prevents possible system access and arbitrary code execution with system privileges for unauthenticated users.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3

يشتمل هذا الإصدار على تحسيناتٍ على أداء واستجابة واستقرار إخراج الصوت.
أُضيفت خيارات للتحكم بمستوى أصوات ونغمات NVDA على حدة، أو بجعلها تابعة لمستوى صوت النُطق الذي تستخدمه.

يمكن ل NVDA الآن تحديث نتائج التعرُّف الضوئي على الأحرف OCR باستمرار، بحيث يقرأ النص الجديد فور ظهوره.
يمكن ضبطُ هذه الخاصية عبر تصنيف التعرُّف الضوئي على الأحرف الموجود ضمن مربّع حوار إعدادات NVDA.

هناك العديد من الإصلاحات على عمل برايل، متعلقة بتحسين اكتشاف الأجهزة المتصلة، وبحركة مؤشّر الكتابة.
فأصبح من الممكن استبعاد تعريفات الأجهزة غير المرغوب فيها من خاصية الاكتشاف التلقائي لتحسين أدائها.
هناك أيضًا أوامر جديدة لمعرِّف BRLTTY.

كما توجد العديد من الإصلاحات على مستودع الإضافات، و Microsoft Office، وقوائم السياق في متصفح Microsoft Edge، والآلة الحاسبة المدمجة في Windows.

### المستجدات

* تحسينات على إدارة الصوت:
  * شاشةٌ جديدة لإعدادات الصوت:
    * يمكن فتحها باستخدام مفتاح الاختصار: `NVDA+control+u`.
    * خيارٌ ضمن إعدادات الصوت لجعل مستوى نغمات NVDA وتنبيهاته الصوتية تابعا لمستوى صوت النُطق المختار ضمن إعدادات النُطق. (#1409)
    * خيارٌ ضمن إعدادات الصوت للتحكُّم بمستوى تنبيهات NVDA الصوتية بشكل منفصل. (#1409, #15038)
    * نقل خيارَي تغيير جهاز إخراج الصوت وضبط نمط خفض الأصوات من مربّع حوار اختيار آلة النُطق إلى شاشة إعدادات الصوت الجديدة.
    سيُزال هذان الخياران من مربّع حوار "اختيار آلة النُطق" في الإصدار 2024.1 من NVDA. (#15486, #8711)
  * يمكن ل NVDA الآن إخراج الصوت عبر واجهة برمجة تطبيقات Windows Audio Session (WASAPI)، مما قد يحسن استجابة وأداء واستقرار نُطق البرنامج وما يصدُر عنه من أصوات. (#14697, #11169, #11615, #5096, #10185, #11061)
  * ملاحظة: لا يتوافق  WASAPI حاليا مع بعض الإضافات البرمجية.
  هناك حاليا تحديثات متوافقة لهذه الإضافات، يُرجى تحديثُها قبل تحديث NVDA لهذا الإصدار.
  ستُعطَّل الإصدارات غير المتوافقة من هذه الإضافات، بعد تحديث NVDA:
    * إضافة Tony's Enhancements الإصدار 1.15 أو أقدم. (#15402)
    * ملحق NVDA global commands 12.0.8 أو أقدم (#15443)
* بات NVDA الآن قادرًا على تحديث نتائج التعرُّف الضوئي على الأحرف (OCR) باستمرار، حيث سيقرأ النص الجديد فور ظهوره. (#2797)
  * لتفعيل هذه الخاصية، فعِّلْ خيار "تحديث المحتوى المتعرَّف عليه باستمرار" من تصنيف التعرُّف الضوئي على الأحرف ضمن مربّع حوار إعدادات NVDA.
  * بعد تفعيله، يمكنك التبديل بين تفعيل وتعطيل النص الجديد بتبديل خيار الإعلان عن تغييرات المحتوى النَشِط (بالضغط على `NVDA+5`).
* عند استخدام الاكتشاف التلقائي لأسطر برايل الإلكترونية، يمكن الآن استبعاد معرِّفات الأجهزة غير المرغوبة من خاصية الاكتشاف النلقائي، عبر مربّع حوار اختيار سطر برايل. (#15196)
* إضافةُ الخيار الجديد "تجاهل الإعلان عن المسافات البادئة للأسطر الفارغة" إلى إعدادات تنسيق المستند. (#13394)
* إضافةُ مفتاح اختصار (لم يُعيَّن افتراضيا) للتنقل بين التبويبات في نمط التصفُّح. (#15046)

### التغييرات

* تغييرات على برايل:
  * عند تغيُّر النص على شاشات وحدات توجيه الأوامر دون أن يتغير موضع مؤشّر الكتابة؛ سيُعرَضُ النص الجديد بشكل صحيح على شاشة برايل أثناء عرض السطر الذي حدثت فيه التغييرات.
  يشمل ذلك الحالات التي يكون فيها برايل مرتبطا بمؤشّر الاستعراض. (#15115)
  * تعريف المزيد من مفاتيح الاختصار ل BRLTTY لتنفيذ أوامر NVDA (#6483)
    * `learn`: للتبديل بين تفعيل وتعطيل المساعدة التفاعلية
    * `prefmenu`: لفتح قائمة NVDA
    * `prefload`/`prefsave`: حفظ إعدادات NVDA
    * `time`: عرض الوقت
    * - `say_line`: قراءة السطر الحالي الذي يوجد فيه مؤشّر الاستعراض
    * `say_below`: قراءة الكل باستخدام مؤشّر الاستعراض
  * معرِّف BRLTTY متاحٌ فقط في حال وجود BrlAPI وعمله.
  * إزالة خيار تفعيل دعم HID Braille من الإعدادات المتقدمة حيث بات يُغني عنه خيار جديد.
  يمكن الآن تعطيل الاكتشاف التلقائي لمعرّفات أجهزة برايل بعينها عبرمربّع حوار اختيار سطر برايل الإلكتروني. (#15196)
* في مستودع الإضافات، ستُعرَضُ الإضافات المثبَّتة ضمن شاشة الإضافات المتوفرة إن كانت متوفرةً بالفعل في المستودع. (#15374)
* تحديث بعض مفاتيح اختصارات الوصول السريع في قائمة NVDA. (#15364)

### الإصلاحات

* في Microsoft Office:
  * معالجة مشكلة في Microsoft Word تحدث عندما يكون خيارا "الإعلان عن رؤوس الموضوعات" و"الإعلان عن الملاحظات والتعليقات" معطَّلين ضمن إعدادات تنسيق المستند. (#15019)
  * في Wordو Excel، سيُعلَنُ عن محاذاة النص بشكل صحيح في العديد من الحالات. (#15206, #15220)
  * إصلاح الإعلان عن بعض مفاتيح الاختصار الخاصة بتنسيقات الخلية في Excel. (#15527)
* في Microsoft Edge:
  * لن يقفز NVDA عائدًا إلى حيث كان موضع مؤشر نمط التصفُّح، عند فتح قائمة السياق في Microsoft Edge. (#15309)
  * يمكن ل NVDA الآن -كما في السابق- قراءة محتوى قائمة السياق الخاصة بالتنزيلات في Microsoft Edge. (#14916)
* إصلاحات متعلقة ببرايل:
  * عند التبديل بين إظهار وإخفاء مؤشّر برايل ومؤشّر التحديد الخاص ببرايل عبر مفاتيح الاختصار؛ سيُحدَّثُ موضعهما بشكل صحيح. (#15115)
  * إصلاح خطأ محاولة الاتصال بأسطر برايل Albatross، على الرغم من وجود أجهزة أخرى متصلة. (#15226)
* في مستودع الإضافات:
  * إصلاح مشكلة ااستمرار ظهور الإضافات غير المتوافقة ضمن قائمة الإضافات، على الرغم من إلغاء تحديد خيار "تضمين الإضافات غير المتوافقة.
  * سيعمل عامل تصفية الإضافات وِفقا لحالة التفعيل أو التعطيل بشكل صحيح مع الإضافات التي تُستبعد بسبب عدم توافقها. (#15416)
  * إصلاح مشكلة تُعيق الإضافات المثبّتة غير المتوافقة في حال تفعيلها من التحديث أو الاستبدال عند تثبيتها من مصدر خارجي. (#15417)
  * إصلاح مشكلة توقُّف NVDA عن النُطق بعد تثبيت الإضافة البرمجية حتى يُعاد تشغيله. (#14525)
  * إصلاح مشكلة تعذُّر تثبيت الإضافة إذا أُلغيت عملية تثبيتها سابقا أو فشلت. (#15469)
  * إصلاح مشكلات تتعلق بالإضافات غير المتوافقة عند ترقية NVDA. (#15414, #15412, #15437)
* سيعلن NVDA -كما في السابق- عن نتائج العمليات الحسابية في حاسبة Windows 32 بت على إصدارات Windows Server وLTSC وLTSB. (#15230)
* لم يعُدْ NVDA يتجاهل تغييرات موضع مؤشّر النظام، عندما ينتقل لنافذة فرعية، (نافذة في المستوى الثاني grand child window). (#15432)
* إصلاح مشكلة من المحتمل أنها تسبب انهيار NVDA أثناء عملية بدء تشغيله. (#15517)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية. كما يُرجى الرجوع إلى [دليل المطورين](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) للحصول على معلومات حول ما أُهمِلَ وأُزيل من واجهة برمجة التطبيقات الخاصة بـ NVDA.

* `braille.handler.handleUpdate` and `braille.handler.handleReviewMove` have been changed in order not to update instantly.
Before this change, when either of these methods was called very often, this would drain many resources.
These methods now queue an update at the end of every core cycle instead.
They should also be thread safe, making it possible to call them from background threads. (#15163)
* Added official support to register custom braille display drivers in the automatic braille display detection process.
Consult the `braille.BrailleDisplayDriver` class documentation for more details.
Most notably, the `supportsAutomaticDetection` attribute must be set to `True` and the `registerAutomaticDetection` `classmethod` must be implemented.  (#15196)

#### Deprecations

* `braille.BrailleHandler.handlePendingCaretUpdate` is now deprecated with no public replacement.
It will be removed in 2024.1. (#15163)
* Importing the constants `xlCenter`, `xlJustify`, `xlLeft`, `xlRight`, `xlDistributed`, `xlBottom`, `xlTop` from `NVDAObjects.window.excel` is deprecated.
Use `XlHAlign` or `XlVAlign` enumerations instead. (#15205)
* The mapping `NVDAObjects.window.excel.alignmentLabels` is deprecated.
Use the `displayString` methods of `XlHAlign` or `XlVAlign` enumerations instead. (#15205)
* `bdDetect.addUsbDevices` and `bdDetect.addBluetoothDevices` have been deprecated.
Braille display drivers should implement the `registerAutomaticDetection` classmethod instead.
That method receives a `DriverRegistrar` object on which the `addUsbDevices` and `addBluetoothDevices` methods can be used. (#15200)
* The default implementation of the check method on `BrailleDisplayDriver` uses `bdDetect.driverHasPossibleDevices` for devices that are marked as thread safe.
Starting from NVDA 2024.1, in order for the base method to use `bdDetect.driverHasPossibleDevices`, the `supportsAutomaticDetection` attribute must be set to `True` as well. (#15200)

## 2023.2

في هذا الإصدار، استُبدِل مدير الإضافات البرمجية بمستودع الإضافات.
عبر مستودع الإضافات، يمكنك استعراض الإضافات المتوفرة المطوَّرة من قَبَل مجتمع NVDA، والبحث وتحديث وتثبيت الإضافات.
يمكنك الآن تجاوز مشكلة عدم توافق الإضافات القديمة يدويًا على مسؤوليتك الخاصة.

كذلك، هناك العديد من الميزات والأوامر الجديدة الخاصة بدعم برايل، إضافة لأسطر برايل جديدة مدعومة.
وهناك أيضا مفاتيح اختصار جديدة تخص التعرُّف الضوئي على الأحرف ونمط استعراض الكائنات المسطَّح.
تحسينات على استعراض وقراءة التنسيقات في Microsoft Office.

وهناك العديد من الإصلاحات خاصة على دعم برايل و Microsoft Office ومتصفحات الويب و Windows 11.

إضافةً لتحديثاتٍ على آلة النُطق eSpeak-NG، ومترجم برايل LibLouis ومكتبة الرموز والوجوه التعبيرية Unicode CLDR.

### المستجدات

* إضافة مستودع الإضافات إلى NVDA. (#13985)
  * يمكنك استعراض الإضافات المطوَّرة من قَبَل مجتمع NVDA، والبحث وتحديث وتثبيت الإضافات.
  * تجاوز مشكلة عدم توافق الإضافات القديمة.
  * أُزيلَ مدير الإضافات واستُبدِل بمستودع الإضافات.
  * لمزيد من المعلومات يُرجى قراءة دليل المستخدم المُحدَّث.
* إضافةُ مفاتيح اختصار جديدة:
  * مفتاح اختصار غير معرَّف للتنقُّل بين اللغات المتاحة للتعرُّف الضوئي على الأحرف المدمَج في Windows. (#13036)
  * مفتاح اختصار غير معرَّف للتنقُّل بين أنماط عرض الرسائل على برايل. (#14864)
  * مفتاح اختصار غير معرَّف للتبديل بين تفعيل وتعطيل مرشّر التحديد الخاص ببرايل. (#14948)
  * تعيين مفاتيح اختصار افتراضية للانتقال للكائن التالي والسابق في نمط العرض المسطح لتسلسل الكائنات. (#15053)
    * الحاسوب المكتبي: `NVDA+numpad9` و `NVDA+numpad3` للانتقال لللكائن السابق واللاحق.
    * الحاسوب المحمول: `shift+NVDA+[` and `shift+NVDA+]` للانتقال للكائن السابق واللاحق.
* ميزات جديدة خاصة بدعم برايل:
  * دعم سطر برايل الإلكتروني Activator من Help Tech. (#14917)
  * إضافة خيار برايل جديد للتبديل بين تفعيل وتعطيل مؤشّر برايل للتحديد. (النقطتان 7 و8). (#14948)
  * خيار جديد لنقل مؤشّر التحرير أو مؤشّر النظام عند نقل مؤشّر الاستعراض عبر مفاتيح توجيه مؤشّر برايل. (#14885, #3166)
  * عند الضغط على مفتاح 2 على اللوحة الرقمية `numpad2` للإعلان عن القيمة الرقمية للحرف الواقع في موضع مؤشّر الاستعراض؛ ستُعرَضُ المعلومات عبر برايل أيضا. (#14826)
  * دعم خاصية `aria-brailleroledescription` المتاحة في ARIA 1.3، والتي تُتيح لمطوري صفحات الإنترنت إضافة تعريف للعنصر يظهر على برايل وتجاهل نوع العنصر الذي يظهر على أسطر برايل. (#14748)
  * بالنسبة لمعرّف شاشات برايل من Baum: أُضيف العديد من مفاتيح الاختصار في برايل الخاصة بتنفيذ الأوامر شائعة الاستخدام مثل: `windows+d` and `alt+tab`.
  يُرجى مراجعة دليل الاستخدام الخاص ب NVDA للاطلاع على القائمة كاملة. (#14714)
* دعم نُطق رموز Unicode الآتية:
  * رموز برايل مثل: `⠐⠣⠃⠗⠇⠐⠜`. (#14548)
  * رمز مفتاح خيارات Mac `⌥`. (#14682)
* إضافة مفاتيح اختصار خاصة بأسطر برايل Tivomatic Caiku Albatross.
  * لعرض مربّع الحوار الخاص بإعدادات برايل.
  * للوصول لشريط الحالة.
  * للتنقُّل بين أشكال مؤشّر برايل.
  * للتنقُّل بين أنماط عرض رسائل برايل.
  * للتبديل بين تفعيل وتعطيل مؤشّر برايل.
  * للتبديل بين حالات مؤشّر التحديد الخاص ببرايل.
  * للتبديل بين حالات نقل مؤشّر التحرير عند نقل مؤشّر الاستعراض عبر مفاتيح توجيه مؤشّر برايل. (#15122)
* مزايا جديدة متعلقة ب Microsoft Office:
  * عند تفعيل خيار الإعلان عن النص المميَّز بصريا ضمن إعدادات تنسيق المستند؛ سيُعلن NVDA عن اللون المستخدم في التمييز في Microsoft Word. (#7396, #12101, #5866)
  * عند تفعيل خيار الألوان في إعدادات تنسيق المستند؛ سيُعلَن عن ألوان الخلفية في Microsoft Word. (#5866)
  * عند استخدام مفاتيح الاختصار في Excel لتبديل حالة التنسيق  في خلايا Excel مثل: عريض، مائل، تحته خط، يتوسطه خط؛ سيُعلَن عن النتائج (حالة التنسيق الحالية). (#14923)
* إدارة الصوت المحسَّنة (قيد التجربة):
  * يمكن ل NVDA الآن إخراج الصوت عبر واجهة برمجة تطبيقات Windows Audio Session (WASAPI)، مما قد يحسن استجابة وأداء واستقرار نُطق البرنامج وما يصدُر عنه من أصوات.
  * يمكن تفعيل استخدام WASAPI عبر شاشة الإعدادات المتقدمة.
  إضافةً لهذا، يمكن ضبط الخيارات الآتية في حال تفعيل استخدام WASAPI:
    * خيار لجعل مستوى نغمات NVDA وتنبيهاته الصوتية تابعا لمستوى صوت النُطق المختار ضمن إعدادات النُطق. (#1409)
    * خيار للتحكُّم بمستوى تنبيهات NVDA بالصوتية بشكل منفصل. (#1409, #15038)
  * هناك مشكلة مُعلَن عنها حاليا تتعلق بتقطُّع الصوت أثناء تفعيل WASAPI. (#15150)
* في Mozilla Firefox و Google Chrome، سيُعلن NVDA عن كون الضغط على العنصر يفتح مربّع حوار أو جدولًا شبكيا أو قائمةً أو عرضًا شجريًا؛ إن كان مطوِّر الصفحة قد عرّف هذا باستخدام خاصية `aria-haspopup`. (#14709)
* يمكن الآن استخدام متغيّرات بيئة النظام (مثل: `%temp%` أو `%homepath%`) ضمن حقل تحديد المسار أثناء إنشاء النسخ المحمولة من NVDA. (#14680)
* في إصدار Windows 10 مايو 2019 وما يليه، سيعلن NVDA عن أسماء أسطح المكتب الافتراضية، عند فتحها أو التبديل بينها أو إغلاقها. (#5641)
* إضافة مُعامِل للنظام يُتيح للمستخدمين ومسؤولي النظام إجبار NVDA على العمل في النمط الآمن. (#10018)

### التغييرات

* تحديثات على المكوِّنات:
  * تحديث آلة النُطق eSpeak NG إلى 1.52-dev commit `ed9a7bcf`. (#15036)
  * تحديث مكتبة مترجم برايل LibLouis إلى الإصدار [3.26.0](https://github.com/liblouis/liblouis/releases/tag/v3.26.0). (#14970)
  * تحديث مكتبة CLDR إلى الإصدار 43.0. (#14918)
* تعديلات على LibreOffice:
  * في برنامج LibreOffice Writer التابع لحزمة LibreOffice الإصدارات >= 7.6، عند الإعلان عن موقع مؤشّر الاستعراض؛ سيُعلَن عن موقع مؤشّراستعراض النص نسبةً للصفحة الحالية، كما هو الحال في Microsoft Word. (#11696)
  * الإعلان عن شريط الحالة عند الضغط على `NVDA+end` يعمل الآن في LibreOffice. (#11698)
  * عند الانتقال لخلية أخرى في LibreOffice Calc، لن يُعلن NVDA عن موضع الخلية السابقة في حال تعطيل الإعلان عن موضع الخلية ضمن إعدادات تنسيق المستند الخاصة بNVDA. (#15098)
* تعديلات على برايل:
  * عند استخدام سطر برايل إلكتروني عبر تقنية HID Braille؛ يمكن استخدام مجموعة مفاتيح D (Dpad) لمحاكاة عمل الأسهم ومفتاح الدخول Enter.
  كما أن `مفتاح المسافة+النقطة1` و `مفتاح المسافة+النقطة 4` يحاكيان السهم لأعلى والسهم لأسفل. (#14713)
  * ستُعرَضُ الآن تحديثات محتوى صفحات الويب النَشِط (ARIA live regions) على شاشات برايل أيضا.
  يمكن تعطيل هذا الخيار عبر شاشة الإعدادات المتقدمة. (#7756)
* سيُرسَل رمزا الشرطة وشرطة em الطويلة لآلة النُطق دائمًا. (#13830)
* عند الإعلان عن مقدار المسافات البادئة في Microsoft Word، ستُعتمد وحدة القياس المختارة ضمن إعدادات Word المتقدمة، حتى في حال استخدام أتمتة واجهة المستخدم UI Automation للوصول إلى عناصر التحكُّم في مستندات Microsoft Word. (#14542)
* سيستجيب NVDA أسرع عند تحريك المؤشّر ضمن حيزات التحرير. (#14708)
* سيرتبط أمر الإعلان عن عنوان الوجهة التي يقود إليها الرابط بموضع مؤشّر التحرير ومؤشّر النظام بدلًا من مؤشّر استعراض الكائن. (#14659)
* لم يعُدْ إنشاء النسخة المحمولة يتطلَّب كتابة الحرف الذي يُشير للقرص الصلب كجزء من المسار المحدد. (#14681)
* إذا ضُبِطَ Windows لعرض الثواني في أيقونة الساعة في صينية النظام، سيُراعى هذا الإعداد عند قراءة الوقت بالضغط على `NVDA+f12`. (#14742)
* سيُعلن NVDA الآن عن التجميعات غير المُسمّاة والتي تحتوي على معلومات مفيدة عن الموقع، مثل الإصدارات الحديثة من قوائم Microsoft Office 365. (# 14878)

### إصلاحات الأخطاء

* إصلاحات على برايل:
  * إصلاحات عديدة على استقرار إدخال وإخرج النص عبر أسطر برايل الإلكترونية، أسفر عنها تقليل حدوث بعض الأخطاء وانهيارات NVDA. (#14627)
  * لن يحوِّل NVDA إعداد سطر برايل المختار إلى "لا يوجد برايل" دون ضرورة بين حين وآخر، عند استخدام الاكتشاف التلقائي لأسطر برايل، ما سينجم عنه تقليل مدخلات سجل الأخطاء. (#14524)
  * عند استخدام سطر برايل إلكتروني يدعم تقنية HID Bluetooth (مثل: HumanWare Brailliant و APH Mantis)؛ في حال اكتشافه تلقائيا؛ لن يتحوّل NVDA لاستخدام USB عند وصل الجهاز عبره.
  يحدث هذا فقط مع منافذ Bluetooth التسلسلية السابقة. (#14524)
  * في حال عدم وجود سطر برايل إلكتروني متصل، إذا أُغلِق عارض الخط البارز برايل عبر الضغط على `alt+f4` أو بالضغط على زر الإغلاق؛ سيُعاد ضبط حجم عرض برايل لوضع عدم وجود خلايا برايل. (#15214)
* إصلاحات على متصفحات شبكة الإنترنت:
  * لن يتسبّب NVDA في تعطُّل Mozilla Firefox أو عدم استجابته بين الحين والآخر. (#14647)
  * في Mozilla Firefox و Google Chrome؛ لن يُعلَن عن الحروف عند كتابتها في بعض حقول التحرير إن كان خيار نُطق الأحرف المكتوبة مُعطَّلًا. (#14666)
  * يمكنك الآن استخدام نمط التصفُّح في عناصر تحكم Chromium المضمَّنة، والذي لم يكُن ممكنا سابقا. (#13493, #8553)
  * في Mozilla Firefox، سيُقرأ النص الواقع بعد رابط بشكل صحيح عند نقل المؤشّر إليه. (#9235)
  * في متصفّحَي Chrome و Edge؛ سيُعلَنُ عن عنوان الوجهة التي تقود إليها الروابط ذات الرسوم بدقة في حالات أكثر. (#14783)
  * لن يصمت NVDA عند الاستعلام عن عنوان وجهة رابط لم تُعرَّف له خاصية href.
  بل سيُعلن NVDA بدلا من ذلك أنّه لا يوجد عنوان يقود إليه الرابط. (#14723)
  * في نمط التصفُّح، لن يتجاوز NVDA خطأً موضع مؤشّر النظام، بحيث ينتقل لعنصر التحكُّم الأصلي الذي يتفرّع عنه، أو للعنصر الفرعي، على سبيل المثال: من عنصر التحكُّم لقائمة العناصر التي يندرج ضمنها، أو لخلية ضمن عرض شبكي. (#14611)
    * لاحِظْ أن هذا ينطبق في حال تعطيل خيار "نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك" ضمن إعدادات نمط التصفُّح (وهو الوضع الافتراضي).
* إصلاحات تخصُّ Windows 11:
  * سيقرأ NVDA الآن كالسابق محتوى شريط الحالة الخاص بالمفكرة. (#14573)
  * عند الانتقال بين علامات التبويب في المفكرة ومستكشف الملفات؛ سيُعلن عن اسم علامة التبويب. (#14587, #14388)
  * سيعلن NVDA كالسابق عن العناصر المرشحة عند إدخال نص بلغات مثل الصينية واليابانية. (#14509)
  * يمكن الآن -كما في السابق- فتح عنصري "نص اتفاقية الترخيص" و"أسماء فريق العمل" الموجودَينِ ضمن قائمة المساعدة الخاصة ب NVDA. (#14725)
* إصلاحات على Microsoft Office:
  * في حال التنقُّل السريع بين الخلايا في Excel؛ ستقل احتمالات إعلان NVDA عن الخلية الخاطئة أو التحديد بشكل خاطئ. (#14983, #12200, #12108)
  * عند الوصول لخلية Excel من خارج ورقة العمل، لن يُحدَّث موضع مؤشّر برايل وموضع التمييز البصري لمؤشر النظام بلا داعٍ بحيث ينتقلان للكائن الذي كان موضع التحديد سابقا. (#15136)
  * لن يُخفِق NVDA في الإعلان عن  حقول كلمات المرور عند الانتقال إليها في Microsoft Excel و Outlook. (#14839)
* بالنسبة للرموز وعلامات الترقيم التي لا يوجد لها وصف ضمن اللغة المستخدمة؛ سيُعتبر لها مستوى الترقيم الافتراضي في اللغة الإنجليزية. (#14558, #14417)
* يمكن الآن استخدام علامة الشرطة الخلفية BackSlash في حقل الكلمة البديلة في مُعجم النُطق، عندما لا يعيَّن نوع المُدخَل للتعبير القياسي. (#14556)
* في تطبيق الحاسبة على Windows 10 و,11، لن يصمت NVDA أو يُصدر نغمة خطأ عند إدخال العمليات في وضع الحاسبة القياسي في طريقة العرض "دائما في المقدمة". (#14679)
* سيعود NVDA للعمل في العديد من الحالات التي كانت تؤدي لتجمُّده كليا في السابق كما كان يحدث عند عدم استجابة بعض التطبيقات مثلا. (#14759)
* إصلاح خطأ كان يتسبب في تجمُّد NVDA وثِقَل سجل الأخطاء عند تمكين دعم أتمتة واجهة المستخدم UIA مع بعض أسطر توجيه الأوامر. (#14689)
* لن يرفض NVDA حفظ الإعدادات، بعد استعادة الإعدادات المحفوظة مسبقا. (#13187)
* عند العمل على النسخة المؤقّتة التي يوفّره مثبِّت NVDA، لن يوهم NVDA المستخدم بأنه يمكنه حفظ الإعدادات. (#14914)
* تحسين الإعلان عن مفاتيح الاختصار الخاصة ببعض الكائنات. (#10807)
* غدت استجابة NVDA بشكل عام للأوامر ولحركة مؤشّر النظام أسرع قليلا. (#14928)
* لن يتعثّر عرضُ إعدادات التعرُّف الضوئي على الأحرف OCR في بعض الأنظمة. (#15017)
* إصلاح خطأ يتسبب في قراءة الصفحة بدلا من قراءة السطر السابق عند "السحب لأعلى" في نمط اسعراض النص. (#15127)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية. كما يُرجى الرجوع إلى [دليل المطورين](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) للحصول على معلومات حول ما أُهمِلَ وأُزيل من واجهة برمجة التطبيقات الخاصة بـ NVDA.

* Suggested conventions have been added to the add-on manifest specification.
These are optional for NVDA compatibility, but are encouraged or required for submitting to the Add-on Store. (#14754)
  * Use `lowerCamelCase` for the name field.
  * Use `<major>.<minor>.<patch>` format for the version field (required for add-on datastore).
  * Use `https://` as the schema for the url field (required for add-on datastore).
* Added a new extension point type called `Chain`, which can be used to iterate over iterables returned by registered handlers. (#14531)
* Added the `bdDetect.scanForDevices` extension point.
Handlers can be registered that yield `BrailleDisplayDriver/DeviceMatch` pairs that don't fit in existing categories, like USB or Bluetooth. (#14531)
* Added extension point: `synthDriverHandler.synthChanged`. (#14618)
* The NVDA Synth Settings Ring now caches available setting values the first time they're needed, rather than when loading the synthesizer. (#14704)
* You can now call the export method on a gesture map to export it to a dictionary.
This dictionary can be imported in another gesture by passing it either to the constructor of `GlobalGestureMap` or to the update method on an existing map. (#14582)
* `hwIo.base.IoBase` and its derivatives now have a new constructor parameter to take a `hwIo.ioThread.IoThread`.
If not provided, the default thread is used. (#14627)
* `hwIo.ioThread.IoThread` now has a `setWaitableTimer` method to set a waitable timer using a python function.
Similarly, the new `getCompletionRoutine` method allows you to convert a python method into a completion routine safely. (#14627)
* `offsets.OffsetsTextInfo._get_boundingRects` should now always return `List[locationHelper.rectLTWH]` as expected for a subclass of `textInfos.TextInfo`. (#12424)
* `highlight-color` is now a format field attribute. (#14610)
* NVDA should more accurately determine if a logged message is coming from NVDA core. (#14812)
* NVDA will no longer log inaccurate warnings or errors about deprecated appModules. (#14806)
* All NVDA extension points are now briefly described in a new, dedicated chapter in the Developer Guide. (#14648)
* `scons checkpot` will no longer check the `userConfig` subfolder anymore. (#14820)
* Translatable strings can now be defined with a singular and a plural form using `ngettext` and `npgettext`. (#12445)

#### Deprecations

* Passing lambda functions to `hwIo.ioThread.IoThread.queueAsApc` is deprecated.
Instead, functions should be weakly referenceable. (#14627)
* Importing `LPOVERLAPPED_COMPLETION_ROUTINE` from `hwIo.base` is deprecated.
Instead import from `hwIo.ioThread`. (#14627)
* `IoThread.autoDeleteApcReference` is deprecated.
It was introduced in NVDA 2023.1 and was never meant to be part of the public API.
Until removal, it behaves as a no-op, i.e. a context manager yielding nothing. (#14924)
* `gui.MainFrame.onAddonsManagerCommand` is deprecated, use `gui.MainFrame.onAddonStoreCommand` instead. (#13985)
* `speechDictHandler.speechDictVars.speechDictsPath` is deprecated, use `NVDAState.WritePaths.speechDictsDir` instead. (#15021)
* Importing `voiceDictsPath` and `voiceDictsBackupPath` from `speechDictHandler.dictFormatUpgrade` is deprecated.
Instead use `WritePaths.voiceDictsDir` and `WritePaths.voiceDictsBackupDir` from `NVDAState`. (#15048)
* `config.CONFIG_IN_LOCAL_APPDATA_SUBKEY` is deprecated.
Instead use `config.RegistryKey.CONFIG_IN_LOCAL_APPDATA_SUBKEY`. (#15049)

## 2023.1

احتوى الإصدار على العديد من المستجدات منها: الخيار الجديد "نمط الفقرة" ضمن تصنيف "التنقُّل في المستند".
يمكن استخدام هذا الخيار ضمن محررات النصوص التي لا تدعم التنقُّل وِفقًا للفقرة مثل: المفكرة و Notepad++.

هناك أيضا أمر عام للإعلان عن عنوان URL الذي يقود إليه الرابط: `NVDA+k`.

تحسين دعم محتوى الإنترنت التوضيحي (مثل التعليقات التوضيحية والحواشي السفلية).
الضغط على `NVDA+d` يؤدي للتنقُّل عبر المحتوى التوضيحي إذا أُشير لوجوده عند المرور بالنص (على سبيل المثال: "مرتبط بتعليق" "مرتبط بحاشية سفلية".)

دعم شاشات برايل الإلكترونية Tivomatic Caiku Albatross 46/80.

هناك أيضا تحسينات على دعم إصدارات Windows ARM64 و AMD64.

هناك العديد من إصلاحات الأخطاء، أبرزها إصلاحات على Windows 11.

كما حُدِّثت مكتبات eSpeak و LibLouis، و Sonic rate boost، و Unicode CLDR.
هناك جداول برايل جديدة: جورجي، سواحلي (كينيا) شيشاوي (ملاوي).

ملاحظة:

* هذا الإصدار لا يتوافق مع الإضافات البرمجية بإصداراتها الحالية.

### المستجدات

* في Microsoft Excel، عند تفعيل أتمتة واجهة المستخدم؛ سيُعلَنُ عن رؤوس الأعمدة والصفوف في الجداول تلقائيا. (#14228)
  * مع ملاحظة أنّ هذا راجع تنسيق الجدول المختار عند إدراجه عبر زر "جدول" الموجود ضمن علامة التبويب "إدراج".
  بحيث يُعتمد "العمود الأول" و"رأس الصف" كما هو ضمن خيارات نمط الجدول .
  * وليس راجعا إلى الرؤوس التي تُحدد من قِبَل قارئات الشاشة، والتي هي غير مدعومة حاليا حال تفعيل أتمتة واجهة المستخدم UI Automation.
* إضافةُ أمر (لم يُعيَّن له اختصار) للتبديل بين تفعيل وتعطيل الإعلان المتراخي عن الأوصاف الصوتية للأحرف. (#14267)
* إضافة خيار (قيد التجربة) لاستثمار خاصية تنبيهات UIA (UIA Notification) المدعومة من قِبَل أداة Windows Terminal للإعلان عن التحديثات والتغييرات التي تطرأ على النص في نافذة توجيه الأوامر، ما يؤدي لمزيد من الاستقرار وتحسين الاستجابة. (#13781)
  * راجِعْ دليل الاستخدام لمعرفة حدود الاستفادة من هذه الخاصية التي لا تزال في طَوْر الاختبار.
* في Windows 11 ARM64، سيعمل نمط التصفُّح في برامج AMD64 مثل: Firefox، وGoogle Chrome  و 1Password. (#14397)
* إضافة خيار "نمط الفقرة" ضمن إعدادات "التنقُّل في المستند".
يدعم هذا نمط التنقُّل وِفقا لفاصل السطر الواحد (المنط العادي)، أو وِفقا لفاصل الأسطر المتعددة (نمط النقُّل وِفقا للفقرة أو القطعة النصية)
يمكن الاستفادة من هذا في برامج تحرير النصوص التي لا تدعم التنقُّل وِفقًا للفقرة ذاتيا مثل المفكرة و NotePad ++. (#13797)
* يمكن الآن الإعلان عن التعليقات التوضيحية إن كانت أكثر من تعليق واحد
سينتقل `NVDA+d` بين التعليقات التوضيحية المرتبطة بعنصر واحد، ويقرأها.
على سبيل المثال: عند وجود نص مرتبط بتعليق وحاشية سفلية. (#14507, #14480)
* دعم شاشات برايل الإلكترونية Tivomatic Caiku Albatross. (#13045)
* إضافة أمر عام: الإعلان عن وجهة الرابط (`NVDA+k`).
بتنفيذ الأمر مرة واحدة سيُعلَن عنوان الوجهة التي يقود إليها الرابط الذي يوجد عنده مؤشّر NVDA (مؤشّر استعراض الكائن) عبر النُطق وعارض برايل.
وبضغطه مرتين متتاليتين؛ ستُعرَض المعلومات ضمن نافذة لمعرفة تفاصيل أكثر. (#14583)
* إضافة أمر عام دون تعيين مفتاح اختصار له، ضمن تصنيف "أدوات": الإعلان عن وجهة الرابط ضمن نافذة.
مماثل للضغط مرتين على `NVDA+k`، غير أنه قد يكون مفيدا أكثر لمستخدمي برايل (#14583).

### التغييرات

* تحديث مكتبة مترجم برايل LibLouis إلى [3.24.0](https://github.com/liblouis/liblouis/releases/tag/v3.24.0). (#14436)
  * تحديثات رئيسية على برايل الخاص باللغات المجرية، UEB، والصينية (بُوبُومُوفُو).
  * دعم برايل الدنماركي القياسي 2022.
  * جداول برايل جديدة: جورجي، سواحلي (كينيا)، وشيشيوي (ملاوي).
* تحديث مكتبة Sonic rate boost إلى `1d70513`. (#14180)
* تحديث مكتبة الرموز التعبيرية CLDR للإصدار 42.0. (#14273)
* تحديث آلة النُطق ESpeak NG إلى 1.52-dev commit `f520fecb`. (#14281, #14675)
  * إصلاحات على الإعلان عن الأعداد الكبيرة. (#14241)
* في تطبيقات Java، عند المرور بعناصر التحكُّم القابلة لتحديد لن يُشار إليها بأنها محددة. (#14336)

### إصلاحات الأخطاء

* إصلاحات خاصة ب Windows 11:
  * سيقرأ NVDA محتوى البحث الأبرز عند فتح قائمة ابدأ. (#13841)
  * على ARM، لن يُخبر NVDA عن تطبيقات x64 بأنها تطبيقات ARM64. (#14403)
  * يمكن الآن الوصول لعناصر القائمة الخاصة بسجل الحافظة، مثل: "تثبيت العنصر". (#14508)
  * في Windows 11 22H2 والإصدارات الأحدث، يمكن -كما في السابق- التفاعُل عبر الفأرة ولوحة التفاعل باللمس مع مناطق مثل صينية النظام، ومربّع حوار "فتح باستخدام". (#14538, #14539)
* سيُعلَن الآن عن الاقتراحات في Microsoft Excel، عند كتابة علامة @ في حقل التعليقات للإشارة للأشخاص. (#13764)
* في شريط العناوين والبحث الخاص ب Google Chrome؛ سيُعلَن الآن عن اقترحات التحكُّم بالعنصر عند تحديده: (اضغط على مفتاح التبويب (Tab) ثم على مفتاح Enter لإزالة هذا الاقتراح.، إلخ). (#13522)
* عند الاستعلام عن معلومات التنسيق في برنامج "الدفتر" وفي عارض التقارير الخاص ب NVDA؛ ستُعلَنُ أسماء الألوان، عوضًا عن الاقتصار على أنه "اللون الافتراضي". (#13959)
* في FireFox؛ تفعيل زر Show options في صفحات نقاشات المشكلات على GitHub سيعمل على نحو جيد. (#14269)
* في شاشة البحث المتقدم في Outlook 2016 / 365؛ أصبحت تسميات وقيم عناصر منتقي التاريخ مقروءةً. (#12726)
* سيُعلَن الآن عن عناصر (ARIA Switch) في Firefox، و Chrome و Edge على أنها أزرار تبديل عوضًا عن الإعلان عنها كمربّعات تحديد. (#11310)
* سيُعلن NVDA تلقائيا عن حالة الترتيب عند قراءة رأس العمود لجدول HTML عند تغييرها بالضغط على زر مضمَّن في الجدول. (#10890)
* في نمط التصفُّح، عند الانتقال لعلامة إرشادية أو منطقة من خارجها عبر مفاتيح الحركة السريعة المنفردة أو بنقل مؤشّر النظام، ستُقرأ أسماؤها تلقائيا دائما. (#13307)
* عند تفعيل إصدار الصفير أو نُطق كلمة "CAP" عند المرور بالأحرف الكبيرة، إلى جانب تفعيل خيار الإعلان المتراخي عن الأوصاف الصوتية للأحرف؛ لن يتكرر الصفير أو نُطق كلمة "Cap". (#14239)
* في تطبيقات Java، أصبح NVDA يعلن بدقة أكثر عن عناصر التحكُّم ضمن الجداول. (#14347)
* لن تختلف بعض الإعدادات على نحو غير متوقَّع عند استخدام أكثر من وضع. (#14170)
  * ينطبق هذا على الإعدادات الآتية:
    * المسافات البادئة للسطر في إعدادات تنسيق المستند.
    * حدود الخلية في إعدادات تنسيق المستند.
    * ظهور الرسائل في إعدادات برايل.
    * إرفاق مؤشّر برايل في إعدادات برايل.
  * في بعض الحالات النادرة، قد يحدث تعديلات على هذه الإعدادات المستخدمة مع أكثر من وضع عند تثبيت هذا الإصدار من NVDA.
  * يُرجى التأكُّد من هذه الخيارات في الأوضاع الخاصة بك بعد الترقية لهذا الإصدار.
* سيُعلَن الآن عن الرموز والوجوه التعبيرية في لغات أكثر. (#14433)
* حل مشكلة عدم الإعلان عن وجود التعليقات التوضيحية لبعض العناصر عبر برايل. (#13815)
* إصلاح مشكلة عدم حفظ تغييرات الإعدادات بشكل صحيح، عند تغيير إعداد بالتبديلمن  خيار "الافتراضي" إلى القيمة التي تمثّل الخيار "الافتراضي". (#14133)
* عند ضبط NVDA، سيظل هناك دائما مفتاح واحد على الأقل يعمل كمفتاح NVDA المصاحب. (#14527)
* عند الوصول لقائمة NVDA الرئيسة عبر منطقة الإعلام؛ لن يُشير NVDA لوجود تحديثات معلَّقة إن لم تكُن هناك تحديثات. (#14523)
* سيُعلَن الآن بشكل صحيح عن الوقت المتبقّي والمنقضي والوقت الإجمالي للمقاطع الصوتية التي يزيد طولها عن اليوم في foobar2000. (#14127)
* في متصفّحات شبكة الإنترنت مثل: Chrome و FireFox؛ ستُعرَضُ التنبيهات (مثل تلك التي تُشير لوجود 5 ملفّات في التنزيلات) على أسطر برايل إلى جانب الإعلان عنها نُطقًا. (#14562)
* معالجة خطأ كان يحدث عند الانتقال للعمود الأول والأخير ضمن الجداول في Firefox (#14554)
* إمكانية فتح مربّع الحوار الخاص بالإعدادات العامة كما في السابق، عند تشغيل NVDA باستخدام الوسيط `--lang=Windows`. (#14407)
* لن يخفق NVDA في متابعة القراءة في Kindle الخاص بالحاسوب عند قَلْب الصفحة. (#14390)

### تعديلاتٌ للمطورين

Note: this is an Add-on API compatibility breaking release.
Add-ons will need to be re-tested and have their manifest updated.
يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية. كما يُرجى الرجوع إلى [دليل المطورين](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) للحصول على معلومات حول ما أُهمِلَ وأُزيل من واجهة برمجة التطبيقات الخاصة بـ NVDA.

* System tests should now pass when run locally on non-English systems. (#13362)
* In Windows 11 on ARM, x64 apps are no longer identified as ARM64 applications. (#14403)
* It is no longer necessary to use `SearchField` and `SuggestionListItem` `UIA` `NVDAObjects` in new UI Automation scenarios, where automatic reporting of search suggestions, and where typing has been exposed via UI Automation with the `controllerFor` pattern.
This functionality is now available generically via `behaviours.EditableText` and the base `NVDAObject` respectively. (#14222)
* The UIA debug logging category when enabled now produces significantly more logging for UIA event handlers and utilities. (#14256)
* NVDAHelper build standards updated. (#13072)
  * Now uses the C++20 standard, was C++17.
  * Now uses the `/permissive-` compiler flag which disables permissive behaviors, and sets the `/Zc` compiler options for strict conformance.
* Some plugin objects (e.g. drivers and add-ons) now have a more informative description in the NVDA python console. (#14463)
* NVDA can now be fully compiled with Visual Studio 2022, no longer requiring the Visual Studio 2019 build tools. (#14326)
* More detailed logging for NVDA freezes to aid debugging. (#14309)
* The singleton `braille._BgThread` class has been replaced with `hwIo.ioThread.IoThread`. (#14130)
  * A single instance `hwIo.bgThread` (in NVDA core) of this class provides background i/o for thread safe braille display drivers.
  * This new class is not a singleton by design, add-on authors are encouraged to use their own instance when doing hardware i/o.
* The processor architecture for the computer can be queried from `winVersion.WinVersion.processorArchitecture attribute.` (#14439)
* New extension points have been added. (#14503)
  * `inputCore.decide_executeGesture`
  * `tones.decide_beep`
  * `nvwave.decide_playWaveFile`
  * `braille.pre_writeCells`
  * `braille.filter_displaySize`
  * `braille.decide_enabled`
  * `braille.displayChanged`
  * `braille.displaySizeChanged`
* It is possible to set useConfig to False on supported settings for a synthesizer driver. (#14601)

#### API Breaking Changes

These are breaking API changes.
Please open a GitHub issue if your Add-on has an issue with updating to the new API.

* The configuration specification has been altered, keys have been removed or modified:
  * In `[documentFormatting]` section (#14233):
    * `reportLineIndentation` stores an int value (0 to 3) instead of a boolean
    * `reportLineIndentationWithTones` has been removed.
    * `reportBorderStyle` and `reportBorderColor` have been removed and are replaced by `reportCellBorders`.
  * In `[braille]` section (#14233):
    * `noMessageTimeout` has been removed, replaced by a value for `showMessages`.
    * `messageTimeout` cannot take the value 0 anymore, replaced by a value for `showMessages`.
    * `autoTether` has been removed; `tetherTo` can now take the value "auto" instead.
  * In `[keyboard]` section  (#14528):
    * `useCapsLockAsNVDAModifierKey`, `useNumpadInsertAsNVDAModifierKey`, `useExtendedInsertAsNVDAModifierKey` have been removed.
    They are replaced by `NVDAModifierKeys`.
* The `NVDAHelper.RemoteLoader64` class has been removed with no replacement. (#14449)
* The following functions in `winAPI.sessionTracking` are removed with no replacement. (#14416, #14490)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`
* It is no longer possible to enable/disable the braille handler by setting `braille.handler.enabled`.
To disable the braille handler programatically, register a handler to `braille.handler.decide_enabled`. (#14503)
* It is no longer possible to update the display size of the handler by setting `braille.handler.displaySize`.
To update the displaySize programatically, register a handler to `braille.handler.filter_displaySize`.
Refer to `brailleViewer` for an example on how to do this. (#14503)
* There have been changes to the usage of `addonHandler.Addon.loadModule`. (#14481)
  * `loadModule` now expects dot as a separator, rather than backslash.
  For example "lib.example" instead of "lib\example".
  * `loadModule` now raises an exception when a module can't be loaded or has errors, instead of silently returning `None` without giving information about the cause.
* The following symbols have been removed from `appModules.foobar2000` with no direct replacement. (#14570)
  * `statusBarTimes`
  * `parseIntervalToTimestamp`
  * `getOutputFormat`
  * `getParsingFormat`
* The following are no longer singletons - their get method has been removed.
Usage of `Example.get()` is now `Example()`. (#14248)
  * `UIAHandler.customAnnotations.CustomAnnotationTypesCommon`
  * `UIAHandler.customProps.CustomPropertiesCommon`
  * `NVDAObjects.UIA.excel.ExcelCustomProperties`
  * `NVDAObjects.UIA.excel.ExcelCustomAnnotationTypes`

#### Deprecations

* `NVDAObjects.UIA.winConsoleUIA.WinTerminalUIA` is deprecated and usage is discouraged. (#14047)
* `config.addConfigDirsToPythonPackagePath` has been moved.
Use `addonHandler.packaging.addDirsToPythonPackagePath` instead. (#14350)
* `braille.BrailleHandler.TETHER_*` are deprecated.
Use `configFlags.TetherTo.*.value` instead. (#14233)
* `utils.security.postSessionLockStateChanged` is deprecated.
Use `utils.security.post_sessionLockStateChanged` instead. (#14486)
* `NVDAObject.hasDetails`, `NVDAObject.detailsSummary`, `NVDAObject.detailsRole` has been deprecated.
Use `NVDAObject.annotations` instead. (#14507)
* `keyboardHandler.SUPPORTED_NVDA_MODIFIER_KEYS` is deprecated with no direct replacement.
Consider using the class `config.configFlags.NVDAKey` instead. (#14528)
* `gui.MainFrame.evaluateUpdatePendingUpdateMenuItemCommand` has been deprecated.
Use `gui.MainFrame.SysTrayIcon.evaluateUpdatePendingUpdateMenuItemCommand` instead. (#14523)

## 2022.4

يتضمّن هذا الإصدار عددا من مفاتيح الاختصار الجديدة، بما في ذلك أوامر لقراءة كامل عناصر الجداول.
أيضًا، أُضيف قسم "دليل البدء السريع" إلى دليل الاستخدام.
إضافةً للعديد من الإصلاحات للأخطاء.

كما حصل كل من آلة النُطق ESpeak ومكتبة جداول برايل LibLouis على تحديث جديد.
هناك جداول برايل جديدة للغات الصينية والسويدية واللوغندية وكينيارواندا.

### المستجدات

* إضافةُ قسم "دليل البدء السريع" إلى دليل المستخدم. (#13934)
* إضافةُ أمر جديد لمعرفة مفتاح الاختصار (االتسريع) المخصص للكائن الذي يوجد عنده مؤشّر النظام. (#13960)
  * للحاسوب المكتبي: `shift+numpad2` (مفتاح Shift مع مفتاح الرقم 2 على اللوحة الرقمية).
  * للحاسوب المحمول: `NVDA+ctrl+shift+.`.
* إضافةُ أوامر جديدة لنقل مؤشّر الاستعراض وِفقًا للصفحة، في البرامج التي تدعم ذلك. (#14021)
  * الانتقال للصفحة السابقة:
    * للحاسوب المكتبي: `NVDA+pageUp`.
    * للحاسوب المحمول: `NVDA+shift+pageUp`.
  * الانتقال للصفحة التالية:
    * للحاسوب المكتبي: `NVDA+pageDown`.
    * للحاسوب المحمول: `NVDA+shift+pageDown`.
* إضافةُ الأوامر الآتية الخاصة بالجداول. (#14070)
  * قراءة العمود (من الخلية الحالية): `NVDA+control+alt+downArrow`
  * قراءة الصف (من الخلية الحالي): `NVDA+control+alt+rightArrow`
  * قراءة العمود كاملًا: `NVDA+control+alt+upArrow`
  * قراءة الصف كاملًا: `NVDA+control+alt+leftArrow`
* في Microsoft Excel حال تفعيل أتمتة واجهة المستخدم UI Automation: سيعلن NVDA عد خروج المؤشّر خارج نطاق الجدول في أوراق العمل. (#14165)
* يمكن الآن ضبط الإعلان عن كل من رؤوس الأعمدة والصفوف بشكل منفصل. (#14075)

### التغييرات

* تحديث آلة النُطق ESpeak إلى 1.52-dev commit `735ecdb8`. (#14060, #14079, #14118, #14203)
  * إصلاح الإعلان عن الأحرف اللاتينية عند استخدام لغة ماندارين. (#12952, #13572, #14197)
* ترقية مكتبة جداول برايل LibLouis إلى الإصدار [3.23.0](https://github.com/liblouis/liblouis/releases/tag/v3.23.0). (#14112)
  * تضمّن جداول برايل جديدة:
    * جدول برايل للصينية الشائعة (أحرف الصينية المبسَّطة)
    * جدول برايل كينيرواندي دون اختصارات (literary braille)
    * جدول برايل لوغندي دون اختصارات (literary braille)
    * جدول برايل سويدي دون اختصارات
    * جدول برايل سويدي مختصر جزئيا
    * جدول برايل سويدي باختصارات
    * جدول برايل صيني (الصين، المندرينية الرسمية) نظام برايل الحالي (دون نغمات) (#14138)
* سيتضمّن نظام تتبُّع إحصائيات الاستخدام الخاص ب NVDA نوع نواة النظام. (#14019)

### الإصلاحات

* عند تحديث NVDA باستخدام واجهة سطر الأوامر (CLI) لإدارة حزم Windows (المعروفة أيضًا باسم Winget)، لم يعُدْ إصدار NVDA يُعامل دائمًا على أنه أحدث من أي إصدار Alpha مثبت. (#12469)
* سيعلن NVDA الآن بشكل صحيح عن صناديق المجموعات في تطبيقات Java. (#13962)
* سيتزامن موضع مؤشّر التحرير مع النص المقروء عند استخدام أمر قراءة الكل في برامج مثل Bookworm، وWordPad، وعارض تقارير NVDA. (#13420, #9179)
* سيُعلَن عن حالة مربّعات التحديد المحددة جزئيا بشكل صحيح في البرامج التي تستخدم أتمتة واجهة المستخدم UI Automation. (#13975)
* تحسيناتٌ على الأداء ومزيد من الاستقرار في برامج Microsoft Visual Studio، Windows Terminal، والبرامج الأخرى التي تعمل مع أتمتة واجهة المستخدم UI Automation. (#11077, #11209)
  * هذه الإصلاحات تظهر في Windows 11 Sun Valley 2 (الإصدار 22H2)
  * التسجيل الانتقائي لأحداث أتمتة واجهة المستخدم والتغغيرات على الخصائص مفعَّلٌ الآن افتراضيا.
* قراءة النصوص، وعرض برايل، وكلمات المرور تعمل الآن على النحو المطلوب في سطر توجيه الأوامر Windows Terminal المضنّن في Visual Studio 2022. (#14194)
* يمكن ل NVDA التعرف على مقياس DPI عند استخدام أجهزة عرض متعددة.
هناك إصلاحات عديدة على استخدام DPI عند ضبط إعداد له على قيمة أعلى من 100%، أو عند استخدام أجهزة عرض متعددة.
لكن لا تزال هذه المشاكل موجودة عند العمل على إصدارات أقدم من Windows 10 1809.
لتعمل هذه الإصلاحات؛ يجب أن تكون البرامج التي يعمل معها NVDA أيضا قادرةً على تمييز DPI.
مع ملاحظة أنه لا تزال هناك مشاكل معينة قائمة عند استخدام Chrome و Edge. (#13254)
  * العناصر والإطارات المميزة مرئيا ينبغي أن تظهر بشكل صحيح في معظم التطبيقات. (#13370, #3875, #12070)
  * يجب أن يعمل التفاعل مع الشاشة باللمس بشكل أدقّ في معظم التطبيقات. (#7083)
  * سيعمل تتبُّع مسار الفأرة الآن مع معظم التطبيقات. (#6722)
* عند عدم حدوث تغييرات على حالة اتجاه العرض  (أفُقي/عمودي)؛ ستُتجاهل بشكل صحيح (كما في تغييرات الشاشة). (#14035)
* سيعلن NVDA عن سحب العناصر على الشاشة في حالات مثل إعادة ترتيب عناصر قائمة ابدأ في Windows 10، وإعادة ترتيب أسطح المكتب في Windows 11. (#12271, #14081)
* في شاwww==شة الإعدادات المتقدمة، خيار "إصدار صوت للأخطاء المسجلة في سجلّ الأخطاء" سيستعيد قيمته الافتراضية الصحيحة عند ضغط زر "استعادة الإعدادات الافتراضية". (#14149)
* في برامج Java، يمكن لNVDA تحديد النص باستخدام مفتاح الاختصار `NVDA+f10`. (#14163)
* في Microsoft Teams، لن يخفق NVDA ويتوقف عند استعراض الرسائل بالأسهم لأعلى وأسفل في قائمة محادثات مسلسلة. (#14355)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية. كما يُرجى الرجوع إلى [دليل المطورين](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) للحصول على معلومات حول ما أُهمِلَ وأُزيل من واجهة برمجة التطبيقات الخاصة بـ NVDA.

* The [NVDA API Announcement mailing list](https://groups.google.com/a/nvaccess.org/g/nvda-api/about) was created. (#13999)
* NVDA no longer processes `textChange` events for most UI Automation applications due to their extreme negative performance impact. (#11002, #14067)

#### Deprecations

* `core.post_windowMessageReceipt` is deprecated, use `winAPI.messageWindow.pre_handleWindowMessage` instead.
* `winKernel.SYSTEM_POWER_STATUS` is deprecated and usage is discouraged, this has been moved to `winAPI._powerTracking.SystemPowerStatus`.
* `winUser.SM_*` constants are deprecated, use `winAPI.winUser.constants.SystemMetrics` instead.

## 2022.3.3

هذا إصدار ثانوي لإصلاح مشكلات الإصدارات 2022.3.2 و2022.3.1 و2022.3.
وكذلك يعالج مشكلةً أمنية.

### إصلاحات أمنية

* Prevents possible system access (e.g. NVDA Python console) for unauthenticated users.
([GHSA-fpwc-2gxx-j9v7](https://github.com/nvaccess/nvda/security/advisories/GHSA-fpwc-2

### إصلاحات الأخطاء

* إصلاح خلل توقف NVDA عن العمل في شاشة القفل، بحيث سيسمح NVDA بالوصول إلى سطح مكتب المستخدم أثناء وجوده على شاشة قفل Windows. (#14416)
* إصلاح الخلل المتمثّل في توقف NVDA في عن العمل في شاشة القفل، حيث كان NVDA لا يعمل، كما لو كان الجهاز لا يزال مقفلاً. (#14416)
* إصلاح مشكلات إمكانية الوصول في عملية "نسيان رقم التعريف الشخصي" لنظام التشغيل Windows وتجربة تحديث/تثبيت Windows. (#14368)
* إصلاح الخلل الذي يحدث عند محاولة تثبيت NVDA في بعض بيئات Windows، على سبيل المثال: خوادم Windows. (#14379)

### تعديلات للمطورين

#### Deprecations

* `utils.security.isObjectAboveLockScreen(obj)` is deprecated, instead use `obj.isBelowLockScreen`. (#14416)
* The following functions in `winAPI.sessionTracking` are deprecated for removal in 2023.1. (#14416)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`

## 2022.3.2

هذا إصدار ثانوي لإصلاح مشكلات في الإصدار 2022.3.1، ومعالجة مشكلة أمنية.

### إصلاحات أمنية

* منع إمكانية الوصول إلى مستوى النظام للمستخدمين غير الصرَّح لهم بذلك..
([GHSA-3jj9-295f-h69w](https://github.com/nvaccess/nvda/security/advisories/GHSA-3jj9-295f-h69w))

### إصلاحات الأخطاء

* إصلاح مشكلة في الإصدار 2022.3.1 حيث عُطّلت بعض الوظائف ضمن الشاشات الآمنة. (#14286)
* إصلاح مشكلة في الإصدار 2022.3.1 حيث عُطّلت بعض الوظائف بعد تسجيل الدخول، إذا بدأ NVDA في شاشة التأمين. (#14301)

## 2022.3.1

هذا إصدار ثانوي لإصلاح عدد من المشكلات الأمنية.
يرجى الإبلاغ بحذر عن المشكلات الأمنية بإرسالها إلى <info@nvaccess.org>.

### إصلاحات أمنية

* إصلاح مشكلة إمكانية الارتقاء من صلاحيات المستخدم إلى امتيازات النظام.
([GHSA-q7c2-pgqm-vvw5](https://github.com/nvaccess/nvda/security/advisories/GHSA-q7c2-pgqm-vvw5))
* إصلاح مشكلة أمنية كانت تسمح بالوصول إلى بوابة python عبر شاشة القفل لبدء تشغيل NVDA.
([GHSA-72mj-mqhj-qh4w](https://github.com/nvaccess/nvda/security/advisories/GHSA-72mj-mqhj-qh4w))
* إصلاح مشكلة متعلقة بالتخزين المؤقت لنص عارض النُطق في شاشة قفل Windows.
([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

### إصلاحات الأخطاء

* منع المستخدم غير المصرَّح له من تحديث إعدادات النُطق وعارض برايل عبر شاشة القفل. ([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

## 2022.3

احتوى هذا الإصدار على عدد كبير من مساهمات أفراد ضمن مجتمع تطوير NVDA.
يشمل ذلك، توفير أوصاف الأحرف الصوتية، وتحسينات على دعم وحدة التحكُّم Windows Console المستخدمة من قِبَل نوافذ توجيه الأوامر.

وتضمّن الإصدار أيضًا العديد من إصلاحات الأخطاء.
ويُلاحظ أيضا، أن الإصدارات الأخيرة من Adobe Acrobat/Reader لن تنهار عند قراءة مستندات PDF.

كذلك، حصلت آلة eSpeak على تحديث يشتمل على ثلاث لغاتٍ جديدة: البيلالوسية، اللوكسمبورجية، وتونتوبيك المكسيكية Totontepec Mixe.

### المستجدات

* في وحدة تحكُّم Windows، المستخدَمة من قِبَل موجّه الأوامر CMD، و Power Shell، ونظام Windows الفرعي لنظام Linux (WSL)، على Windows 11 الإصدار 22H2 (Sun Valley 2) وما بعده:
  * تحسّنٌ كبير في الأداء ومزيد من الاستقرار. (#10964)
  * عند البحث عن نص بستخدام مفتاحي `control+f`، سينتقل مؤشّر الاستعراض لموضع نتيجة البحث. (#11172)
  * الإعلان عن النص المكتوب الذي لا يكون ظاهرا على الشاشة (مثل كلمات المرور) سيكون معطلًا افتراضيا.
يمكن تفعيله عبر شاشةإعدادات NVDA المتقدمة. (#11554)
  * يمكن استعراض النص الموجود خارج نطاق العرض على الشاشة، دون الحاجة لتمرير نافذة وحدة توجيه الأوامر. (#12669)
  * تتوفّر الآن معلومات وتفاصيل أكثر عن تنسيقات الخطوط ([microsoft/terminal PR 10336](https://github.com/microsoft/terminal/pull/10336))
* إضافةُ خيارٍ جديد للإعلان المتراخي (بعد صمت يسير) عن الأوصاف الصوتية للأحرف (#13509)
* إضافةُ خيار جديد ضمن إعدادات برايل، لتخيير المستخدم بين توقُّف النُطق أثناء تمرير سطر برايل للأمام أو الخلف أو عدم توقُّفه. (#2124)

### التغييرات

* تحديث محرّك النُطق ESpeak 1.52-dev commit `9de65fcb`. (#13295)
  * تضمّن لغاتٍ جديدة:
    * البيلاروسية
    * اللوكسببمبورجية
    * توتونبوتيك مكس Totontepec Mixe
* عند استخدام أتمتة واجهة المستخدم للوصول لعناصصر التحكُّم في أوراق العمل في Microsoft Excel؛ سيُشير NVDA للخلايا المدمجة. (#12843)
* بدلا من الاقتصار على الإعلان عن وجود تفاصيل مرتبطة بالعنصر؛ سيُعلن NVDA عن نوع تلك التفاصيل متى ما كان ذلك ممكنًا، على سبيل المثال: سيشير لوجود تعليق. (#13649)
* في قسم التطبيقات والمزايا الخاص ب Windows، سيظهر حجم التثبيت ل NVDA. (#13909)

### الإصلاحات

* لن ينهار Adobe Acrobat / Reader 64 بِت عند قراءة مستندات PDF. (#12920)
  * ينبغي تثبيت الإصدار الأحدث من Adobe Acrobat / Reader  لتجنُّب الانهيار.
* وحدات قياس الخطوط أصبحت قابلةً للترجمة في NVDA. (#13573)
* تجاهُل أحداث Java Access Bridge عند عدم وجود نافذة لتطبيقات Java.
سيؤدي ذلك لتحسين أداء بعض تطبيقات Java، ومن ضمنها IntelliJ IDEA. (#13039)
* تحسينُ الإعلان عن الخلايا المحددة في LibreOffice Calc، حيث لم يعُد برنامج Calc يتجمّد عند تحديد عدد كبير من الخلايا. (#13232)
* عند العمل على Microsoft Edge باستخدام اسم مستخدم مختلف، لن يصبح المتصفّح غير قابل للوصول. (#13032)
* لن يقفز مؤشر سرعة آلة ESpeak ليصبح بين 99% و100%، عند تعطيل خيار زيادة معدّل السرعة.  (#13876)
* إصلاح مشكلة تتسبب في إتاحة فتح أكثر من محاورة لتخصيص الاختصارات. (#13854)

### تعديلاتٌ للمطورين

* Updated Comtypes to version 1.1.11. (#12953)
* In builds of Windows Console (`conhost.exe`) with an NVDA API level of 2 (`FORMATTED`) or greater, such as those included with Windows 11 version 22H2 (Sun Valley 2), UI Automation is now used by default. (#10964)
  * This can be overridden by changing the "Windows Console support" setting in NVDA's advanced settings panel.
  * To find your Windows Console's NVDA API level, set "Windows Console support" to "UIA when available", then check the NVDA+F1 log opened from a running Windows Console instance.
* The Chromium virtual buffer is now loaded even when the document object has the MSAA `STATE_SYSTEM_BUSY` exposed via IA2. (#13306)
* A config spec type `featureFlag` has been created for use with experimental features in NVDA. See `devDocs/featureFlag.md` for more information. (#13859)

#### Deprecations

There are no deprecations proposed in 2022.3.

## 2022.2.4

هذا إصدار لثانوي لإصلاح مشكلة أمنية.

### الإصلاحات

* إصلاح خلل إمكانية فتح بوابة python عبر عارض السجل على شاشة القفل.
([GHSA-585m-rpvv-93qg](https://github.com/nvaccess/nvda/security/advisories/GHSA-585m-rpvv-93qg))

## 2022.2.3

هذا إصدار ثانوي لإصلاح خلل عَرَضي لواجهة برمجة التطبيقات (API) الذي ظهر في 2022.2.1.

### الإصلاحات

* إصلاح خلل عدم إعلان NVDA عن "سطح المكتب الآمن" عند الدخول إلى سطح مكتب آمن.
وقد أدى ذلك إلى عدم تعرف NVDA Remote على أسطح المكتب الآمنة. (#14094)

## 2022.2.2

هذا إصدار ثانوي لمعالجة مشكلة متعلقة بمفاتيح الاختصار  ظهرت في الإصدار 2022.2.1.

### الإصلاحات

* إصلاح مشكلة عدم عمل مفاتيح الاختصار بعض الأحيان. (#14065)

## 2022.2.1

هذا إصدار بسيط لإصلاح مشكلة أمنية.
يرجى الإبلاغ بحذر عن المشكلات الأمنية إلى <info@nvaccess.org>.

### إصلاحات أمنية

* إصلاح مشكلة إمكانية تشغيل بوابة بايثون من شاشة القفل. (GHSA-rmq3-vvhq-gp32)
* حل مشكلة إمكانية مغادرة شاشة القفل باستخدام نمط استعراض الكائنات. (GHSA-rmq3-vvhq-gp32)

### تعديلاتٌ للمطورين

#### Deprecations

These deprecations are currently not scheduled for removal.
The deprecated aliases will remain until further notice.
Please test the new API and provide feedback.
For add-on authors, please open a GitHub issue if these changes stop the API from meeting your needs.

* `appModules.lockapp.LockAppObject` should be replaced with `NVDAObjects.lockscreen.LockScreenObject`. (GHSA-rmq3-vvhq-gp32)
* `appModules.lockapp.AppModule.SAFE_SCRIPTS` should be replaced with `utils.security.getSafeScripts()`. (GHSA-rmq3-vvhq-gp32)

## 2022.2

يتضمَّن هذا الإصدار حلًا للعديد من الأخطاء.
ومما يستحقُّ الإشارة أن هناك تحسينات كبيرة على التطبيقات المستندة على Java، وعلى شاشات عرض برايل، وميزات في Windows.

وقد أُضيفت أوامر جديدة لاستعراض الجداول.
وحُدِّثَت مكتبة Unicode CLDR الخاصة بالرموز والوجوه التعبيرية..
وحُدّثت مكتبة LibLouis، حيث أُضيف إليها جدول برايل ألماني جديد.

### المستجدّات

* دعم التفاعل مع مكونات Microsoft Loop في منتجات Microsoft Office. (#13617)
* إضافةُ أوامر جديدة لاستعراض الجداول. (#957)
 * `control+alt+home/end` للقفز مباشرةً للعمود الأول والعمود الأخير.
 * `control+alt+pageUp/pageDown` للقفز للصف الأول والصف الأخير.
* إضافةُ أمر (لم يُحدَّد له اختصار معين) للتبديل بين أنماط التبديل التلقائي بين اللغات واللهجات. (#10253)

### التغييرات

* تحديث NSIS إلى الإصدار 3.08. (#9134)
* تحديث CLDR للإصدار 41.0. (#13582)
* ترقية مترجم LibLouis braille إلى [3.22.0](https://github.com/liblouis/liblouis/releases/tag/v3.22.0). (#13775)
  * جدول برايل جديد: ألماني الدرجة الثانية (مُفصَّل)
* إضافة وظيفة جديدة لعناصر التحكُّم ذات "المؤشّر قيد العمل". (#10644)
* سيعلنُ NVDA عن عدم إمكانية تنفيذ الإجراء. (#13500)
  * يشملُ ذلك الحالات الآتية:
    * استخدام إصدار NVDA الموجود على متجر تطبيقات Windows.
    * ضمن الشاشات الآمنة.
    * عند وجود مربّع حوار ينتظر استجابةً من المستخدم.

### الإصلاحات

* إصلاحاتٌ تتعلق بالتطبيقات المبنية على Java:
  * سيعلنُ NVDA عندما تكون الحالة (للقراءة فقط). (#13692)
  * سيعلن NVDA بشكل صحيح عن كون العنصر مفعلا أو معطلا. (#10993)
  * سيعلن NVDA عن مفاتيح الاختصار إذا كانت من مفاتيح المهام (function key shortcuts). (#13643)
  * يمكن ل NVDA الآن النُطق وإصدار الصفير في أشرطة التقدُّم. (#13594)
  * لن يتسبَّب NVDA في إزالة النصوص خطأً من مربّعات النصوص عند عرضها للمستخدم. (#13102)
  * سيعلن NVDA عن حالة أزرار التبديل بين التفعيل والتعطيل. (#9728)
  * سيقرأNVDA اسم النافذة بشكل صحيح ضمن تطبيقات Java متعددة النوافذ. (#9184)
  * سيعلن NVDA عن موضع التبويبات. (#13744)
* إصلاحات تتعلَّق بشاشات عرض برايل:
  * إصلاح عرض مُخرَجات برايل عند تصفُّح بعض النصوص في حقول التحرير الغنية في تطبيقات Mozilla، مثل حقل المحتوى المخصص لإنشاء رسالة جديدة في Thunderbird. (#12542)
  * عندما يكون إرفاق مؤشّر برايل مضبوطا على الوضع التلقائي، في حال تحريك الفأرة بينما يكون تتبُّع مسار الفأرة مفعَّلاً؛ سيتزامن النص المعروض على شاشة برايل مع النص المنطوق عند استخدام أوامر استعراض النص بمؤشّر الاستعراض. (#11519)
   ستعمل أوامر استعراض النص على تحديث المحتوى على سطر برايل أيضا تزامنا مع المحتوى المنطوق. (#11519)
  * بات ممكنا استعراض المحتوى عبر شاشات برايل بعد استخدام أوامر استعراض النص. (#8682)
* يمكن لبرنامج تثبيت NVDA العمل الآن إن كان اسم المجلد الذي يحتوي ملف التثبيت متضمنا لأحرف خاصة. (#13270)
* في متصفح Firefox؛ لن يُخفق NVDA في الإعلان عن عناصر صفحات الويب، إذا كانت خصائص aria-rowindex, aria-colindex, aria-rowcount أو aria-colcount غير متاحة. (#13405)
* عند استخدام أوامر تصفُّح الجدول، لن يتغيّر موضع المؤشّر لصف أو عمود آخر إذا وُجِدت خلايا مُدمجة في الجدول. (#7278)
* في برنامج Adobe Reader، عند قراءة ملفات PDF غير تفاعلية، سيُعلَن عن نوع وحالة حقول وعناصر النماذج (مثل مربّعات التحديد وأزرار الاختيار). (#13285)
* يمكن الآن الوصول لأمر "استرجاع الإعدادات الافتراضية" في الوضع الآمن. (#13547)
* ستُحرَّر كافة مفاتيح الفأرة التي كانت في وضع التثبيت، بعد الخروج من NVDA، وقد كانت سابقا تظل قيد التثبيت. (#13410)
* سيعلن Visual Studio عن أرقام الأسطر. (#13604)
  * ينبغي ملاحظة أن الإعلان عن رقم السطر يتطلب تفعيل خاصية الإعلان عن أرقام الأسطر في كل من Visual Studio و NVDA.
* سيعلن Visual Studio  عن الإزاحات البادئة للسطر بشكل صحيح. (#13574)
* سيعلن NVDA -كما كان سابقا- عن تفاصيل نتائج البحث في قائمة "ابدأ" في إصدارات Windows 10 الأخيرة، وإصدارات Windows 11. (#13544)
* في الآلة الحاسبة المدمجة في Windows 10 و11، الإصدار 10.1908  وما بعده؛
سيُعلن NVDA عن النتائج عند الضغط على مزيد من الأوامر، مثل أوامر الوضع العلمي. (#13383)
* في Windows 11، أصبح ممكنا كما -كان سابقا- تصفُّح عناصر واجهة المستخدم والتفاعل معها،
مثل: شريط المهام، وعرض المهام، عند استخدام الفأرة والتفاعُل باللمس. (#13506)
* سيقرأ NVDA محتوى شريط الحالة في برنامج المفكرة الخاص ب Windows 11. (#13386)
* سيعمل تمييز مؤشّر NVDA بصريًا فور تفعيل الخاصية. (#13641)
* إصلاحٌ لقراءة عناصر القائمة ذات العمود الواحد. (#13659, #13735)
* إصلاحٌ لمشكلة متعلقة بالانتقال الآلي بين اللغات مع الإنجليزية والفرنسية في آلة eSpeak، بحيث يُرجع للإنججليزية البريطانية والفرنسية (فرنسا). (#13727)
* إصلاح لخلل متعلق بالتبديل الآلي بين اللغات مع أصوات OneCore، عند محاولة التبديل للغة مُثبَّتة مسبقًا. (#13732)

### تعديلاتٌ للمطورين

* Compiling NVDA dependencies with Visual Studio 2022 (17.0) is now supported.
For development and release builds, Visual Studio 2019 is still used. (#13033)
* When retrieving the count of selected children via accSelection,
the case where a negative child ID or an IDispatch is returned by `IAccessible::get_accSelection` is now handled properly. (#13277)
* New convenience functions `registerExecutableWithAppModule` and `unregisterExecutable` were added to the `appModuleHandler` module.
They can be used to use a single App Module with multiple executables. (#13366)

#### Deprecations

These are proposed API breaking changes.
The deprecated part of the API will continue to be available until the specified release.
If no release is specified, the plan for removal has not been determined.
Note, the roadmap for removals is 'best effort' and may be subject to change.
Please test the new API and provide feedback.
For add-on authors, please open a GitHub issue if these changes stop the API from meeting your needs.

* `appModuleHandler.NVDAProcessID` is deprecated, use `globalVars.appPid` instead. (#13646)
* `gui.quit` is deprecated, use `wx.CallAfter(mainFrame.onExitCommand, None)` instead. (#13498)
  -
* Some alias appModules are marked as deprecated.
Code which imports from one of them, should instead import from the replacement module.  (#13366)

| Removed module name |Replacement module|
|---|---|
|azuredatastudio |code|
|azuredatastudio-insiders |code|
|calculatorapp |calculator|
|code - insiders |code|
|commsapps |hxmail|
|dbeaver |eclipse|
|digitaleditionspreview |digitaleditions|
|esybraille |esysuite|
|hxoutlook |hxmail|
|miranda64 |miranda32|
|mpc-hc |mplayerc|
|mpc-hc64 |mplayerc|
|notepad++ |notepadPlusPlus|
|searchapp |searchui|
|searchhost |searchui|
|springtoolsuite4 |eclipse|
|sts |eclipse|
|teamtalk3 |teamtalk4classic|
|textinputhost |windowsinternal_composableshell_experiences_textinput_inputapp|
|totalcmd64 |totalcmd|
|win32calc |calc|
|winmail |msimn|
|zend-eclipse-php |eclipse|
|zendstudio |eclipse|

## 2022.1

يتضمَّن هذا الإصدار تحسيناتٍ كبيرة على دعم أتمتة واجهة المستخدم UIA مع تطبيقات MS Office المكتبية.
مع Microsoft Office 16.0.15000 وما بعده على Windows 11؛ سيستخدم NVDA افتراضيا أتمتة واجهة المستخدم (UI Automation) للوصول إلى عناصر التحكُّم في مستندات Microsoft Word.
سينجمُ عن هذا تحسيناتٌ كبيرة مقارنةً بالنمط المستخدم سابقًا.

هناك تحسيناتٌ على معرِّفات أسطر برايل الإلكترونية، بما في ذلك Seika Notetaker، و Papenmeier  HID Braille
بالإضافة لذلك، هناك إصلاحاتٌ للعديد من الأخطاء في Windows 11، في تطبيقات مثل: الآلة الحاسبة، وحدات توجيه الأوامر Console، و Terminal، البريد، ولوحة الرموز والوجوه التعبيرية Emoji.

أيضًا، حُدِّثَتْ آلة النُطق eSpeak-NG وكذلك مكتبة LibLouis، التي احتوت على جداول برايل جديدة للغة اليابانية والألمانية والكاتالونية.

ملاحظة:

 * هذا الإصدار لن يتوافق مع الإضافات الموجودة حاليا.

### المستجدات

* دعمُ الإعلان عن الملاحظات في MS Excel على Windows 11 عند تفعيل أتمتة واجهة المستخدم. (#12861)
* في الإصدارات الأخيرة من Microsoft Word، عند تفعيل أتمتة واجهة المستخدم (UI Automation) على Windows 11؛ سيُعلَنُ عن وجود العلامات المرجعية، ومسوَّدات التعليقات، والتعليقات التي وُجدت لها حلول عبر النُطق وبرايل معا. (#12861)
* سيُتيحُ مُعامِل سطر الأوامر الجديد `--lang` تجاوز لغة واجهة NVDA المحددة ضمن الإعدادات. (#10044)
* سيُصدرُ NVDA تنبيهًا عند استخدام مُعامِلات في سطر الأوامر غير معروفة له أو غير مستخدَمة من قَبَل أي من الإضافات البرمجية. (#12795)
* عند استخدام Microsoft Word عبر أتمتة واجهة المستخدم (UI Automation)، سيستخدم NVDA mathPlayer لقراءة محتوى المعادلات الرياضية في Office. (#12946)
  * لتعمل هذه الخاصية، ينبغي أن يكون العمل على Microsoft Word 365/2016 الإصدار 14326 أو أحدث.
  * يجب أيضًا تحويل معادلات MathType يدويًا إلى Office Math، وذلك بتحديد كل منها، ثم فتح قائمة السياق، واختيار خيارات المعادلة، ثم التحويل إلى Office Math.
* الإعلان عن وجود تفاصيل للعناصر ذات التعليقات، والأمر الخاص بإظهار ملخَّص بتلك التفاصيل يعمل الآن في النمط التفاعلي. (#13106)
* أجهزة مفكرات برايل Seika Notetaker ستُكتشَف تلقائيا عند توصيله عبر USB أو  Bluetooth. (#13191, #13142)
  * هذا ينطبق على أجهزة MiniSeika (ذات 16 و 24 خلية)، الإصدار 6 و 6Pro (40 خلية)
  * اختيار منفذ bluetooth COM يدويا مدعوم حاليا أيضًا.
* إضافة أمر للتبديل بين تفعيل وتعطيل عارض الخط البارز Braille. لا يوجد مفتاح اختصار مُعيَّن افتراضيا لذلك. (#13258)
* إضافةُ أوامر للتبديل بين تفعيل وتعطيل عدد من المفاتيح المصاحبة عبر أسطر برايل الإلكترونية. (#13152)
* يحتوي مربّع الحوار الخاص بمعجم النُطق الآن على زر "إزالة الكل" للمساعدة في حذف المعجم بأكمله. (#11802)
* إضافةُ دعمٍ للآلة الحاسبة المدمجة في Windows 11. (#13212)
* في Microsoft Word عند تفعيل أتمتة واجهة المستخدم (UI Automation) على Windows 11، يمكن الآن الإعلان عن أرقام الأسطر، أرقام الأقسام، وأرقام الأعمدة في تخطيط الأعمدة. (#13283)
* في Microsoft Office 16.0.15000 والإصدارات الأحدث على Windows 11، سيستخدم NVDA أتمتة واجهة المستخدم (UI Automation) للوصول إلى مستندات Microsoft Word افتراضيًا، والذي سيعكسُ تحسينًا ملحوظًا على الأداء، مقارنةً بنمط الوصول المستخدم قديمًا. (#13437)
 * يشمل هذا المستندات في Microsoft Word، إضافةً لإنشاء وقراءة رسائل البريد الإلكتروني في Microsoft Outlook.

### التغييرات

* تحديث آلة Espeak-ng إلى 1.51-dev commit `7e5457f91e10`. (#12950)
* تحديث مكتبة مترجم برايل liblouis إلى الإصدار [3.21.0](https://github.com/liblouis/liblouis/releases/tag/v3.21.0). (#13141, #13438)
  * إضافة جدول برايل جديد للغة اليابانية (Kantenji) حرفي غير مختصر.
  * إضافة جدول برايل حاسوبي ألماني ذي ست نقاط.
  * إضافة جدول برايل كاتالوني بدون اختصارات (الدرجة الأولى). (#13408)
* سيعلن NVDA عن الخلايا المحددة والمدمجة في LibreOffice Calc 7.3 وما بعده. (#9310, #6897)
* تحديث مشروع مستودع لغة بيانات Unicode  العامة (CLDR) إلى الإصدار  40.0. (#12999)
* عند الضغط على مفتاح الاختصار `NVDA+Numpad Delete` (NVDA + مفتاح الحذف على  اللوحة الرقمية)؛ سيعلن NVDA افتراضيا عن الكائن الموجود في موضع مؤشّر التحرير أو مؤشر النظام. (#13060)
* الضغط على مفتاح الاختصار `NVDA+Shift +Numpad Delete` (NVDA + مفتاح العالي + مفتاح الحذف على اللوحة الرقمية)؛ يُعلن موقع مؤشّر الاستعراض. (#13060)
* إضافة مفاتيح اختصار افتراضية للتبديل بين ضغط وتحرير المفاتيح المساعدة لأسطر برايل الإلكترونية من Freedom Scientific. (#13152)
* لن يُعلَن عن تنسيق "السطر الأساسي" ضمن معلومات تنسيق المستند التي تظهر عند الضغط على (`NVDA+f`). (#11815)
* لم يعُدْ هناك مفتاح اختصار مُعيَّن افتراضيا لتنشيط الوصف المُطوَّل. (#13380)
* يوجد الآن مفتاح اختصار افتراضي للحصول على ملخَّص التفاصيل: (`NVDA+d`). (#13380)
* ينبغي إعادةُ تشغيل NVDA بعد تثبيت MathPlayer. (#13486)

### الإصلاحات

* لن ينتقل مؤشِّر النظام خطأً إلى نافذة حافظة Office عند فتح بعض تطبيقات Office. (#12736)
* عند تغيير المستخدم لزر الفأرة الأساسي ليصبح الزر الأيمن عوضًا عن الأيسر، لن يُظهر NVDA قائمة السياق خطأً عوضًا عن تنشيط العنصر في تطبيقات مثل متصفحات الإنترنت. (#12642)
* عند نقل مؤشّر الاستعراض لما بعد نهاية النص ضمن حيّزات التحرير كما في Microsoft Word حال تفعيل أتمتة واجهة المستخدم سيعلن NVDA عبارة "النهاية" في أغلب الحالات. (#12808)
* يمكن ل NVDA الآن الإعلان عن اسم التطبيق وإصداره للوحدات الموجودة في مجلد System32 عند عملها في نظام Windows 64-bit. (#12943)
* تحسين جودة قراءة المخرجات في برامج توجيه الأوامر. (#12974)
  * مع ملاحظة أنه في بععض الحالات، عند إدراج أو حذف أحرف في وسط السطر؛ قد تُقرأ الأحرف الواقعة بعد مؤشر التحرير مرة أخرى.
* في MS word حال تفعيل أتمتة واجهة المستخدم (UIA)، عند استخدام مفتاح الانتقال السريع بين رؤوس الموضوعات (العناوين)، لن يعلق NVDA عند رأس الموضوع الأخير في المستند، ولن يظهر رأس الموضوع هذا مرتين ضمن قائمة العناصر الخاصة ب NVDA. (#9540)
* في Windows 8 وما بعده، يمكن الآن قراءة شريط الحالة في مستكشف الملفات باستخدام مفاتيح الاختصار القياسية المخصصة لذلك NVDA+end (للحاسوب المكتبي) / NVDA+shift+end (للحاسوب المحمول). (#12845)
* أصبحت الرسائل الواردة في محداثات Skype المخصص للأعمال تُقرأ كما في السابق. (#9295)
* سيعمل نمط خفض الأصوات في NVDA بشكل صحيح عند استخدام SAPI5 على Windows 11. (#12913)
* في الآلة الحاسبة المدمجة في Windows 10، سيقرأ NVDA أسماء العناصر في قائمة المحفوظات وعناصر الذاكرة. (#11858)
* ستعمل مفاتيح الاختصار الخاصة بأسطر برايل مثل مفاتيح التمرير وتوجيه المؤشر مرة أخرى في الأجهزة التي تستخدم معرِّف HID Braille. (#13228)
* عند قراءة بريد إلكتروني طويل في بريد Windows 11، عند نقل مؤشّر النظام بين التطبيقات، لن يعلق NVDA في سطر من أسطر الرسالة. (#13050)
* عند ربط سطر برايل إلكتروني باستخدام HID braille، يمكن الآن تنفيذ مفاتيح الاختصار المكونة من أكثر من مفتاح (مثل: `space+dot4` (مفتاح المسافة مع النقطة الرابعة)). (#13326)
* حل مشكلة كانت تسمح بفتح مربّعات حوار متعددة خاصة بالإعدادات في ذات الوقت. (#12818)
* حل مشكلة كانت تتسبَّب في عدم عمل بعض أسطر Focus Blue بعد فتح الحاسوب وإيقاظه بعد وضع السُبات. (#9830)
* عند تفعيل خيار "الإعلان عن الكتابة الفوقية والتحتية"، لن يردّد NVDA عبارة "السطر الأساسي" في مواضع غير مناسبة. (#11078)
* في Windows 11، لن تتعذّر الحركة باستخدام NVDA في لوحة الرموز والوجوه التعبيرية عند تحديد رموز تعبيرية. (#13104)
* إصلاح خطأ كان يؤدي لقراءة العنصر مرتين في أسطر التحكُّم وتوجيه الأوامر Console و Terminal. (#13261)
* معالجة عدد من الحالات  يتعذَّر فيها قراءة عنتصر القوائم في تطبيقات 64 بِت، مثل REAPER. (#8175)
* في نافذة إدارة التنزيلات الخاصة ب Microsoft Edge، سينقل NVDA مؤشّر النظام تلقائيا إلى آخر عنصر مُنزَّل. (#13221)
* لن يتسبَّب NVDA في انهيار إصدارات 64 Bit من Notepad++ 8.3. (#13311)
* لن ينهار Adobe Reader  عند البدء إذا كان وضع الحماية فيه مفعَّلًا. (#11568)
* حل مشكلة كانت تتسبب في انهيار NVDA عند اختيار معرِّف سطر برايل الإلكتروني Papenmeier. (#13348)
* في Microsoft word حال تفعيل أتمتة واجهة المستخدم (UIA))، لن يُعلن NVDA بصورة غير ملائمة عن أرقام الصفحات والتنسيقات الأخرى عند الانتقال من خلية فارغة في الجدول لأخرى ممتلئة، أو من آخر المستند لموضع يتضمَّن محتوى. (#13458, #13459)
* لن يُخفق NVDA في قراءة عنوان الصفحة وفي بدء القراءة تلقائيا عند تفعيل الصفحة في Google chrome 100. (#13571)
* لن ينهار NVDA عند استرجاع الإعدادات الافتراضية، إذا كان خيار نُطق مفاتيح الأوامر مفعَّلًا. (#13634)

### تعديلاتٌ للمطورين

* Note: this is a Add-on API compatibility breaking release. Add-ons will need to be re-tested and have their manifest updated.
* Although NVDA still requires Visual Studio 2019, Builds should no longer fail if a newer version of Visual Studio (E.g. 2022) is installed along side 2019. (#13033, #13387)
* Updated SCons to version 4.3.0. (#13033)
* Updated py2exe to version 0.11.1.0. (#13510)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` has been removed. Use `apiLevel` instead. (#12955, #12660)
* `TVItemStruct` has been removed from `sysTreeView32`. (#12935)
* `MessageItem` has been removed from the Outlook appModule. (#12935)
* `audioDucking.AUDIODUCKINGMODE_*` constants are now a `DisplayStringIntEnum`. (#12926)
  * usages should be replaced with `AudioDuckingMode.*`
  * usages of `audioDucking.audioDuckingModes` should be replaced with `AudioDuckingMode.*.displayString`
* `audioDucking.ANRUS_ducking_*` constants usages should be replaced with `ANRUSDucking.*`. (#12926)
* `synthDrivers.sapi5` changes (#12927):
  * `SPAS_*` usages should be replaced with `SPAudioState.*`
  * `constants.SVSF*` usages should be replaced with `SpeechVoiceSpeakFlags.*`
    * Note: `SVSFlagsAsync` should be replaced with `SpeechVoiceSpeakFlags.Async` not `SpeechVoiceSpeakFlags.lagsAsync`
  * `constants.SVE*` usages should be replaced with `SpeechVoiceEvents.*`
* The `soffice` appModule has the following classes and functions removed `JAB_OOTableCell`, `JAB_OOTable`, `gridCoordStringToNumbers`. (#12849)
* `core.CallCancelled` is now `exceptions.CallCancelled`. (#12940)
* All constants starting with RPC from `core` and `logHandler` are moved into `RPCConstants.RPC` enum. (#12940)
* It is recommended that `mouseHandler.doPrimaryClick` and `mouseHandler.doSecondaryClick` functions should be used to click the mouse to perform a logical action such as activating (primary) or secondary (show context menu),
rather than using `executeMouseEvent` and specifying the left or right mouse button specifically.
This ensures code will honor the Windows user setting for swapping the primary mouse button. (#12642)
* `config.getSystemConfigPath` has been removed - there is no replacement. (#12943)
* `shlobj.SHGetFolderPath` has been removed - please use `shlobj.SHGetKnownFolderPath` instead. (#12943)
* `shlobj` constants have been removed. A new enum has been created, `shlobj.FolderId` for usage with `SHGetKnownFolderPath`. (#12943)
* `diffHandler.get_dmp_algo` and `diffHandler.get_difflib_algo` have been replaced with `diffHandler.prefer_dmp` and `diffHandler.prefer_difflib` respectively. (#12974)
* `languageHandler.curLang` has been removed - to get the current NVDA language use `languageHandler.getLanguage()`. (#13082)
* A `getStatusBarText` method can be implemented on an appModule to customize the way NVDA fetches the text from the status bar. (#12845)
* `globalVars.appArgsExtra` has been removed. (#13087)
  * If your add-on need to process additional command line arguments see the documentation of `addonHandler.isCLIParamKnown` and the developer guide for details.
* The UIA handler module and other UIA support modules are now part of a UIAHandler package. (#10916)
  * `UIAUtils` is now `UIAHandler.utils`
  * `UIABrowseMode` is now `UIAHandler.browseMode`
  * `_UIAConstants` is now `UIAHandler.constants`
  * `_UIACustomProps` is now `UIAHandler.customProps`
  * `_UIACustomAnnotations` is now `UIAHandler.customAnnotations`
* The `IAccessibleHandler` `IA2_RELATION_*` constants have been replaced with the `IAccessibleHandler.RelationType` enum. (#13096)
  * Removed `IA2_RELATION_FLOWS_FROM`
  * Removed `IA2_RELATION_FLOWS_TO`
  * Removed `IA2_RELATION_CONTAINING_DOCUMENT`
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` and `LOCALE_SLANGDISPLAYNAME` are removed from `languageHandler` - use members of `languageHandler.LOCALE` instead. (#12753)
* Switched from Minhook to Microsoft Detours as a hooking library for NVDA. Hooking with this library is mainly used to aid the display model. (#12964)
* `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` is removed. (#13211)
* SCons now warns to build with a number of jobs that is equal to the number of logical processors in the system.
This can dramatically decrease build times on multi core systems. (#13226, #13371)
* `characterProcessing.SYMLVL_*` constants are removed - please use `characterProcessing.SymbolLevel.*` instead. (#13248)
* Functions `loadState` and `saveState` are removed from addonHandler - please use `addonHandler.state.load` and `addonHandler.state.save` instead. (#13245)
* Moved the UWP/OneCore interaction layer of NVDAHelper [from C++/CX to C++/Winrt](https://docs.microsoft.com/en-us/windows/uwp/cpp-and-winrt-apis/move-to-winrt-from-cx). (#10662)
* It is now mandatory to subclass `DictionaryDialog` to use it. (#13268)
* `config.RUN_REGKEY`, `config.NVDA_REGKEY` are deprecated, please use `config.RegistryKey.RUN`, `config.RegistryKey.NVDA` instead. These will be removed in 2023. (#13242)
* `easeOfAccess.ROOT_KEY`, `easeOfAccess.APP_KEY_PATH` are deprecated, please use`easeOfAccess.RegistryKey.ROOT`, `easeOfAccess.RegistryKey.APP` instead. These will be removed in 2023. (#13242)
* `easeOfAccess.APP_KEY_NAME` has been deprecated, to be removed in 2023. (#13242)
* `DictionaryDialog` and `DictionaryEntryDialog` are moved from `gui.settingsDialogs` to `gui.speechDict`. (#13294)
* IAccessible2 relations are now shown in developer info for IAccessible2 objects. (#13315)
* `languageHandler.windowsPrimaryLCIDsToLocaleNames` has been removed, instead use `languageHandler.windowsLCIDToLocaleName` or `winKernel.LCIDToLocaleName`. (#13342)
* `UIAAutomationId` property for UIA objects should be preferred over `cachedAutomationId`. (#13125, #11447)
  * `cachedAutomationId` can be used if obtained directly from the element.
* `NVDAObjects.window.scintilla.CharacterRangeStruct` has moved to `NVDAObjects.window.scintilla.Scintilla.CharacterRangeStruct`. (#13364)
* Boolean `gui.isInMessageBox` is removed, please use the function `gui.message.isModalMessageBoxActive` instead. (#12984, #13376)
* `controlTypes` has been split up into various submodules. (#12510, #13588)
  * `ROLE_*` and `STATE_*` have been replaced with `Role.*` and `State.*`.
  * Although still available, the following should be considered deprecated:
    * `ROLE_*` and `STATE_*`, use `Role.*` and `State.*` instead.
    * `roleLabels`, `stateLabels` and `negativeStateLabels`, usages like `roleLabels[ROLE_*]` should be replaced with their equivalent `Role.*.displayString` or `State.*.negativeDisplayString`.
    * `processPositiveStates` and `processNegativeStates` should use `processAndLabelStates` instead.
* Excel cell state constants (`NVSTATE_*`) are now values in the `NvCellState` enum, mirrored in the `NvCellState` enum in `NVDAObjects/window/excel.py` and mapped to `controlTypes.State` via _nvCellStatesToStates. (#13465)
* `EXCEL_CELLINFO` struct member `state` is now `nvCellStates`.
* `mathPres.ensureInit` has been removed, MathPlayer is now initialized when NVDA starts. (#13486)

## 2021.3.5

هذا إصدارٌ ثانوي لسدّ ثغرة أمنية.
يُرجى الإبلاغ عن الثغرات الأمنية المحتملة عبر البريد الإلكتروني: <info@nvaccess.org>.

### مشكلات الأمان المُعالجة

* معالجة المشكلة الأمنية المُبلغ عنها `GHSA-xc5m-v23f-pgr7`.
  * مربَّع الحوار الخاص بنُطق الرموز وعلامات الترقيم مُعطَّلٌ الآن في الوضع الآمن.

## 2021.3.4

هذا إصدارٌ ثانوي لسد عدة ثغراتٍ أمنية أُبلِغَ عنها.
يُرجى الإبلاغ عن الثغرات الأمنية مباشرةً على البريد الإلكتروني <info@nvaccess.org>.

### مشكلات الأمان المُعالجة

* معالجة المشكلة الأمنية `GHSA-354r-wr4v-cx28`. (#13488)
  * إلغاء إمكانية بدء تشغيل NVDA مع تفعيل وضع تسجيل فحص الأخطاء البرمجية عند تشغيله في الوضع الآمن.
  * إلغاء إمكانية تحديث NVDA عند تشغيله في الوضع الآمن.
* معالجة المشكلة الأمنية `GHSA-wg65-7r23-h6p9`. (#13489)
  * إلغاء إمكانية فتح مربّع تخصيص اختصارات NVDA في الوضع الآمن.
  * إلغاء إمكانية فتح مربّعات الحوار الخاصة بمعجم النُطق التلقائي والمؤقت ومعجم الصوت الحالي في الوضع الآمن.
* معالجة مشكلة الأمان `GHSA-mvc8-5rv9-w3hx`. (#13487)
  * تعطيل أداة wx GUI inspection في الوضع الآمن.

## 2021.3.3

هذا الإصدار مطابق لـ 2021.3.2.
يوجد خطأ في NVDA 2021.3.2 حيث حمل خطأً رقم 2021.3.1.
هذا الإصدار سيحمل رقمه الصحيح 2021.3.3.

## 2021.3.2

هذا إصدار ثانوي لإصلاح العديد من المشكلات الأمنية المثارة.
يُرجى التبليغ بحذر ودقة عن المشكلات الأمنية إلى <info@nvaccess.org>.

### الإصلاحات

* إصلاح أمني: منع التنقل خارج شاشة القفل في Windows 10 وWindows 11. (#13328)
* إصلاح أمني: تعطيل مربع حوار مدير الإضافات ضمن الشاشات الآمنة. (#13059)
* إصلاح أمني: لم تعد تعليمات السياق الخاصة ب NVDA متاحة ضمن الشاشات الآمنة. (#13353)

## 2021.3.1

هذا إصدار بسيط لإصلاح العديد من المشكلات في 2021.3.

### التغييرات

* لم يعد بروتوكول HID Braille الجديد مفضلا عند إمكانية استخدام برنامج تعريف آخر لسطر برايل. (#13153)
* يمكن تعطيل بروتوكول HID Braille الجديد عبر إعداد في شاشة الإعدادات المتقدمة. (#13180)

### الإصلاحات

* ستُعرض الإشارة للعلامات الإرشادية مختصرةً على سطر برايل كما كانت سابقا. #13158
* إصلاح الاكتشاف التلقائي لشاشات برايل Humanware Brailliant وAPH Mantis Q40 عند استخدام Bluetooth، والذي لم يكُنْ مستقرا. (#13153)

## 2021.3

يحملُ هذا الإصدار دعما لخاصية HID Braille الجديدة.
تهدفُ هذه الخاصية لتوحيد قياسي لدعم أسطر برايل الإلكترونية دون الحاجة لتعريف كلّ منها بمعرِّف برمجي مستقل.
هنالك تحديثاتٌ على آلة النُطق eSpeak-NG ومكتبة LibLouis، حيث اشتملت على جدول روسي جديد وجداول برايل للغة الفيندية.
يمكن الآن تفعيل صدور أصوات للأخطاء البرمجية في الإصدارات الثابتة من NVDA عبر خيار جديد ضمن شاشة الإعدادات المتقدمة.
سيُحدَّثُ النص المعروض على الشاشة باستمرار في  Word عند استخدام أمر قراءة كامل النص؛ ليبقى الموضع الحالي مرئيا.
هناك تحسيناتٌ كثيرة ذات صلة باستخدام أتمتة واجهة المستخدمة UIA مع برامج Office.
من تلك الإصلاحات المتعلقة ب UIA، أنّ Outlook سيتجاهل مزيدا من أنواع الجداول في رسائل البريد.

ملاحظاتٌ مهمة:

نظرًا لتحديث شهادة الأمان الخاصة بنا؛ قد يظهر خطأ عند عدد قليل من مستخدمي NVDA 2021.2 عند البحث عن التحديث.
سيطلب NVDA من Windows لتحديث شهادات الأمان منعًا لحدوث هذا الخطأ مستقبلا.
سيحتاج المستخدمون الذين تواجههم هذه المشكلة لتنزيل وتثبيت التحديث يدويا.

### المستجدات

* إضافةُ مفتاح اختصار للتبديل بين خيارات الإعلان عن أنماط حدود الخلية. (#10408)
* دعم خاصية HID Braille الجديدة والتي تهدف إلى توحيد طريقة دعم أسطر برايل. (#12523)
  * أسطر برايل الداعمة لهذه الخاصية سيكتشفها NVDA تلقائيا.
  * اطّلِعْ على https://github.com/nvaccess/nvda/blob/master/devDocs/hidBrailleTechnicalNotes.md لمعرفة التفاصيل التقنية حول كيفية عمل NVDA مع هذه الخاصية
* دعم جهاز Vario 4 Braille من VisioBraille. . (#12607)
* يمكن تفعيل التنبيهات عند وجود خطأ برمجي لأي إصدار من NVDA عبر شاشة (الإعدادات المتقدّمة). (#12672)
* في Windows 10  وما بعده، سيُعلنُ NVDA عن عدد الاقتراحات عند إدخال مصطلحات للبحث ضمن التطبيقات مثل تطبيق الإعدادات ومتجر التطبيقات Microsoft Store.  (#7330, #12758, #12790)
* دعمُ استعراض الجدول في عناصر التحكُّم ذات العرض الشبكي المنشأة باستخدام أمر Out-GridView في PowerShell. (#12928)

### التغييرات

* تحديث Espeak-ng إلى 1.51-dev commit `74068b91bcd578bd7030a7a6cde2085114b79b44`. (#12665)
* سيستخدمُ NVDA آلة النُطق eSpeak إذا لم تكُن هناك أصواتٌ مُثبَّتة لآلة OneCore داعمةٌ للغة المُستخدَمة. (#10451)
* إذا أخفقت آلة OneCore في النُطق؛ سستعمل  eSpeak كآلة نُطق. (#11544)
* عند قراءة شريط الحالة بالضغط على `NVDA+End` (مفتاح النهاية)؛ لن ينتقل مؤشّر الاستعراض إليه.
إن كنتَ تحتاج هذه الخاصية، يُرجى تعيين اختصار للأمر الخاص بها عبر تصنيف "استعراض الكائن" ضمن مربّع حوار "تخصيص اختصارات NVDA". (#8600)
* عند فتح مربع حوار إعدادات مفتوح بالفعل؛ سينتقل مؤشّر النظام إليه بدلا عن إظهار رسالة خطأ. (#5383)
* ترقية مترجم liblouis braille إلى الإصدار [3.19.0](https://github.com/liblouis/liblouis/releases/tag/v3.19.0). (#12810)
  * جداول برايل جديدة: روسي الدرجة الأولى، فيندي الدرجة الأولى والثانية
* ستُنطَق عبارة "مميَّز بصريا (highlighted)" عوَضًا عن "محتوى مُعلَّم (marked content)"، وسيظهر على سطر برايل "hlght" بدلا عن "mrkd". (#12892)
* لن يحاول NVDA إتمام عملية الخروج إذا كانت هناك مربّعاتُ حوار تتطلّب إجراءً (مثل الموافقة أو الإلغاء). (#12984)

### إصلاحات الأخطاء

* العمل مع المفاتيح المصاحبة (مثل: مفتاح التحكُّم Control، أو مفتاح الإدراج Insert) سيكون أكثر كفاءةً عند استعادة نظام المراقبة watchdog. (#12609)
* بات بالإمكان -كما في السابق- البحث عن تحديثات NVDA على بعض الأنظمة مثل نسخة Windows النقية المثبتة للتو. (#12729)
* سيقرأ NVDA خلايا الجدول الفارغة بشكل صحيح في Microsoft Word حال استخدام أتمتة واجهة المستخدم UI automation. (#11043)
* في صفحات الإنترنت، عند التنقُّل عبر خلايا ضمن جدول بيانات في عرض الشبكة (ARIA data grid)؛ لن يؤدي الضغط على مفتاح الهروب Escape إلى الخروج من النمط التفاعُلي. (#12413)
* إصلاح مشكلة قراءة اسم العمود مرتين عند قراءة الخلية التي تمثّل رأس الجدول في Chrome. (#10840)
* لن يقرأ NVDA القيمة الرقمية لأشرطة Uia القابلة للتمرير، والتي يوجد قيم نصية معرّفة لها (سيُقدَّم UIA ValuePattern برمجيا على RangeValuePattern). (#12724)
* لن يتعامل NVDA مع قيم أشرطة UIA للتمرير بناءً على النسبة المئوية كما هو المعتاد.
* الإعلان عن موضع الخلية في Microsoft Excel بشكل صحيح عند الوصول إليها عبر أتمتة واجهة المستخدم (UI Automation) على Windows 11. (#12782)
* لن يعيِّن NVDA لغةً للواجهة غير متوفرة. (#12753)
* إذا أُزيلت إضافة مُعطّلة ثم أُعيد تثبيتها؛ ستُفعَّل تلقائيا. (#12792)
* إصلاح أخطاء متعلقة بتحديث وحذف الإضافات البرمجية إذا أُعيدت تسمية المجلدات الخاصة بها أو كانت ملفاتُها قيد الاستخدام. (#12792, #12629)
* عند استخدام أتمتة واجهة المستخدم UI Automation للوصول إلى عناصر التحكُّم في أوراق العمل  في Microsoft Excel؛ لن يردّد NVDA كلمة "محدّد" عند الانتقال لكل خلية. (#12530)
* قراءة المزيد من النصوص تلقائيا في مربّعات الحوار في LibreOffice مثل مربّعات الحوار الخاصة بالتأكُّد. (#11687)
* عند القراءة في نمط التصفُّح في Microsoft Word حال تفعيل أتمتة واجهة المستخدم (UI automation)؛ سيُمرَّر المستند تلقائيا، وبالتالي سيبقى موضع مؤشر نمط التصفُّح الحالي ظاهرًا، بينما يتزامن معه المؤشّر في نمط التحرير. (#9611)
* عند تنفيذ أمر قراءة الكل في Microsoft Word مع تفعيل أتمتة واجهة المستخدم (UI automation)؛ سيُمرَّر المستند تلقائيا ويُحدَّث موضع مؤشّر التحرير بشكل صحيح. (#9611)
* عند قراءة NVDA لرسائل البريد الإلكتروني في Outlook عبر أتمتة واجهة المستخدم (UI Automation)؛ بعضُ الجداول عُلِّمَت على أن تنسيقَها تنسيق جدول، ما يعني أنّ NVDA لن يُعلن عنها كجدول افتراضيا. (#11430)
* إصلاح خطأ نادر الحدوث  عند تغيير جهاز إخراج الصوت. (#12620)
* سيعمل الإدخال عبر جداول برايل في حقول النصوص بشكل أفضل، بحيث يمكن الاعتماد عليه أكثر. (#12667)
* عند تصفُّح أيقونة التقويم عبر صحن النظام؛ سيقرأ NVDA أسماء أيام الأسبوع كاملة. (#12757)
* عند استخدام أحد أساليب إدخال اللغة الصينية مثل: التايوانية - Microsoft Quick في Microsoft Word، لن يقفز مؤشّر التحرير لموضع سابق، أثناء التمرير بواسطة سطر برايل الإلكتروني للأمام أو الخلف. (#12757)
* إمكانيةُ التنقُّل جملةً جُملة -كما كان سابقا- باستخدام مفاتيح (alt+سهم لأسفل / alt+سهم لأعلى) في Microsoft Word عند تفعيل أتمتة واجهة المستخدم (UIA). (#9254)
* الإعلانُ عن المسافات البادئة للفقرات في MS Word حال تفعيل الوصول عبر أتمتة واجهة المستخدم (UIA). (#12899)
* الإعلانُ عن أمر تعقُّب التغييرات في MS Word حال تفعيل الوصول لمستندات Word عبر أتمتة واجهة المستخدم (UIA)، إضافة للإعلان عن بعض الأوامر المُترجمة الأخرى وِفقا لترجمتها. (#12904)
* إصلاح النُطق والعرض المتكررين على برايل عندما يتطابق "وصفُ العنصر" مع "المحتوى" أو "الاسم". (#12888)
* أصبحت أصواتُ التنبيه عن وجود الأخطاء الإملائية أثناء الكتابة في MS Word أكثر دقةً عند تفعيل الوصول لمستندات Word عبر أتمتة واجهة المستخدم (UIA). (#12161)
* في Windows 11، لن يُعلن NVDA كلمة "لائحة" عند الضغط على Alt و Tab للتبديل بين البرامج المفتوحة. (#12648)
* أصبحت لوحة تعقُّب التعليقات الجانبية بتصميمها الجديد مدعومة في MS Word، عند تعطيل الوصول لمستندات Word عبر أتمتة واجهة المستخدم (UIA). اضغَطْ alt+f12 للتبديل بين المستند وجزء التعقُّب الجانبي. (#12982)

### تعديلاتٌ للمطورين

* Building NVDA now requires Visual Studio 2019 16.10.4 or later.
To match the production build environment, update Visual Studio to keep in sync with the [current version AppVeyor is using](https://www.appveyor.com/docs/windows-images-software/#visual-studio-2019). (#12728)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` has been deprecated for removal in 2022.1. (#12660)
  * Instead use `apiLevel` (see the comments at `_UIAConstants.WinConsoleAPILevel` for details).
* Transparency of text background color sourced from GDI applications (via the display model), is now exposed for add-ons or appModules. (#12658)
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` and `LOCALE_SLANGDISPLAYNAME` are moved to the `LOCALE` enum in languageHandler.
They are still available at the module level but are deprecated and to be removed in NVDA 2022.1. (#12753)
* The usage of functions `addonHandler.loadState` and `addonHandler.saveState` should be replaced with their equivalents `addonHandler.state.save` and `addonHandler.state.load` before 2022.1. (#12792)
* Braille output can now be checked in system tests. (#12917)

## 2021.2

هذا الإصدار يوفّرُ دعمًا مبدئيًا ل Windows 11.
ولأَنّ Windows 11 لم يُطلق رسميا بعد، فقد اختُبِر هذا الإصدار مع الإصدارات التجريبية منه.
يتضمّنُ هذا الإصدار إصلاحا مهما لمشكلة في سِتار الشاشة (انظر الملاحظات المهمة أدناه).
يمكنُ الآن لأداة معالجة مشكلات سجل النظام الشائعة؛ معالجة المزيد من المشاكل عند تشغيل NVDA.
هناك تحديثاتٌ على آلة النُطق ESpeak ومترجم برايل LibLouis.
وهناك أيضًا إصلاحات وتحسيناتٌ عديدة، خاصةً على دعم برايل، ونوافذ توجيه الأوامر الخاصة ب Windows، والآلة الحاسبة، ولوحة الرموز والوجوه Emoji، وسجلّ الحافظة.

### ملاحظاتٌ مهمة

بناءً على ما طرأ من تغيير على واجهة التطبيق البرمجية الخاصة بنظام التكبير في Windows (Windows Magnification API)؛ وجب تحديثُ خاصية سِتار الشاشة لتدعم إصدارات Windows الأحدث.
استخدِمْ إصدار NVDA 2021.2 لتفعيل خاصية سِتار الشاشة مع Windows 10 21H2 (10.0.19044) وما بعده.
يشملُ هذا الإصدارات التجريبية من Windows 10 و Windows 11.
لأغراضٍ أمنية، سيؤدي تفعيل سِتارُ الشاشة عند استخدام إصدار جديد من Windows إلى ظهور تأكيدٍ يُفيدُ أن تفعيل سِتار الشاشة سيُحيلُ الشاشة بأكملها سوداء.

### المستجدّات

* دعمٌ قيد التجربة لتعليقات ARIA:
  * يُضيفُ أمرًا لقراءة ملخَّص بتفاصيل الكائن الذي يتضمّن خاصية aria-details. (#12364)
  * يُضيفُ خيارًا إلى الإعدادات المتقدمة للإعلان عما إذا كانت هنالك تفاصيل للكائن في نمط التصفُّح. (#12439)
* في Windows 10 الإصدار 1909 وما بعده (بما في ذلك Windows 11)، سيُعلنُ NVDA عن عدد النتائج المقترحة عند إجراء بحث في متصفّح الملفات. (#10341, #12628)
* في Microsoft Word، سيُعلنُ NVDA عن حالة المسافات البادئة والمعلَّقة عند ضبطِها عبر مفاتيح الاختصار. (#6269)

### التغييرات

* تحديثُ Espeak-ng إلى 1.51-dev commit `ab11439b18238b7a08b965d1d5a6ef31cbb05cbb`. (#12449, #12202, #12280, #12568)
* إذا كان الإعلانُ عن المقالات مفعَّلًا ضمن تفضيلات المستخدم في إعدادات تنسيق المستند؛ سيُعلنُ NVDA كلمة "مقال" بعد قراءة المحتوى. (#11103)
* تحديثُ مترجم برايل liblouis إلى [3.18.0](https://github.com/liblouis/liblouis/releases/tag/v3.18.0). (#12526)
  * جداول برايل جديدة: بلغاري الدرجة الأولى، بورمي الدرجة الأولى، بورمي الدرجة الثانية، كازاخستاني الدرجة الأولى، خميري الدرجة الأولى، كردي شمالي الدرجة 0، سبيدي الدرجة الأولى، سبيدي الدرجة الثانية، سوتي الدرجة الثانية، سيستواني الدرجة الأولى، سيستواني الدرجة الثانية، تتري الدرجة الأولى، فيتنامي الدرجة 0، فيتنامي الدرجة 2، فيتنامي جنوبي الدرجة الأولى، كوسي الدرجة الأولى، كوسي الدرجة الثانية، ياكوتي الدرجة الأولى، زولو الدرجة الأولى، زولو الدرجة الثانية
* تغيير تسمية "التعرُّف الضوئي على الأحرف في Windows 10" Windows 10 OCR إلى "التعرُّف الضوئي على الأحرف الخاص ب Windows" Windows OCR. (#12690)

### الإصلاحات

* في الآلة الحاسبة المدمجة في Windows، سيُظهر NVDA التعبيرات الحسابية على عارضات برايل. (#12268)
* في برامج توجيه الأوامر في Windows 10 الإصدار 1607 وما بعده؛ لن تُقرأ الأحرف الواقعة يمين مؤشّر التحرير عند إضافة الحروف أو حذفها في وسط السطر. (#3200)
  * سيُفعَّلُ خيار Diff Match Patch تلقائيا. (#12485)
* سيعملُ الإدخال عبر برايل بشكل صحيح مع جداول برايل الداعمة للاختصارات (برايل الدرجة الثانية) وهي: العربي، الإسباني، الأوردو، الصيني (مندرين). (#12541)
* ستعملُ أداة معالجة مشاكل سجلّ النظام الشائعة على حلّ المزيد من المشاكل، خاصةً في Windows 64 bit. (#12560)
* تحسيناتٌ على عمل أزرار عارض برايل Seika Notetaker من Nippon Telesoft. (#12598)
* تحسيناتٌ على قراءة لوحة رموز ووجوه emoji وسجلّ الحافظة. (#11485)
* تحديثُ أوصاف الأحرف الهجائية البنغالية. (#12502)
* سيُغلَقُ NVDA بشكل آمن وصحيح عند إعادة تشغيله من جديد. (#12605)
* لن تؤدي إعادة اختيار "أسطر برايل الإلكترونية من Handy Tech" ضمن مربّع الحوار "اختيار سطر برايل الإلكتروني" إلى حدوث أخطاء. (#12618)
* سيُعرَّف إصدار Windows 10.0.22000 وما بعده على أنه Windows 11, وليس Windows 10. (#12626)
* إصلاحُ الدعم لخاصية سِتار الشاشة واختبارُها مع إصدارات Windows حتى الإصدار 10.0.22000. (#12684)
* إذا لم تظهَرْ نتائج عند إجراء عملية تصفية لاختصارات NVDA؛ سيستمر مربّع حوار تخصيص الاختصارات في العمل كما ينبغي. (#12673)
* إصلاحُ مشكلة عدم قراءة العنصر الأوّل من القائمة الفرعية في بعض القوائم المنبثقة (قوائم السياق). (#12624)

### تعديلاتٌ للمطورين

* `characterProcessing.SYMLVL_*` constants should be replaced using their equivalent `SymbolLevel.*` before 2022.1. (#11856, #12636)
* `controlTypes` has been split up into various submodules, symbols marked for deprecation must be replaced before 2022.1. (#12510)
  * `ROLE_*` and `STATE_*` constants should be replaced to their equivalent `Role.*` and `State.*`.
  * `roleLabels`, `stateLabels` and `negativeStateLabels` have been deprecated, usages such as `roleLabels[ROLE_*]` should be replaced to their equivalent `Role.*.displayString` or `State.*.negativeDisplayString`.
  * `processPositiveStates` and `processNegativeStates` have been deprecated for removal.
* On Windows 10 Version 1511 and later (including Insider Preview builds), the current Windows feature update release name is obtained from Windows Registry. (#12509)
* Deprecated: `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` will be removed in 2022.1, there is no direct replacement. (#12544)

## 2021.1

يتضمّن هذا الإصدار خيارا تجريبيا لدعم أتمتة واجهة المستخدم (Uia) في Excel ومتصفّحات Chromium.
هناك العديد من الإصلاحات في العديد من اللغات، وإصلاح على الوصول للروابط عبر البرايل.
وهناك تحديثات على مكتبة Unicode CLDR ورموز الرياضيات، ومحرّك eSpeak-NG  ومترجم LibLouis.
إضافةً للعديد من إصلاحات الأخطاء والتحسينات، والتي تشمل: Office, Visual Studio، والعديد من اللغات.

ملاحظة:

 * هذا الإصدار لن يتوافق مع الإضافات الموجودة حاليا.
 * في هذا الإصدار أيضا توقّف دعمُ Adobe Flash.

### المستجدّات

* دعمٌ مبكرٌ  لأتمتة واجهة المستخدم (UIA) في المتصفحات المستندةة على Chromium (مثل Edge). (#12025)
* دعمٌ اختياري قيد التجربة لMicrosoft Excel بواسطة أتمتة واجهة المستخدم UI Automation. يُنصَحُ به فقط لإصدار Microsoft Excel build 16.0.13522.10000  أو أحدث. (#12210)
* تصفُّحٌ أسهل للمُخرَجات في بوابة لغة Python الخاصة ب NVDA. (#9784)
  * Alt+السهم الأعلى/الأسفل ينتقل لنتيجة المخرجات السابقة/التالية (مع إضافة shift للتحديد).
  * control+l يمحو جزء المخرجات.
* في Microsoft Outlook؛ يقرأ NVDA الآن التصنيفات التي أُسند إليها الموعد، إن وُجدت. (#11598)
* دعمُ عارضات برايل الإلكترونية Seika Notetaker من Nippon Telesoft. (#11514)

### التغييرات

* في نمط التصفُّح؛ يمكن الآن تفعيل عناصر التحكُّم عبر ضغط أزرار توجيه مؤشّر برايل ضمن رمز الوصف الخاص بذلك العنصر (على سبيل المثال "lnk" للرابط). يكون هذا مفيدا عند تفعيل مربّعات التحديد غير المسمّاة. (#7447)
* سيمنعُ NVDA الآن المستخدم من تنفيذ أمر التعرُّف الضوئي على الأحرف (Windows 10 OCR) عندما تكون خاصية سِتارُ الشاشة مفعَّلةً. (#11911)
* تحديثُ مشروع مستودع لغة بيانات Unicode  العامة CLDR إلى 39.0. (#11943, #12314)
* إضافةُ المزيد من رموز الرياضيات إلى معجم الرموز وعلامات الترقيم. (#11467)
* إضفاءُ مظهر جديد على دليل المستخدم وملف المستجدات والمرجع السريع للاختصارات. (#12027)
* عند محاولة تبديل خيار استخدام تنسيق الشاشة في تطبيقات لا تدعمه مثل: Microsoft Word؛ ستُعلَنُ عبارة: "غير مدعوم" (#7297).
* في شاشة الإعدادات المتقدّمة، أصبح خيار "محاولة إلغاء الإعلان عن الأحداث والمعلومات منتهية الصلاحية" مفعّلًا افتراضيا. (#10885)
  * يمكنُ تعطيلُ هذا الأمر بضبط هذا الإعداد من شاشة الإعدادات المتقدّمة للخيار "لا".
  * في تطبيقات الويب (مثل: Gmail)؛ لن تُنطَق معلوماتٌ قديمة مضت وانتهت صلاحيتها عند اتنقُّل سريعا بمؤشّر النظام.
* تحديثُ مترجم برايل liblouis إلى [3.17.0](https://github.com/liblouis/liblouis/releases/tag/v3.17.0). (#12137)
  * جداول برايل جديدة: بيلاروسي غير مختصر، بيلاروسي برايل الحاسوبي، أوردو الدرجة الأولى، أوردو الدرجة الثانية.
* توقُّف دعم NVDA لمحتوى Adobe Flash ؛ بناءً على عدم تشجيع Adobe لاستخدامه. (#11131)
* سيُغلَقُ NVDA الآن حتى في حال كانت بعض النوافذ الخاصة به قيد العمل، سيتولى معالج الإغلاق إغلاق كافة مربعات الحوار الخاصة بالبرنامج. (#1740)
* يمكنُ الآن إغلاق عارض النُطق بالضغط على `alt+F4` كما أصبح هناك زرٌّ قياسي لأمر الإغلاق لتفاعُل أسهل من قِبَل مستخدمي أجهزة الإدخال وتوجيه المؤشر. (#12330)
* يوجد الآن زرٌّ قياسي لإغلاق عارض الخط البارز Braille لتفاعُلٍ أسهل من قِبَل مستخدمي أجهزة الإدخال وتوجيه. (#12328)
* في مربّع حوار قائمة العناصر؛ أُلغيَ المفتاح السريع الخاص بتفعيل زرّ "تنشيط"؛ تجنُّبًا للتعارُض بينه وبين بعض اختصارات تسميات العناصر ضمن أزرار الراديو الخاصة بتصفية العناصر وِفقا للنوع. مع بقاء أمر التنشيط هو الخيار الافتراضي ضمن مربّع الحوار عندما يكون متاحا بحيث يمكن ببساطة تفعيله بضغط مفتاح الدخول Enter ضمن قائمة العناصر نفسها. (#6167)

### الإصلاحات

* أصبحت قائمةُ الرسائل في Outlook 2010 مقروءةً كما كانت سابقًا. (#12241)
* في برامج توجيه الأوامر في Windows 10 الإصدار 1607 وما بعده؛ لن تُقرأ الأحرف الواقعة يمين مؤشّر التحرير عند إضافة الحروف أو حذفها في وسط السطر. (#3200)
  * هذا حلٌّ قيد التجربة، يجبُ تفعيله من شاشة إعدادات NVDA المتقدمة بتغيير إعداد خوارزمية diff لخيار: تمكين Diff Match Patch.
* في MS Outlook، لن يكون هناك إعلانٌ  عن المسافات البادئة بشكل غير ملائم عند الضغط على Shift مع مفتاح الانتقال Tab للانتقال من محتوى الرسالة إلى حقل العنوان. (#10254)
* دعمُ إدراج التثليم ب"Tab" للإزاحة في بداية سطر إدخال مكتوب فيه، إضافةً لتنفيذ tab-completion وسط أمر برمجي في سطر الإدخال. (#11532)
* عند تعطيل خيار استخدام تنسيق الشاشة، لن تُعرَض أسطرٌ فارغة غير متوقعة في نافذة معلومات التنسيق ووفي الرسائل الأخرى القابلة للتصفُّح. (#12004)
* يمكن الآن قراءةُ التعليقات في MS Word حال تفعيل أتمتة واجهة المستخدم  UIA. (#9285)
* تحسين الأداء عند التفاعل مع Visual Studio. (#12171)
* حل بعض أخطاء في الواجهة الرسومية مثل عدم ظهور بعض العناصر عند استخدام NVDA مع لغة ذات تصميم من اليمين لليسار. (#8859)
* اعتبار اتّجاه تصميم واجهة المستخدم الرسومية بناءً على لغة واجهة NVDA وليس على لغة واجهة النظام. (#638)
  * هذه مشكلة معروفة في اللغات التي تُكتَب من اليمين إلى اليسار: حيث يشتبك الحد الأيمن من أسماء المجموعات مع تسميات عناصر التحكُّم. (#12181)
* ستتطابقُ لغة Python مع اللغ المختارة من التفضيلات، وسيحدث ذلك أيضا عند استخدام اللغة الافتراضية. (#12214)
* لن يؤدي استدعاء TextInfo.getTextInChunks إلى تجمُّد NVDA عند استدعائه من مناطق تحرير النص الغنية (Rich Edit controls) مثل عارض سجلّ الأخطاء. (#11613)
* أصبح بالإمكان -كما في السابق- استخدام NVDA مع اللغات التي تحتوي أسماؤها على شرطة سفلية مثل: de_CH في Windows 10 الإصدار 1803 و 1809. (#12250)
* في برنامج الدفتر WordPad؛ سيعمل إعداد الكتابة الفوقية والتحتية كما ينبغي. (#12262)
* في صفحات الإنترنت، لن يُخفق NVDA في قراءة المحتوى الأحدث في موضع المؤشّر، عند اختفاء محتوى أقدم وحلول محتوى أحدث منه في ذات الموضع. (#12147)
* سيُعلَن الآن عن معلومات التنسيق: ما تحته خط الكتابة المرتفعة والمنخفضة لكافة الخلايا في Excel عند تفعيل الخيارات المتعلقة بها. (#12264)
* حلُّ مشكلة نسخ إعدادات المستخدم أثناء تثبيت البرنامج عبر نسخة محمولة، عندما يكون مجلّد الإعدادات الافتراضي فارغا. (#12071, #12205)
* حلُّ مشكلة قراءة بعض الأحرف بشكل غير صحيح مع بعض اللهجات، عندما يكون خيار "نُطق كلمة "CAP" قبل الحروف الكبيرة" مفعَّلاً. (#11948)
* حلُّ مشكلة تعثُّر تغيير حدّة الصوت مع آلة النُطق SAPI4. (#12311)
* سيتعامل مثبّت NVDA مع عامل سطر الأوامر `--minimal` كما هو موضَّح في دليل المستخدم، بحيث لن يُشغِّل صوت بدء تشغيل البرنامج سواءً مع النسخة المُثبَّتة أو المحمولة من NVDA. (#12289)
* في MS Word أو Outlook، يمكن لمفتاح القفز السريع للجداول الانتقال للجداول المنسّقة، إذا كان خيار "شُمول الجداول المنسّقة" مفعَّلاً ضمن إعدادات نمط التصفُّح. (#11899)
* لن يقرأ NVDA بعض الوجوه والرموز التعبيرية في بعض اللغات على أنها "↑↑↑". (#11963)
* عودةُ Espeak لدعم اللغة الكانتونية ولغة مندرين (#10418)
* في متصفّح Microsoft Edge المستند على Chromium الجديد، سيُعلَن عن حقول النص مثل شريط العنوان إن كانت فارغة. (#12474)
* إصلاحُ معرِّف أجهزة Seika Braille. (#10787)

### تعديلاتٌ للمطورين

* Note: this is an Add-on API compatibility breaking release. Add-ons will need to be re-tested and have their manifest updated.
* NVDA's build system now fetches all Python dependencies with pip and stores them in a Python virtual environment. This is all done transparently.
  * To build NVDA, SCons should continue to be used in the usual way. E.g. executing scons.bat in the root of the repository. Running `py -m SCons` is no longer supported, and `scons.py` has also been removed.
  * To run NVDA from source, rather than executing `source/nvda.pyw` directly, the developer should now use `runnvda.bat` in the root of the repository. If you do try to execute `source/nvda.pyw`, a message box will alert you this is no longer supported.
  * To perform unit tests, execute `rununittests.bat [<extra unittest discover options>]`
  * To perform system tests: execute `runsystemtests.bat [<extra robot options>]`
  * To perform linting, execute `runlint.bat <base branch>`
  * Please refer to readme.md for more details.
* The following Python dependencies have also been upgraded:
  * comtypes updated to 1.1.8.
  * pySerial updated to 3.5.
  * wxPython updated to 4.1.1.
  * Py2exe updated to 0.10.1.0.
* `LiveText._getTextLines` has been removed. (#11639)
  * Instead, override `_getText` which returns a string of all text in the object.
* `LiveText` objects can now calculate diffs by character. (#11639)
  * To alter the diff behaviour for some object, override the `diffAlgo` property (see the docstring for details).
* When defining a script with the script decorator, the 'allowInSleepMode' boolean argument can be specified to control if a script is available in sleep mode or not. (#11979)
* The following functions are removed from the config module. (#11935)
  * canStartOnSecureScreens - use config.isInstalledCopy instead.
  * hasUiAccess and execElevated - use them from the systemUtils module.
  * getConfigDirs - use globalVars.appArgs.configPath instead.
* Module level REASON_* constants are removed from controlTypes - please use controlTypes.OutputReason instead. (#11969)
* REASON_QUICKNAV has been removed from browseMode - use controlTypes.OutputReason.QUICKNAV instead. (#11969)
* `NVDAObject` (and derivatives) property `isCurrent` now strictly returns Enum class `controlTypes.IsCurrent`. (#11782)
  * `isCurrent` is no longer Optional, and thus will not return None.
    * When an object is not current `controlTypes.IsCurrent.NO` is returned.
* The `controlTypes.isCurrentLabels` mapping has been removed. (#11782)
  * Instead use the `displayString` property on a `controlTypes.IsCurrent` enum value.
    * For example: `controlTypes.IsCurrent.YES.displayString`.
* `winKernel.GetTimeFormat` has been removed - use `winKernel.GetTimeFormatEx` instead. (#12139)
* `winKernel.GetDateFormat` has been removed - use `winKernel.GetDateFormatEx` instead. (#12139)
* `gui.DriverSettingsMixin` has been removed - use `gui.AutoSettingsMixin`. (#12144)
* `speech.getSpeechForSpelling` has been removed - use `speech.getSpellingSpeech`. (#12145)
* Commands cannot be directly imported from speech as `import speech; speech.ExampleCommand()` or `import speech.manager; speech.manager.ExampleCommand()` - use `from speech.commands import ExampleCommand` instead. (#12126)
* `speakTextInfo` will no longer send speech through `speakWithoutPauses` if reason is `SAYALL`, as `SayAllHandler` does this manually now. (#12150)
* The `synthDriverHandler` module is no longer star imported into `globalCommands` and `gui.settingsDialogs` - use `from synthDriverHandler import synthFunctionExample` instead. (#12172)
* `ROLE_EQUATION` has been removed from controlTypes - use `ROLE_MATH` instead. (#12164)
* `autoSettingsUtils.driverSetting` classes are removed from `driverHandler` - please use them from `autoSettingsUtils.driverSetting`. (#12168)
* `autoSettingsUtils.utils` classes are removed from `driverHandler` - please use them from `autoSettingsUtils.utils`. (#12168)
* Support of `TextInfo`s that do not inherit from `contentRecog.BaseContentRecogTextInfo` is removed. (#12157)
* `speech.speakWithoutPauses` has been removed - please use `speech.speechWithoutPauses.SpeechWithoutPauses(speakFunc=speech.speak).speakWithoutPauses` instead. (#12195, #12251)
* `speech.re_last_pause` has been removed - please use `speech.speechWithoutPauses.SpeechWithoutPauses.re_last_pause` instead. (#12195, #12251)
* `WelcomeDialog`, `LauncherDialog` and `AskAllowUsageStatsDialog` are moved to the `gui.startupDialogs`. (#12105)
* `getDocFilePath` has been moved from `gui` to the `documentationUtils` module. (#12105)
* The gui.accPropServer module as well as the AccPropertyOverride and ListCtrlAccPropServer classes from the gui.nvdaControls module have been removed in favor of WX native support for overriding accessibility properties. When enhancing accessibility of WX controls, implement wx.Accessible instead. (#12215)
* Files in `source/comInterfaces/` are now more easily consumable by developer tools such as IDEs. (#12201)
* Convenience methods and types have been added to the winVersion module for getting and comparing Windows versions. (#11909)
  * isWin10 function found in winVersion module has been removed.
  * class winVersion.WinVersion is a comparable and order-able type encapsulating Windows version information.
  * Function winVersion.getWinVer has been added to get a winVersion.WinVersion representing the currently running OS.
  * Convenience constants have been added for known Windows releases, see winVersion.WIN* constants.
* IAccessibleHandler no longer star imports everything from IAccessible and IA2 COM interfaces - please use them directly. (#12232)
* TextInfo objects now have start and end properties which can be compared mathematically with operators such as < <= == != >= >. (#11613)
  * E.g. ti1.start <= ti2.end
  * This usage is now prefered instead of ti1.compareEndPoints(ti2,"startToEnd") <= 0
* TextInfo start and end properties can also be set to each other. (#11613)
  * E.g. ti1.start = ti2.end
  * This usage is prefered instead of ti1.SetEndPoint(ti2,"startToEnd")
* `wx.CENTRE_ON_SCREEN` and `wx.CENTER_ON_SCREEN` are removed, use `self.CentreOnScreen()` instead. (#12309)
* `easeOfAccess.isSupported` has been removed, NVDA only supports versions of Windows where this evaluates to `True`. (#12222)
* `sayAllHandler` has been moved to `speech.sayAll`. (#12251)
  * `speech.sayAll.SayAllHandler` exposes the functions `stop`, `isRunning`, `readObjects`, `readText`, `lastSayAllMode`.
  * `SayAllHandler.stop` also resets the `SayAllHandler` `SpeechWithoutPauses` instance.
  * `CURSOR_REVIEW` and `CURSOR_CARET` has been replaced with `CURSOR.REVIEW` and `CURSOR.CARET`.
* `speech.SpeechWithoutPauses` has been moved to `speech.speechWithoutPauses.SpeechWithoutPauses`. (#12251)
* `speech.curWordChars` has been renamed `speech._curWordChars`. (#12395)
* the following have been removed from `speech` and can be accessed through `speech.getState()`. These are readonly values now. (#12395)
  * speechMode
  * speechMode_beeps_ms
  * beenCanceled
  * isPaused
* to update `speech.speechMode` use `speech.setSpeechMode`. (#12395)
* the following have been moved to `speech.SpeechMode`. (#12395)
  * `speech.speechMode_off` becomes `speech.SpeechMode.off`
  * `speech.speechMode_beeps` becomes `speech.SpeechMode.beeps`
  * `speech.speechMode_talk` becomes `speech.SpeechMode.talk`
* `IAccessibleHandler.IAccessibleObjectIdentifierType` is now `IAccessibleHandler.types.IAccessibleObjectIdentifierType`. (#12367)
* The following in `NVDAObjects.UIA.WinConsoleUIA` have been changed (#12094)
  * `NVDAObjects.UIA.winConsoleUIA.is21H1Plus` renamed `NVDAObjects.UIA.winConsoleUIA.isImprovedTextRangeAvailable`.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfo` renamed to start class name with upper case.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfoPre21H1` renamed `NVDAObjects.UIA.winConsoleUIA.ConsoleUIATextInfoWorkaroundEndInclusive`
    * The implementation works around both end points being inclusive (in text ranges) before [microsoft/terminal PR 4018](https://github.com/microsoft/terminal/pull/4018)
    * Workarounds for `expand`, `collapse`, `compareEndPoints`, `setEndPoint`, etc

## 2020.4

هذا الإصدار يتضمّنُ أساليبَ جديدةً لإدخال اللغة الصينية، تحديثا لمكتبة Liblouis، تحديثًا لقائمة العناصر التي تُستدعى بضغط (NVDA+f7) بحيث أصبحت تعمل أثناء تفعيل النمط التفاعلي.
أُتيحت خاصية عرض المساعدة الدقيقة المتعلقة بالسياق الحالي، عند ضغط F1 في مربعات الحوار الخاصة ب NVDA.
تحسيناتٌ على نُطق الرموز وعلامات الترقيم، ومعجم النُطق، وعرض الرسائل بالخط البارز Braille، والقراءة المتواصلة.
تحسيناتٌ وإصلاحات على تطبيقات: البريد، Outlook, Teams, Visual Studio, Azure Data Studio, Foobar2000.
على صعيد تصفُّح شبكة الإنترنت، هنالك تحسينات على مستندات Google، ودعمٌ أفضل لخصائص ARIA.
إضافةً للعديد من التحسينات والإصلاحات المهمة الأخرى.

### المستجدّات

* عند الضغط على مفتاح F1 في مربّعات الحوار الخاصة ب NVDA؛ سيُفتَح دليلُ المستخدم عند القسم المتعلّق بالعنصر. (#7757)
* دعم اقتراحات الإكمال التلقائي (IntelliSense) في Microsoft SQL Server Management Studio و Visual Studio وإصداراته الأحدث. (#7504)
* في نُطق الرموز: دعمُ تعريف الرموز المركّبة في مجموعات، ودعمُ الإشارات لتلك المجموعات لجعلها أبسط وأقوى. (#11107)
* عند محاولة المستخدم إنشاء مدخلات في المعجم الصوتي تتضمن كلمات بديلة بصيغة غير صحيحة؛ فإنّه سيُنبَّه لذلك. (#11407)
  * ستُكتشَف تلك الأخطاء المتعلقة بمجموعات الرموز بشكل خاص.
* دعمُ أساليب الإدخال الجديدة لللغة الصينية التقليدية في Windows 10: Quick و Pinyin. (#11562)
* ستُعتبر رؤوس التبويبات عناصر ضمن حقول الاستمارات بحيث يمكن الانتقال إليها عبر ضغط مفتاح حرف f للحركة السريعة. (#10432)
* إضافةُ أمر للتبديل بين تفعيل وتعطيل الإعلان عن النص المُعلَّم (المُميَّز بصريًا)، دون تعيين لمفتاح اختصار افتراضي له. (#11807)
* إضافة معامل سطر الأوامر--copy-portable-config ، والذي يُتيح لك نسخَ الإعدادادات المضبوطة إلى مجلد المستخدم تلقائيا أثناء التثبيت الصامت ل NVDA. (#9676)
* دعمُ توجيه المؤشر لخلية بريايل في عارض الخطّ البارز Braille لمستخدمي الفأرة، بحيث يمكن التمرير بالفأرة لتوجيه المؤشّر لخلية برايل. (#11804)
* يمكن الآن ل NVDA اكتشاف أجهزة برايل  Humanware Brailliant BI 40X و 20X تلقائيا عند وصلها عبر USB و Bluetooth. (#11819)

### التعديلات

* ترقيةُ مترجم برايل Libluis إلى الإصدار 3.16.1 وفيه:
 * معالجةُ أخطاء متعددة.
 * إضافةُ جدول برايل للغة الباشقورية بدون اختصارات (برايل الدرجة الأولى).
 * إضافة جدول برايل قبطي ثمان نقاط.
 * إضافةُ جدولي برايل روسيين: literary braille and Russian literary braille (detailed).
 * إضافةُ جدول برايل أفريقاني الدرجة الثانية.
 * إزالةُ جدول برايل الروسي الدرجة الأولى.
* عند تفعيل القراءة المتواصلة في نمط التصفُّح؛ لن يؤدي استخدام أمري البحث عن نص والبحث عن الموضع التالي للنص المُدخَل لإيقاف القراءة عندما يكون خيار "إتاحةُ التصفُّح أثناء القراءة المتواصلة" مُفعَّلًا. (#11563)
* إعادةُ تعريف تمثيل مفتاح F1 في أسطر برايل الإلكترونية من Hims، بحيث أصبح مفتاح المسافة مع النقاط 148. (#11710)
* تحسيناتٌ لتجربة المستخدم مع خيارات عرض رسائل برايل: "زمن عرض الرسائل"، و"ظهور الرسائل لمدة غير محددة". (#11602)
* في متصفحات الويب والتطبيقات الأخرى التي تدعم نمط التصفُّح؛ يمكن الآن استدعاء مربع حوار قائمة العناصر (NVDA + F7) ضمن النمط التفاعُلي (نمط حقول الاستمارات). (#10453)
* إذا كان الإعلان عن المحتوى النَشِط معطَّلًا؛ فلن يمنع ذلك من تحديث أجزاء الصفحة المصممة بخاصية ARIA live. (#9077)
* سيُعلنُ NVDA رسالة النسخ للحافظة قبل النص. (#6757)
* تحسينٌ على عرض الجدول الرسومي في إدارة الأقراص. (#10048)
* عندما يكون عنصرُ التحكُّم معطَّلاً؛ ستُعطَّل أيضًا تسمية العنصر (تظهر باللون الرمادي). (#11809)
* تحديثُ الأوصاف التوضيحية للرموز والوجوه التعبيرية Emoji بمكتبة CLDR للإصدار 38. (#11817)
* تغيير اسم خاصية "Focus Highlight (تمييز موضع التركيز)" المُدمَجى في البرنامج إلى "Vision Highlight (التمييز المرئي)". (#11700)

### إصلاحات الأخطاء

* عند استخدام تطبيق FLE (Fast Log Entry)؛ سيعملُ NVDA الآن بشكل صحيح -كما في السابق- في حقول التحرير. (#8996)
* قراءةُ الوقت المُنقضي في Foobar2000 إذا لم يكُن الوقتُ الإجمالي متوفرًا (على سبيل المثال، عند تشغيل بث مباشر). (#11337)
* سيُعطي NVDA الآن أولويةً لخاصية aria-roledescription  عند وجودها في عناصر المحتوى القابل للتحرير في صفحات الإنترنت. (#11607)
* لم يعُدْ يتردّد لفظ "قائمة" قبل بداية كل سطر من أسطر القائمة في مستندات Google وغيرها من حقول المحتوى القابل للتحرير في Google Chrome. (#7562)
* عند التحرُّك بالأسهم حرفًا حرفًا أو كلمةً كلمة، أثناء الانتقال من عنصر قائمة إلى عنصر آخر في محتوى قابل للتحرير على صفحات الإنترنت؛ سيُعلَن الآن عن دخول العنصر الجديد. (#11569)
* في مستندات Google وسائر حقول المحتوى القابل للتحرير على صفحات الإنترنت، سيقرأ NVDA الآن السطر الصحيح عندما يكون مؤشّرُ التحرير موضوعا عند نهاية رابط موجود في نهاية عنصر القائمة. (#11606)
* في Windows 7، سينتقل مؤشّر النظام بشكل صحيح عند فتح وإغلاق قائمة ابدأ من سطح المكتب. (#10567)
* عند التبديل بين علامات التبويب في Firefox؛ سيُقرأ الآن عنوانُ علامة التبويب بشكل صحيح، عندما يكون خيار "محاولة إلغاء الإعلان عن الأحداث والمعلومات منتهية الصلاحية" مفعَّلًا، كما كان سابقا. (#11397)
* لم يعُدْ NVDA يُخفِقُ في قراءة عنصر القائمة بعد كتابةِ حرفٍ فيها حال استخدام أصوات SAPI5 Ivona. (#11651)
* في تطبيق البريد الخاص بWindows 10 الإصدار 16005.13110 وما بعده؛ بات ممكنًا -كما كان سابقا- استخدام نمط التصفُّح لقراءة رسائل البريد الإلكتروني. (#11439)
* لن يبقى NVDA في حالة صمت بعد إعادة تشغيله عند  استخدام أصوات SAPI5 Ivona من harposoftware.com، وبات ممكنا حفظُ الإعدادات المضبوطة، والتبديل بين آلات النُطق. (#11650)
* يمكن الآن إدخال رقم 6 في جدول برايل الحاسوبي من لوحة مفاتيح برايل على أسطر برايل الإلكترونية من HIMS. (#11710)
* تحسيناتٌ كبيرة على الأداء في Azure Data Studio. (#11533, #11715)
* الإعلان -كما في السابق- عن عنوان مربّع حوار البحث الخاص ب NVDA عندما يكون خيار "محاولة إلغاء الإعلان عن الأحداث والمعلومات منتهية الصلاحية" مفعّلًا. (#11632)
* لن يتجمّد NVDA بعد إيقاظ الحاسوب من وضع السبات، إذا كان مؤشّر النظام موجودًا في مستند ضمن Microsoft Edge. (#11576)
* لم تعُد هناك حاجة لضغط مفتاح الانتقال (Tab) بعد إغلاق قائمة السياق في MS Edge ليعود نمطُ التصفُّح للعمل. (#11202)
* لم يعُدْ NVDA يُخفقُ في قراءة العناصر عند عرض قوائم التطبيقات العاملة بنظام 64 Bit مثل Tortoise SVN. (#8175)
* في كلٍّ من Firefox و Chrome؛ ستُعتبر العناصر ذات خاصية ARIA treegrids كجداول عادية في نمط التصفُّح. (#9715)
* يمكن الآن بدء البحث العكسي للخلف باستخدام أمر "البحث عن السابق" بالضغط على NVDA+shift+F3 (#11770)
* عند تكرار تنفيذ أحد مفاتيح الاختصار الخاصة ب NVDA مع استخدام مفتاح اختصار آخر غير مرتبط به يفصل بين عمليات تنفيذه، لن يُنفَّذ ذاك الأأمر كما لو ضُغِطَ مرتين. (#11388)
* في Internet Explorer ؛ يمكنُ الآن تعطيل الإعلان عن خاصيتي الخط العريض والمائل، إذا عُطِّل الإعلان عنهما ضمن إعدادات تنسيق المستند. (#11808)
* عدم حدوث التجمُّد اليسير لعدة ثوانٍ عند التحرّك بالأسهم بين الخلايا في Excel والذي واجهه عدد قليل من المستخدمين. (#11818)
* في إصدارات Microsoft Teams التي تحمل أرقاما مثل 1.3.00.28xxx، لن يُخفِقَ NVDA في قراءة الرسائل في المحادثات أو قنوات Teams بسبب وجود المؤشّر في موضع غير صحيح من القائمة. (#11821)
* في Google Chrome، عند وجود نص يتضمّن أخطاء إملائية ونحوية في ذات الوقت؛ سيُعلن NVDA عن كلا الخطأين. (#11787)
* عند استخدام Outlook (بواجهته الفرنسية)؛ سيعمل مفتاح الاختصار الخاص بالرد على الكل (control+shift+R) كما في السابق. (#11196)
* في Visual Studio، ستُقرأ الرسائل والتميحات الإرشادية المتاحة من قِبَل أداة IntelliSense -والتي تقدّم مزيدا من التفاصيل حول عنصر IntelliSense المختار حاليا-، مرةً واحدةً فقط. (#11611)
* لم يعُدْ NVDA يُعلن عن التغييرات الطارئة على العمليات الحسابية في تطبيق الآلة الحاسبة المدمج في Windows 10؛ عندما يكون خيار نُطق الأحرف المكتوبة معطَّلًا. (#9428)
* لم يعُدْ NVDA ينهار عند استخدام جدول برايل الإنجليزي الأمريكي الدرجة الأولى  حال تفعيل استخدام برايل الحاسوب؛ إذا وُجِدَ مؤشّر برايل عند بعض أنواع المحتوى مثل الروابط. (#11754)
* بات ممكنا -كما في السابق- قراءةُ معلومات التنسيق لخلية Excel التي يوجد عندها مؤشّر النظام،  باستخدام مفتاح الاختصار NVDA+F. (#11914)
* عودةُ الإدخال عبر نمط لوحة المفاتيح القياسية الكاملة QWERTY على أسطر برايل من نوع Papenmeier للعمل وعدم تسببها في تجمّد NVDA عشوائيا. (#11944)
* في المتصفحات المعتمدة على Chromium، عولجت العديد من الحالات التي لا يعمل فيها التنقل في الجدول ولا يعلن NVDA عن عدد صفوف وأعمدة الجدول. (#12359)

### تعديلاتٌ للمطووّرين

* System tests can now send keys using spy.emulateKeyPress, which takes a key identifier that conforms to NVDA's own key names, and by default also blocks until the action is executed. (#11581)
* NVDA no longer requires the current directory to be the NVDA application directory in order to function. (#6491)
* The aria live politeness setting for live regions can now be found on NVDA Objects using the liveRegionPoliteness property. (#11596)
* It is now possible to define separate gestures for Outlook and Word document. (#11196)

## 2020.3

يتضمّنُ هذا الإصدار تحسيناتٍ عديدة وكبيرة تتعلق باستقرار البرنامج وأدائه، خاصةً مع تطبيقات Microsoft Office. هناك أيضا إعداداتٌ جديدة للتبديل بين خيارات دعم التفاعل باللمس والإعلان عن الرسومات. كما يمكن الإعلان عن وجود محتوى مُعلَّم (مُميَّز بصريا) في متصفّحات الإنترنت. إضافةً لجداول برايل جديدة للغة الألمانية.
يمكن الإعلان عن وجود محتوى مميز (بصريا) في المتصفحات، كما توجد جداول برايل ألمانية جديدة.

### المستجدات

* يمكنك الآن التبديل بين تفعيل أو تعطيل الإعلان عن الرسومات عبر إعدادات تنسيق المستند الخاصة ب NVDA. مع ملاحظة أن تعطيل هذا الخيار؛ لن يؤثّر على قراءة NVDA للنصوص البديلة للرسومات. (#4837)
* يمكنك الآن التبديل بين تفعيل وتعطيل دعم NVDA للتفاعُل باللمس، حيث أُضيف لذلك خيارٌ ضمن شاشة إعدادات التفاعل باللمس في إعدادات NVDA. ومفتاح الاختصار الافتراضي له هو NVDA+control+alt+t. (#9682)
* إضافة جداول برايل جديدة للغة الألمانية. (#11268)
* يتعرّف NVDA الآن على حقول نصوص  uia إن كانت للقراءة فقط. (#10494)
* سيُعلَنُ الآن عن وجود محتوى مُظلَّل في كافة متصفحات الإنترنت عبر النُطق والخط البارز Braille. . (#11436)
 * يمكن التبديل بين تفعيل وتعطيل هذه الخاصية عبر الخيار الجديد الخاص بتمييز النص ضمن إعدادات تنسيق المستند الخاصة ب NVDA.
* بالإمكان الآن إضافةُ المزيد من مفاتيح لوحة مفاتيح النظام لإضافة مفاتيح اختصار تحاكيها على أسطر برايل الإلكترونية، وذلك عبر مربّع حوار تخصيص اختصارات NVDA. (#6060)
  * لعمل ذلك؛ اضغط على زر إضافة بعد اختيارك لتصنيف أوامر محاكاة لوحة مفاتيح النظام.
* دعمُ عصا التحكُّم في جهاز Handy Tech Active Braille (#11655)
* لم يعُدْ خيار "التحوُّل تلقائيا من وإلى النمط التفاعلي وِفقا لحركة مؤشِّر التحرير" يتعارضُ مع خيار "نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك" عندما يكون معطّلًا. (#11663)

### التغييرات

* أصبح الآن أمر الإعلان عن التنسيقات (NVDA+f) يُعلنُ عن تنسيق النص الواقع في موضع مؤشّر التحرير، بدلا من التنسيقات الموجودة تحت مؤشّر الاستعراض. لمعرفة تنسيق النص الذي يوجد عنده مؤشّر الاستعراض؛ اضغَطْ NVDA+shift+f. (#9505)
* لم يعُدْ NVDA ينقل مؤشّر النظام تلقائيا إلى العناصر القابلة للتركيز في نمط التصفُّح، تحسينا للأداء ولاستقرار البرنامج. (#11190)
* تحديث الأوصاف التوضيحية للرموز والوجوه التعبيرية Emoji بمشروع مستودع لغة بيانات اليونيكود العامة CLDR (Unicode Common Locale Data Repository) من الإصدار 36.1 إلى الإصدار 37. (#11303)
* تحديث ESpeak إلى 1.51-dev, commit 1fb68ffffea4
* يمكنُك الآن استخدام أوامر التنقُّل ضمن الجدول، في القوائم المتضمّنة لعناصر قابلة للتحديد، إن كانت القائمةُ تحتوي على عدة صفوف. (#8857)
* في مدير الإضافات البرمجية، أصبح خيار (لا) هو الخيار الافتراضي عند ظهور رسالة تأكيد حذف الإضافة. (#10015)
* في Microsoft Excel, ستُعرَضُ المعادلات الرياضية في قائمة العناصر وِفقا للغة واجهته. (#9144)
* سيُعلنُ NVDA التسمية الصحيحة للملاحظات في Microsoft Excel. (#11311)
* عند استخدام أمر "نقل مؤشّر الاستعراض لموضع مؤشّر النظام" في نمط التصفُّح؛ سيُنقَلُ مؤشّر الاستعراض لموضع المؤشّر الافتراضي الخاص بنمط التصفُّح. (#9622)
* المعلومات التي تُقرأ في نمط التصفُّح، مثل معلومات التنسيق التي تُقرأ بالضغط على NVDA+F؛ ستُعرضُ الآن ضمن نافذة أكبر قليلا تتوسط الشاشة. (#9910)

### إصلاحات الأخطاء

* سيقرأ NVDA الآن الرموز أو علامات الترقيم إن كانت منفردةً ومتبوعةً بمسافة، عند التنقُّل كلمةً كلمة، بغضّ النظر عن إعداد مستوى قراءة الرموز. (#5133)
* سيقرأ NVDA الآن أوصاف الكائنات في التطبيقات التي تستخدم QT 5.11 أو أحدث كما كان في السابق. (#8604)
* لن يلزم NVDA الصمت عند حذف كلمة بالضغط على control+delete. (#3298, #11029)
  * سيُعلَنُ الآن عن الكلمة التي تلي الكلمة المحذوفة.
* في إعدادات NVDA العامة؛ رُتّبت قائمة اللغات بشكل صحيح. (#10348)
* تحسينٌ واضح على الأداء عند إجراء عملية التصفية في مربّع حوار تخصيص اختصارات NVDA. (#10307)
* يمكنك الآن إدخال أحرف Unicode  عبر أسطر برايل خلافا لأحرف U+FFFF. (#10796)
* سيعلنُ NVDA الآن عن محتوى مربّع الحوار (فتح باستخدام) في تحديث Windows 10 مايو 2020 (#11335)
* خيارٌ تجريبي جديد ضمن شاشة الإعدادات المتقدّمة: (تمكينُ التسجيل الانتقائي لأحداث أتمتة واجهة المستخدم (UI Automation) وتغيير الخصائص) يمكنُ أن يوفّرَ -عند تفعيله- تحسيناتٍ كبيرة على أداء Microsoft Visual Studio والبرامج الأخرى التي تعتمد UIAutomation. (#11077, #11209)
* في عناصر القوائم القابلة لوضع علامة التحديد عليها، لن تُعلن حالة العنصر المحدَّد بشكل متكرر، وستُعلَنُ الحالة "غير محدَّد" عن العنصر الذي لا يكون في موضع مؤشّر النظام عوضا عن ذلك. (#8554)
* في تحديث Windows 10 مايو 2020؛ سيُظهِر NVDA خيار Microsoft Sound Mapper ضمن خيارات جهاز إخراج الصوت في مربّع حوار آلة النُطق. (#11349)
* في Internet Explorer؛ ستُقرأ القوائم ذات التعداد الرقمي بشكل صحيح، إذا لم تكُن تبدأ بالرقم 1. (#8438)
* في Google chrome، سيُعلنُ NVDA الآن الحالة "غيرُ محدَّد" لكافة عناصر التحكُّم القابلة للتحديد عندما تكون غير محدّدة (ولن يقتصر ذلك على مربّعات التحديد). #11377)
* باتَ ممكنا -كما كان سابقا- التنقُّل بين عناصر التحكّم المختلفة، عندما تكون لغة واجهة NVDA اللغة الأراغونية. (#11384)
* لن يدخل NVDA في حالة تجمُّد -كما كان يحدثُ في بعض الأحيان- في Microsoft Word، عند التنقُّل السريع بمفتاح السهم لأعلى أو لأسفل، وأثناء كتابة الأحرف في حال الربط بسطر برايل إلكتروني. (#11431, #11425, #11414)
* لم يعُدْ NVDA يُتبِعُ اسم الكائن الواقع في موضع مؤشّر NVDA بمسافة غير موجودة في اسمه، عند نسخه للحافظة. (#11438)
* لن ينشِّطَ NVDA وضع الضبط (القراءة المتواصلة) في حال عدم وجود ما يُقرأ. (#10899, #9947)
* لن يتعذّر الآن على NVDA قراءة قائمة الخصائص ضمن أداة Internet Information Services (IIS) (#11468)
* سيُبقي NVDA جهاز الصوت مستمرا في العمل؛ تحسينا للأداء مع بعض كروت الصوت. (#5172, #10721)
* لم يعُدْ NVDA يُغلَقُ أو يدخل حالة جمود عند ضغط مفاتيح control+shift+سهم لأسفل في Microsoft Word. (#9463)
* سيعلنُ NVDA دوما عن حالة المجلدات طيًّا وتوسيعًا في العرض الشجري الخاص بالتنقُّل بين المجلدات على موقع drive.google.com. (#11520)
* يتعرّف NVDA الآن على عارضات برايل NLS eReader من Humanware، عند ربطها عبر Bluetooth، واسم Bluetooth الخاص به "NLS eReader Humanware". (#11561)
* تحسيناتٌ كبيرة على الأداء في محرّر الأوامر البرمجية Visual Studio Code. (#11533)

### تعديلاتٌ للمطورين

* The GUI Helper's BoxSizerHelper.addDialogDismissButtons supports a new "separated" keyword argument, for adding a standard horizontal separator to dialogs (other than messages and single input dialogs). (#6468)
* Additional properties were added to app modules, including path for the executable (appPath), is a Windows Store app (isWindowsStoreApp), and machine architecture for the app (appArchitecture). (#7894)
* It is now possible to create app modules for apps hosted inside wwahost.exe on Windows 8 and later. (#4569)
* A fragment of the log can now be delimited and then copied to clipboard using NVDA+control+shift+F1. (#9280)
* NVDA-specific objects that are found by Python's cyclic garbage collector are now logged when being deleted by the collector to aide in removing reference cycles from NVDA. (#11499)
 * The majority of NVDA's classes are tracked including NVDAObjects, appModules, GlobalPlugins, SynthDrivers, and TreeInterceptors.
 * A class that needs to be tracked should inherit from garbageHandler.TrackedObject.
* Significant debug logging for MSAA events can be now enabled in NVDA's Advanced settings. (#11521)
* MSAA winEvents for the currently focused object are no longer filtered out along with other events if the event count for a given thread is exceeded. (#11520)

## 2020.2

أبرز ما في هذا الإصدار: دعم السطر الإلكتروني الجديد من شركة الناطق، دعم أفضل لواجهة المستخدم لبرنامج مكافحة الفيروسات Eset، وكذلك دعم تطبيق الأوامر النصية Windows Terminal،  تحسين أداء 1password، ودعم إضافي لآلة النطق Windows OneCore.

### المستجدات

* دعم الأسطر الإلكترونية الآتية:
  * سطر الناطق للتكنولوجيا Nattiq nBraille (#10778)
* إضافة إمكانية تعيين مفتاح اختصار لفتح مجلد إعدادات NVDA (لا يوجد مفتاح اختصار افتراضي).  (#2214)
* دعم أفضل لواجهة المستخدم لبرنامج مكافحة الفيروسات Eset. (#10894)
* دعم إضافي تطبيق سطر الأوامر النصية في Windows. (#10305)
* إضافة أمر للإعلام عن وضع إعدادات NVDA النَشِط (ليس هناك اختصار معيّن افتراضيا). (#9325)
* إضافة أمر للتنقل بين تفعيل وتعطيل الكتابة الفوقية والسفلية (subscript, superscript). (#10985)
* لم يعد NVDA يعلن عن معلومات انتهت صلاحيتها وحلّ بدلا ععنها معلومات محدّثة، عند تحرُّك المؤشر بسرعة في تطبيقات الوب كما هو الحال في Gmail. (#10885)
  * يجب التفعيل اليدوي  لهذا الإصلاح التجريبي من خلال تفعيل خيار "محاولة إلغاء الإعلان عن الأحداث والمعلومات منتهية الصلاحية" الموجود ضمن شاشة الإعدادات المتقدمة.
* إضافة المزيد من الرموز لقاموس النُطق الافتراضي. (#11105)

### التغييرات

* تحديث مترجم liblouis braille من 3.12 إلى [3.14.0](https://github.com/liblouis/liblouis/releases/tag/v3.14.0). (#10832, #11221)
* أصبح التحكُّم بخيار الإعلان عن الكتابة العلوية والكتابة السفلية مستقلًا عن خيار الإعلان عن خصائص الخط. (#10919)
* بناءً على التعديلات التي أُجريت على VS Code؛ لم يعد NVDA يعطّل نمط التصفح افتراضيا عند وجود الشفرة.. (#10888)
* لم يعُدْ NVDA يُعلن رسالتا "أعلى" و"أسفل" عند نقل مؤشّر الاستعراض مباشرةً للسطر الأول أو الأخير ضمن الكائن الواقع تحت مؤشر NVDA عند استخدام أمر نقلل مؤشّر الاستعراض للسطر الأول ونقل مؤشر الاستعراض للسطر الأخير متبوعةً بالسطر. (#9551)
* لم يعُدْ NVDA يُعلن  رسالتا "يسار" و "يمين" عند نقل مؤشر الاستعراض مباشرةً للحرف الأول أو الأخير ضمن السطر الذي يقع عليه مؤشر NVDA باستخدام أمرَي نقل مؤشر الاستعراض لبداية السطر ونقل مؤشّر الاستعراض لنهاية السطر متبوعةً بالحرف. (#9551)

### الإصلاحات

* بدء تشغيل NVDA بشكل صحيح عندما يتعذّر إنشاء ملف تقارير الأخطاء. (#6330)
* لم يعد NVDA يعلن عبارة "delete back word" عند الضغط على مفتاحي ctrl+backspace عند تحرير مستند بالإصدارات الحديثة من microsoft word 365. (#10851)
* سيعلن NVDA مرة أخرى عن الحالة عند التبديل بين التشغيل العشوائي والتكرار في تطبيق Winamp. (#10945)
* لن يُصاب NVDA بالبطء عند الحركة داخل القوائم السردية ببرنامج 1password. (#10508)
* لم تعد آلة النطق windows 1core تقطّع بين الكلمات.(#10721)
* لم يعد NVDA يدخل في حالة جمود عند فتح قائمة سياق أيقونة  1password الموجودة في منطقة الإعلام في Windows. (#11017)
* في office2013 وما قبله:
  * سيعلن NVDA عن علامات التبويب  فور نقل المؤشر إليها. (#4207)
  * الإعلان مرة أخرى عن  عناصر قائمة السياق بشكل صحيح. (#9252)
  * الإعلان عن جميع الأقسام ضمن علامات التبويب عند الحركة بمفتاح التحكم مع الأسهم. (#7067)
* لم يعد NVDA يُظهِرُ النص بشكل غير صحيح  في سطر منفصل ضمن نمط التصفح بتطبيقات Mozilla Firefox و  Google Chrome عند كتابة محتوى الصفحة باستخدام CSS display: inline-flex. (#11075)
* في نمط التصفُّح؛ إذا كان خيار نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك معطّلًا؛ يمكن الآن تنشيط عناصر التصفُّح التي ليست ضمن موضع التركيز.
* أصبح بالإمكان تنشيط العناصر التي نصل إليها بمفتاح Tab في نمط التصفح عند تعطيل خيار نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك. (#8528)
* لم يعد تنشيط  عناصر معينة في نمط التصفح يؤدي إلى النقر على مواضع غير صحيحة عند تعطيل خيار نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك. (#9886)
* لم تعُد أصوات NVDA التي تُشير لوجود خطأ تُسمَع عند الوصول لعناصر التحكم في النص في Devexpress. (#10918)
* لن تُعلَن الرسائل الإرشادية الخاصة بالأيقونات الموجودة على صينية النظام عند الحركة عليها بلوحة المفاتيح إذا كان محتوى الرسالة الإرشادية مطابقا  لاسم الأيقونة وذلك لتجنب التكرار. (#6656)
* في نمط التصفُّح؛ عندما يكون خيار نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك معطّلًا؛ سينتقلُ مؤشّرُ النظام لموضع مؤشر التحرير عند الضغط على مفتاحي NVDA+مسافة للتبديل إلى النمط التفاعلي (نمط حقول الاستمارات). (#11206)
* أصبح بالإمكان مرة أخرى البحث عن تحديثات NVDA في بعض الأنظمة على سبيل المثال على نسخة Windows مثبتة للتو. (#11253)
* لن يتغير موضع مؤشر النظام في تطبيقات Java عند تغيير التحديد في العرض الشجري أو الجداول أو القوائم السردية التي لا تقع أسفل مؤشر النظام. (#5989)

### تعديلاتٌ للمطورين

* execElevated and hasUiAccess have moved from config module to systemUtils module. Usage via config module is deprecated. (#10493)
* Updated configobj to 5.1.0dev commit f9a265c4. (#10939)
* Automated testing of NVDA with Chrome and a HTML sample is now possible. (#10553)
* IAccessibleHandler has been converted into a package, OrderedWinEventLimiter has been extracted to a module and unit tests added (#10934)
* Updated BrlApi to version 0.8 (BRLTTY 6.1). (#11065)
* Status bar retrieval may now be customized by an AppModule. (#2125, #4640)
* NVDA no longer listens for IAccessible EVENT_OBJECT_REORDER. (#11076)
* A broken ScriptableObject (such as a GlobalPlugin missing a call to its base class' init method) no longer breaks NVDA's script handling. (#5446)

## 2020.1

أبرز ما في هذا الإصدار: دعم العديد من أسطر برايل الإلكترونية الجديدة من HumanWare و APH، إضافةً لكثير من الإصلاحات المهمة للعديد من الأخطاء مثل: إمكانية قراءة محتوى الرياضيات مرة أخرى في Microsoft Word باستخدام MathPlayer / MathType.

### المستجدّات

* في  متصفّح Chrome، سيُعرَضُ الآن العنصر المختار ضمض نناديق القوائم في نمط التصفُّح، كما كان الحال في NVDA 2019.1. (#10713)
* يمكنك الآن تنفيذ الضغط على زر الفأرة الأيمن على الأجهزة العاملة بنظام اللمس، بالضغط بإصبع واحد ضغطتين ثانيتهما مستمرة.  (#3886)
* دعم أسطر برايل إلكترونية جديدة: APH Chameleon 20, APH Mantis Q40, HumanWare BrailleOne, BrailleNote Touch v2, و NLS eReader.  (#10830)

### التغييرات

* عند تفعيل القراءة المتواصلة؛ سيحُول NVDA دون تأمين النظام للجهاز أو إدخاله في وضع السُبات. (#10643)
* دعم out-of-process iframes في متصفّح Mozilla Firefox. (#10707)
* تحديثُ مترجم برايل Liblouis إلى الإصدار 3.12. (#10161)

### إصلاحات الأخطاء

* إصلاح مشكلة عدم نُطق علامة الناقص بتنسيق Unicode (U+2212). (#10633)
* عند تثبيت إضافة عبر مدير الإضافات البرمجيّة؛ لن تُقرأ أسماء الملفات والمجلدات في نافذة الاستعراض مرتين.  (#10620, #2395)
* عند فتح موقع Mastodon في Firefox، في حال تمكين واجهة الويب التفاعلية؛ ستُرَض جميع الخطوط الزمنية الآن بشكل صحيح. (#10776)
* في نمط التصفُّح؛ سيُعلن NVDA الآن عن مربّعات التحديد غير المحددة ب"غير محدّد" في بعض المواضع التي كان أحيانا لا يُعلن عنها. (#10781)
* لن يُعلن NVDA عن معلومات متضاربة عن العناصر المعرّفة على أنها أزرار تبديل بخاصية (ARIA switch controls) مثل: "غير مضغوط مُحدَّد"، أو "مضغوط محدَّد". (#9187)
* لم تعُدْ أصوات Sapi4 تتوقف عن قراءةالنص في بعض الأحوال. (#10792)
* يمكن ل NVDA القراءة والتفاعُل مع المعادلات الرياضية في Microsoft Word كما كان سابقا. (#10803)
* سيُعلن  NVDA الآن عن كون النص غير محدّد في نمط التصفُّح؛ عند ضغط  أحد مفاتيح الأسهم في حال كان النص محددا. (#10731).
* لم يعُد NVDA ينهار عند حدوث خطأ أثناء اختيار آلة النُطق Espeak.  (#10607)
* لن تتسبّب الأخطاء الناجمة عن وجود أحرف Unicode في ترجمة الاختصارات في إيقاف تثبيت البرنامج، بل سيُعتمد  النصّ الإنجليزي تجاوزًا للمشلكة. (#5166, #6326)
* لم يعُدْ يحدث الإعلان باستمرار عن الخروج من القوائم والجداول في نمط التصفُّح، أثناء تمكين التصفُّح بمفاتيح الحركة أثناء القراءة المتواصلة. (#10706)
* إصلاح تتبع الفأرة لبعض عناصر MSHTML في Internet Explorer. (#10736)

### تعديلاتٌ للمطورين

* Developer documentation is now build using sphinx. (#9840)
* Several speech functions have been split into two. (#10593)
  The speakX version remains, but now depends on a getXSpeech function which returns a speech sequence.
  * speakObjectProperties now relies on getObjectPropertiesSpeech
  * speakObject now relies on getObjectSpeech
  * speakTextInfo now relies on getTextInfoSpeech
  * speakWithoutPauses has been converted into a class, and refactored, but should not break compatibility.
  * getSpeechForSpelling is deprecated (though still available) use getSpellingSpeech instead.
  Private changes that should not affect addon developers:
  * _speakPlaceholderIfEmpty is now _getPlaceholderSpeechIfTextEmpty
  * _speakTextInfo_addMath is now _extendSpeechSequence_addMathForTextInfo
* Speech 'reason' has been converted to an Enum, see controlTypes.OutputReason class. (#10703)
  * Module level 'REASON_*' constants are deprecated.
* Compiling NVDA dependencies now requires Visual Studio 2019 (16.2 or newer). (#10169)
* Updated SCons to version 3.1.1. (#10169)
* Again allow behaviors._FakeTableCell to have no location defined (#10864)

## 2019.3

يُعتبر إصدار NVDA 2019.3 إصدارا ذا أهمية كبيرة، حيث احتوى على العديد من التغييرات في بنيته، والتي لا تبدو جليةً للمستخدمين، بما في ذلك: ترقية إصدار لغة Python المستخدمة في كتابته من Python 2 to Python 3، وإعادة كتابة لنظام النُطق.
وعلى الرغم من أنّ هذه التغييرات أدّت إلى عدم توافُق NVDA مع بعض الإضافات البرمجية القديمة؛ إلا أن الترقية إلى Python ضرورية أمنيا، كما أن التغييرات التي طرأت على النُطق ستُتيحُ تنفيذ أفكار تطويرية مُثيرة قريبا.
 أبرزُ المستجدّات الأخرى في هذا الإصدار تشمل: دعم Java VMs 64 Bit، خاصية سِتار الشاشة والتمييز المرئي لموضع المؤشر، دعم المزيد من أسطر برايل الإلكترونية إضافةً لأداة عارض برايل الجديدة، والكثير جدا من إصلاحات الأخطاء.

### المستجدّات

* تحسينٌ على دقة أمر نقل مؤشر الفأرة إللى الكائن الحالي الواقع تحت مؤشّر NVDA في الحقول النصية ضمن تطبيقات Java بحيث أصبح أكثر دقّةً. (#10157)
* إضافةُ الدعم لأسطر برايل الإلكترونية من Handytech (#8955):
 * Basic Braille Plus 40
 * Basic Braille Plus 32
 * Connect Braille
* يمكن الآن حذفُ كافة مفاتيح الاختصار المُعرَّفة من قِبَل المستخدم بالضغط على زر استرجاع الإعدادات الافتراضية المُضاف ضمن مربّع حوار تخصيص اختصارات NVDA. (#10293)
* سيشملُ الإعلانُ عن الخط، النصَّ الذي عُيّن كنص مخفي في Microsoft Word. (#8713)
* إضافةُ أمر لنقل مؤشّر الاستعراض إلى الموضع الذي ضُبِطَ سابقا ليكون نقطة البداية للتحديد أو النسخ: NVDA+shift+F9. (#1969)
* في Internet Explorer, و Microsoft Edge، والإصدارات الأحدث من Firefox و Chrome سيُعلَنُ الآن عن العلامات الإرشادية في كلٍّ من نمط التصفُّح ونمط استعراض الكائن. (#10101)
* يمكنك الآن التنقّل عبر المقالات والمجموعات في Internet Explorer و Google Chrome و Mozilla Firefox، باستخدام مفاتيح التنقّل السريعة. افتراضيًا، ليس هناك مفتاح سريع محدّد لذلك. يمكنك تعيينه عبر مربّع حوار تخصيص اختصارات NVDA في حال فتحتَ مربّع الحوار هذا أثناء وجودك ضمن مستند في نمط التصفُّح. (#9227)
 * سيُعلَن الآن أيضا عن الأشكال التوضيحية Figures. ولأنها تُعتبرُ كائنات؛ فبالإمكان الانتقال إليها باستخدام مفتاح الحركة السريع O.
* في Internet Explorer, و Google Chrome, و Mozilla Firefox, سيُعلَنُ عن العناصر من نوع المقالات، عند التنقُّل في نمط استعراض الكائن، وكذلك في نمط التصفُّح كأمر اختياري، إذا كان هذا الخيار مُفعّلًا ضمن إعدادات NVDA الخاصة بتنسيق المستند. (#10424)
* إضافةُ خاصية سِتار الشاشة، والتي تُحيل الشاشة بأكملها سوداء عند تفعيلها على Windows 8 والإصدارات الأحدث. (#7857)
 * وقد أُضيف أمرٌ لتفعيل ستار الشاشة (بضغطه مرة واحدة يبقى مُفعّلًا حتى يُعاد تشغيل NVDA في المرة التالية، وبالضغط عليه مرتين يبقى مفعّلًا دائما ما دام NVDA يعمل) غير أنه لم يُعيَّن له مفتاح اختصار افتراضي.
 * يمكن تفعيلُه وضبطُه من خلال تصنيف الرؤية ضمن مربّع حوار إعدادات NVDA.
* إضافة خاصية التمييز المرئي للشاشة. (#971, #9064)
 * يمكنُ ضبط تمييز موضع مؤشّر النظام، ومؤشّر NVDA (مؤشّر مستعرِض الكائن) ومؤشّر نمط التصفُّح عبر تصنيف الرؤية ضمن مربّع حوار إعدادات NVDA.
 * ملاحظة: هذه الخاصية لا تتوافق مع الإضافة البرمجية focus highlight، ومع ذلك، لا يزال بالإمكان استخدام تلك الإضافة في حال تعطيل ميزة تمييز موضع التركيز المُدمجة.
* إضافة أداة عارض الخط البارز Braille، والتي تُتيح عرض مخرجات برايل عبر نافذة على الشاشة. (#7788)

### التغييرات

* يوجد الآن وصفٌ في دليل المستخدم لكيفية استخدام NVDA في سطر توجيه الأوامر في Windows. (#9957)
* سيعمل تشغيل ملف nvda.exe الآن افتراضيا على استبدال النسخة العاملة من NVDA. مُعامِل سطر الأوامر -r|--replace لا يزال مقبولاً غير أنه مُتجاهَل. (#8320)
* في Windows 8 والإصدارات الأحدث ، سيُعلن NVDA عن اسم المنتج ومعلومات الإصدار للتطبيقات المُضافة، كتلك المُحمّلة من متجر Microsoft بناءً على المعلومات المتوفرة مع التطبيق. (#4259, #10108)
* عند التبديل بين تفعيل وتعطيل تتبُّع التغييرات عبر لوحة المفاتيح في Microsoft Word؛ سيُعلن NVDA عن حالة الإعداد. (#942)
* سيُعرَضُ رقمُ إصدار NVDA ضمن أول رسالة في عارض سجلّ الأخطاء، حتى إن عُطِّل سجل الأخطاء من واجهة المستخدم. (#9803)
* لم يعد مربع حوار الإعدادات يسمح بتغيير مستوى التقارير، في حال ضبطه عبر سطر الأوامر. (#10209)
* في Microsoft Word، يُعلن NVDA الآن عن حالة العرض للأحرف غير القابلة للطباعة عند الضغط على مفتاح الاختصار Ctrl+Shift+8. (#10241)
* تحديث مترجِم Liblouis braille إلى commit 58d67e63. (#10094)
* عندما يكون خيار قراءة رموز Cldr مُفعّلًا؛ سينطق NVDA رموز Cldr (بما في ذلك الرموز والوجوه التعبيرية Emojis) مع كل مستويات قراءة الرموز. (#8826)
* يتضمّن سجلّ الأخطاء في NVDA الآن الأخطاء والتنبيهات الخاصة بحُزَم الطرف الثالث للغة Python مثل comtypes. (#10393)
* تحديث الأوصاف التوضيحية للرموز والوجوه التعبيرية Emoji بمشروع مستودع لغة بيانات اليونيكود العامة CLDR (Unicode Common Locale Data Repository) إلى الإصدار 36.0. (#10426)
* عند المرور على تجميع في نمط التصفُّح؛ سيُعلن الآن أيضا عن وصفه. (#10095)
* يتضمّن NVDA الآن جسر الوصول إلى Java (Java Access Bridge)؛ لتمكين الوصول إلى تطبيقات Java، بما في ذلك Java VMs 64 Bit. (#7724)
* إذا لم يكُن Java Access Bridge مُفعّلًا للمستخدم؛ سيعمل NVDA على تفعيله تلقائيا مع بدء تشغيل NVDA. (#7952)
* تحديث eSpeak-NG إلى  الإصدار 1.51-dev, commit ca65812ac6019926f2fbd7f12c92d7edd3701e0c. (#10581)

### إصلاحات الأخطاء

* ستحتلُّ الرموز التعبيرية وأحرف Unicode 32 بت الأخرى مساحة أقل على شاشة برايل عندما تظهر كقيم ست عشرية. (#6695)
* سيقرأ NVDA الرسائل الإرشادية الخاصة بتطبيقات متجر Microsoft عندما يكون خيار قراءة الرسائل الإرشادية ضمن إعدادات عرض الكائن مفعّلاً. (#8118)
* في Windows 10  Anniversary وما بعده، سيُقرأ النص المُدخَل في Mintty. (#1348)
* في Windows 10 Windows 10 Anniversary Update والإصدارات الأحدث، لن يقرأ NVDA بعض مخرجات سطر الأوامر القريبة من مؤشّر التحرير كأحرف منفردة. (#513)
* عند التنقُّل في مربّع حوار "الضاغط" في Audacity؛ ستُقرأ عناصر التحكُّم. (#10103)
* لن يعتبر NVDA المسافات كلمات في برامج تحرير Scintilla مثل Notepad ++ في نمط استعراض الكائن. (#8295)
* سيَحُول NVDA دون دخول النظام في وضع السكون أثناء التنقّل عبر النص باستخدام مفاتيح الاختصار على أسطر برايل. (#9175)
* في Windows 10، سيتبعُ مؤشّر برايل تحرير الخلايا في Microsoft Excel وعناصر التحكم النصية الأخرى التي تعتمد أتمتة واجهة المستخدم Uia، بعد أن كان متأخرا. (#9749)
* سيُعلنُ NVDA كما كان سابقا عن الاقترحات في شريط العنوان في Microsoft Edge. (#7554)
* في Internet Explorer، لن يصمت NVDA، عند المرور برؤوس عناوين لعلامات تبويب Html. (#8898)
* في Microsoft Edge المبني  على EdgeHTML ، لن يُصدر NVDA بعد الآن صوت اقتراح البحث عند تكبير النافذة. (#9110, #10002)
* دعم صناديق خيارات ARIA 1.1 في Mozilla Firefox و Google Chrome. (#9616)
* لن يعلن NVDA عن محتوى الأعمدة المخفية بصريًا بعناصر القائمة في عناصر تحكم SysListView32. (#8268)
* في النمط الآمن، لم يعُد يُعرَض (بيانات) على أنه مستوى إعداد التقرير الحالي في مربّع حوار الإعدادات. (#10209)
* في إصدار Windows 10 Anniversary والإصدارات الأحدث؛ سيقرأ NVDA تفاصيل نتائج البحث. (#10232)
* في نمط التصفُّح، في الحالات التي يؤدي تحريك المؤشِّر أو استخدام مفاتيح الحركة السريعة لتغييرات على المستند؛ لم يعُد NVDA يقرأ محتوى خاطئا في بعض الحالات. (#8831, #10343)
* تصحيحُ بعض أسماء رموز التنقيط (التعداد النقطي) في Microsoft Word. (#10399)
* في تحديث Windows 10 May 2019 والإصدارات الأحدث؛ سيقرأ NVDA الرمز التعبيري الأول، ومحتوى الحافظة، عند فتح لوحة الرموز التعبيرية وسجلّ الحافظة بشكل صحيح. (#9204)
* أصبح عرضُ ترجمات بعض اللغات التي تُقرأ من اليمين لليسار ممكنا في Poedit كما كان سابقا. (#9931)
* في تطبيق الإعدادات على  Windows 10 تحديث إبريل 2018 والإصدارات الأحدث، لن يعلن NVDA عن معلومات شريط التقدم لحجم الصوت الموجود في صفحة النظام/الصوت. (#10284)
* لن يتسبّب إدخال تعبير قياسي غير صالح في معاجم النُطق إلى توقُّف نُطق NVDA. (#10334)
* عند قراءة التعداد النقطي في Microsoft Word حال تمكين أتمتة واجهة المستخدم UIA، لم يعد الرمز النقطي لعنصر القائمة التالي يُقرأ بشكل خاطئ. (#9613)
* حلُّ بعض المشاكل والأخطاء النادرة المتعلقة بترجمة برايل مع  برايل liblouis. (#9982)
* يمكنُ الآن الوصول لتطبيقات Java المفتوحة قبل بدء عمل NVDA دون الحاجة لإعادة تشغيلها. (#10296)
* عندما يكون العنصرُ المحدّد في Mozilla Firefox؛ مُعلَّمًا على أنه حالي (aria-current),؛ لن يُنطَق هذا التغيير مرات متعددة.
* سيتعامل NVDA الآن مع بعض أحرف unicode المركبة مثل e-acute على أنها حرف واحد عند التنقُّل عبر النص. (#10550)
* دعم الإصدار الرابع من Spring Tool Suite. (#10001)
* عدم نُطقُ الاسم مرتين، عندما يكون العنصر الذي يستخدم خاصية aria-labelledby  مرتبطًا بعنصر داخل نفس الصفحة. (#10552)
* في Windows 10 الإصدار 1607 والإصدارات الأحدث؛ ستُنطَق الأحرف المكتوبة عبر بوحات مفاتيح برايل في المزيد من اأأماكن. (#10569)
* عند تغيير جهاز إخراج الصوت، ستصدرُ النغماتُ الخاصة ب NVDA عبر هذا مخرج الصوت المختار حديثا. (#2167)
* في Mozilla Firefox، أصبح تحريك مؤشّر النظام أسرع في نمط التصفُّح. هذا يجعل نقل المؤشّر في نمط التصفح يستجيب بشكل أفضل في كثير من الحالات. (#10584)

### تعديلاتٌ للمطورين

* Updated Python to 3.7. (#7105)
* Updated pySerial to version 3.4. (#8815)
* Updated wxPython to 4.0.3 to support Python 3.5 and later. (#9630)
* Updated six to version 1.12.0. (#9630)
* Updated py2exe to version 0.9.3.2 (in development, commit b372a8e from albertosottile/py2exe#13). (#9856)
* Updated UIAutomationCore.dll comtypes module to version 10.0.18362. (#9829)
* The tab-completion in the Python console only suggests attributes starting with an underscore if the underscore is first typed. (#9918)
* Flake8 linting tool has been integrated with SCons reflecting code requirements for Pull Requests. (#5918)
* As NVDA no longer depends on pyWin32, modules such as win32api and win32con are no longer available to add-ons. (#9639)
 * win32api calls can be replaced with direct calls to win32 dll functions via ctypes.
 * win32con constants should be defined in your files.
* The "async" argument in nvwave.playWaveFile has been renamed to "asynchronous". (#8607)
* speakText and speakCharacter methods on synthDriver objects are no longer supported.
 * This functionality is handled by SynthDriver.speak.
* SynthSetting classes in synthDriverHandler have been removed. Now use driverHandler.DriverSetting classes instead.
* SynthDriver classes should no longer expose index via the lastIndex property.
 * Instead, they should notify the synthDriverHandler.synthIndexReached action with the index, once all previous audio has finished playing before that index.
* SynthDriver classes must now notify the synthDriverHandler.synthDoneSpeaking action, once all audio from a SynthDriver.speak call has completed playing.
* SynthDriver classes must support the speech.PitchCommand in their speak method, as changes in pitch for speak spelling now depends on this functionality.
* The speech function getSpeechTextForProperties has been renamed to getPropertiesSpeech. (#10098)
* The braille function getBrailleTextForProperties has been renamed to getPropertiesBraille. (#10469)
* Several speech functions have been changed to return speech sequences. (#10098)
 * getControlFieldSpeech
 * getFormatFieldSpeech
 * getSpeechTextForProperties now called getPropertiesSpeech
 * getIndentationSpeech
 * getTableInfoSpeech
* Added a textUtils module to simplify string differences between Python 3 strings and Windows unicode strings. (#9545)
 * See the module documentation and textInfos.offsets module for example implementations.
* Deprecated functionality now removed. (#9548)
 * AppModules removed:
  * Windows XP sound recorder.
  * Klango Player, which is abandoned software.
 * configobj.validate wrapper removed.
  * New code should use from configobj import validate instead of import validate
 * textInfos.Point and textInfos.Rect replaced by locationHelper.Point and locationHelper.RectLTRB respectively.
 * braille.BrailleHandler._get_tether and braille.BrailleHandler.set_tether have been removed.
 * config.getConfigDirs has been removed.
 * config.ConfigManager.getConfigValidationParameter has been replaced by getConfigValidation
 * inputCore.InputGesture.logIdentifier property has been removed.
   * Use _get_identifiers in inputCore.InputGesture instead.
 * synthDriverHandler.SynthDriver.speakText/speakCharacter have been removed.
 * Removed several synthDriverHandler.SynthSetting classes.
   * Previously kept for backwards compatibility (#8214), now considered obsolete.
   * Drivers that used the SynthSetting classes should be updated to use the DriverSetting classes.
 * Some legacy code has been removed, particularly:
  * Support for the Outlook pre 2003 message list.
  * An overlay class for the classic start menu, only found in Windows Vista and earlier.
  * Dropped support for Skype 7, as it is definitely not working any more.
* Added a framework to create vision enhancement providers; modules that can change screen contents, optionally based on input from NVDA about object locations. (#9064)
 * Add-ons can bundle their own providers in a visionEnhancementProviders folder.
 * See the vision and visionEnhancementProviders modules for the implementation of the framework and examples, respectively.
 * Vision enhancement providers are enabled and configured via the 'vision' category in NVDA's settings dialog.
* Abstract class properties are now supported on objects that inherit from baseObject.AutoPropertyObject (e.g. NVDAObjects and TextInfos). (#10102)
* Introduced displayModel.UNIT_DISPLAYCHUNK as a textInfos unit constant specific to DisplayModelTextInfo. (#10165)
 * This new constant allows walking over the text in a DisplayModelTextInfo in a way that more closely resembles how the text chunks are saved in the underlying model.
* displayModel.getCaretRect now returns an instance of locationHelper.RectLTRB. (#10233)
* The UNIT_CONTROLFIELD and UNIT_FORMATFIELD constants have been moved from virtualBuffers.VirtualBufferTextInfo to the textInfos package. (#10396)
* For every entry in the NVDA log, information about the originating thread is now included. (#10259)
* UIA TextInfo objects can now be moved/expanded by the page, story and formatField text units. (#10396)
* External modules (appModules and globalPlugins) are now less likely to be able to break the creation of NVDAObjects.
 * Exceptions caused by the "chooseNVDAObjectOverlayClasses" and "event_NVDAObject_init" methods are now properly caught and logged.
* The aria.htmlNodeNameToAriaLandmarkRoles dictionary has been renamed to aria.htmlNodeNameToAriaRoles. It now also contains roles that aren't landmarks.
* scriptHandler.isCurrentScript has been removed due to lack of use. There is no replacement. (#8677)

## 2019.2.1

هذا تحديثٌ ثانوي لإصلاح عدد من الأخطاء التي اكتُشفت في الإصدار 2019.2. تشملُ هذه الإصلاحات:

* معالجة عدّة أخطاء في Gmail ظهرت في كلٍ من Firefox و Chrome عند التفاعُل مع بعض القوائم المنبثقة، كتلك الخاصة بإنشاء عوامل تصفية أو عند تغيير إعدادات معينة في Gmail. (#10175, #9402, #8924)
* في Windows 7، لن يتسبّب NVDA في انهيار مستكشف Windows (Windows Explorer) عند استخدام الفأرة في قائمة ابدأ. (#9435)
* في Windows 7، لن ينهار مستكشف الملفات Windows explorer عند الوصول لحقول البيانات الوصفية. (#5337)
* لم يعُد NVDA يتعطّل في Mozilla Firefox أو Google Chrome عند التفاعُل مع صور ذات معرّف موارد موحّد (UrI) بترميز Base64. (#10227)

## 2019.2

أبرزُ ما في هذا الإصدار: الاكتشاف التلقائي لعارضات برايل الإلكترونية من Freedom Scientific، إعداد قيد التجربة ضمن شاشة الإعدادات المتقدمة إيقاف الانتقال التلقائي لمؤشر النظام أثناء الحركة في نمط التصفُّح (والذي قد يوفّر تحسينا في الأداء)، خيارٌ لمعدّل سرعة إضافي لآلة النُطق OneCore من Windows لتحصيل معدّل سرعة مرتفع جدا، إضافةً لحل العديد من الأخطاء.

### المستجدات

* دعم NVDA للعمل مع الإصدارات الأحدث من Miranda NG. (#9053)
* يمكنك الآن تعطيل نمط التصفُّح افتراضيا عبر تعطيل الخيار الجديد "تمكين نمط التصفُّح عند تحميل الصفحة" ضمن إعدادات نمط التصفُّح الخاصة ب NVDA.
 * لاحِظْ أنه في حال كان هذا الخيار مُعطَّلًا، سيظلُّ بإمكانك تفعيل نمط التصفُّح يدويا بالضغط على NVDA+مسافة.
* يمكنك الآن تصفيةُ وترشيح  الرموز في مربّع حوار نُطق الرموز وعلامات الترقيم بذات طريقة عمل التصفية في قائمة العناصر ومربّع حوار تخصيص الاختصارات. (#5761)
* أُضيف أمرٌ لتغيير مقدار الوحدة النصية (مقدار النص الذي سيُنطَق عندما تتحرّك الفأرة)، غير أنه لم يُعيَّن له مفتاح اختصار افتراضي. (#9056)
* يوجد الآن خيارٌ لمعدّل سرعة إضافي  خاص بآلة النُطق windows OneCore والذي يُتيح نُطقًا أسرع كثيرا. (#7498)
* يمكنُ ضبط خيار معدّل السرعة الإضافي من خلال دائرة إعدادات آلة النُطق لآلات النُطق المدعومة (حاليا eSpeak-NG و Windows OneCore). (#8934)
* يمكن الآن تفعيل أوضاع الضبط يدويا بواسطة الاختصارات. (#4209)
 * ينبغي ضبطُ الاختصار عبر مربّع حوار تخصيص اختصارات NVDA.
* في برنامج Eclipse أُضيف دعمٌ للإكمال التلقائي في محرر التعليمات البرمجية. (#5667)
 * إضافةً لذلك، يمكن قراءة معلومات Javadoc عند عرضها من المحرِّر باستخدام الاختصار NVDA+d.
* إضافةُ خيار تجريبي لشاشة إعدادات نمط التصفُّح يُتيح لك إيقاف متابعة مؤشّر النظام لمؤشّر نمط التصفُّح (نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك). (#2039) وعلى الرغم من أن إيقاف هذا الخيار قد لا يكون مناسبا مع كل المواقع؛ إلا أن ذلك قد يُصلِح:
 * إبطال NVDA بشكل متقطّع لمفتاح نمط التصفُّح الذي ضُغِطَ أخيرا، والقفز للموضع السابق.
